SIMATIC

S7-200

PC Access

Online Help

Getting Started

Table of Contents

Chapter 1

Basic Information

1.1

Key Features

1.2

Window Components

1.3

Frequently Asked Questions (FAQs)

Chapter 2

Working with S7-200 PC Access

2.1

Creating a PLC Connection

2.2

Creating an Item

2.3

Using the Test Client

Chapter 3

Connecting to Multiple PLCs

3.1

Creating Another PLC Connection

3.2

Creating Folders and Organizing Items

Chapter 4

Working with Excel

4.1

Reading an Item in Excel

4.2

Writing to an Item in Excel

Chapter 5

Working with ProToolPro

5.1

Reading an Item in ProToolPro

5.2

Writing to an Item in ProToolPro

Chapter 6

Changing and Configuring Communications

6.1

Point-to-Point Interface (PPI) Communications

6.2

Ethernet Communications

6.3

Using Modems

6.4

Switching Between PPI Communications and Ethernet Communications

Chapter 7

Importing STEP 7-Micro/WIN Symbols

7.1

Importing STEP 7-Micro/WIN Symbols

Chapter 8

Saving and Loading a Project

8.1

Loading a Project

8.2

Saving a Project


1.1 Key Features

(OLE for Process Control) is an open system interface standard which allows simple, standardized data exchange between automation/PLC applications, field devices, and PC-based applications like HMI or office applications.

The OPC client is an application which accesses process data, messages, and archives of an OPC server.

(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).

(Point-to-Point Interface) is a master-slave protocol: the master devices send requests to the slave devices, and the slave devices respond.

Technology for local area networks (LANs) and wide area networks (WANs). Ethernet standardizes the procedures for interconnecting several computers. It specifies how the data flow over the network cable is controlled.

Key Features (GS 1.1)

  • OPC Compliance up to DA V2.05 is supported.

  • Works with any standard OPC client

  • Easy-to-Use Windows Interface allows quick installation and setup:

  • Online status indicators provide visual feedback.

  • Simple Drag and Drop actions for organizing tags and folders

  • Built in OPC 'Test Client' window provides quick verification of your data.

  • Advanced options (for example, setting limits and timing parameters)

  • Integrates Symbols from STEP 7-Micro/WIN projects (V3.x to V4.x):

  • All S7-200 PLC data types are supported, including Timers, Counters, and Strings.

  • Pre-configured sample projects:

  • Build your application around a sample template that already contains the PLC basics.

  • Samples for Visual Basic (Version 6.0), ProTool/Pro (Version 6.0 SP2), and Excel (Version 2000) are provided with the product.

  • Supports the full suite of S7-200 communication protocols:

  • PPI (via the RS-232 PPI and the USB PPI Smart cables)

  • MPI and Profibus (via Siemens CP cards)

  • External and Internal Modems (all standard Windows TAPI drivers are supported in the software) and the S7-241 Modem Module

  • Ethernet via the CP243-1 or CP243-1 IT

  • Allows multiple PLC's connected to one PC

  • Comprehensive Help system:

  • Getting Started section quickly answers questions for your first-time projects.

  • F1 Context Sensitive Help throughout the product

  • Facilitates printing the Help system as a User Manual


1.2 Window Components

OPC Items are connections to data sources within the OPC Server. All read and write access to OPC Items is via an OPC Group object that “contains” the OPC item. The same OPC item can be contained by several groups.

The OPC Group object maintains information about itself and provides the mechanism for containing and logically organizing OPC items for data read and write. The OPC Groups provide a way for clients to organize data.

OPC Items are connections to data sources within the OPC Server. All read and write access to OPC Items is via an OPC Group object that “contains” the OPC item. The same OPC item can be contained by several groups.

An object which establishes a communications network using the required protocol between two communication partners.

A tag occupies a defined memory address on the PLC , to which read and write access is possible from both the operating unit and the PLC.

(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).

Window Components (GS 1.2)

The S7-200 PC Access consists of both OPC server and client elements. Learn more about the components of the S7-200 PC Access interface by clicking on the various areas of the figure below.

S7-200 PC Access Project Structure

Back to Top

The objects in the OPC server section of the project are arranged in a tree structure (project hierarchy). The tree structure displayed in the project window is similar to that in the Windows Explorer. Only the icons for the objects are different.

The objects in the OPC client section (Test Client) are in a list format.

Note: The file extension for an S7-200 PC Access Project is .pca (p = P, c = C, a = Access).

Menu Bar

Allows you to perform operations using either a mouse or keystrokes.

Toolbar

Provides easy mouse access to the most commonly used S7-200 PC Access operations.

Tree View

The Tree View, in the upper left window area, provides a tree hierarchy view of PLCs and folders that are available in your current project. It is the set of all possible items (data points) that can be accessed by an OPC client within an S7-200 network.

Item View

The Item View is the upper right window area where items are entered and listed. This window displays a hierarchical representation of folders and items relative to the current tree view selection. Folders can be selected within the Item View. This will result in the current selection within the Tree View being changed to reflect the current hierarchical position.

Status (Test Client) View

The Status (Test Client) View is in the lower window area and is basically an OPC client. The client works with the S7-200 PC Access OPC server to permit online connectivity testing of configured items. This view is independent of the other two views. Any item moved within the Status (Test Client) View will be placed into an individual OPC group and requested for collection once status is enabled. Status can be enabled or disabled by the Status menu entry or the Status toolbar button.

Items contained in the Status (Test Client) View are listed in the order that they are placed into the view. Items are automatically created by dragging folders of items or individual items from the Item View into the Status (Test Client) View. Client Item IDs consist of the hierarchy or path formed by the server's protocol , PLC, folder , and item names.

Status Bar

Provides information about the status of the online operations that you perform in S7-200 PC Access.

Detail View of Window Components

Tree View Details

Back to Top

The upper left window area provides a tree hierarchy view of PLCs and folders that are available in your current project. Here, the PLC(s) and item folders are created. The Tree View is organized with the following example hierarchical structure:

  • MicroWin: This level contains the communication access point icon. The access point represents the type of connection/network that allows S7-200 PC Access to communicate with S7-200 PLCs.

  • PLC1: This level consists of PLCs that are connected through the network with a given protocol.

  • Folder1: This level is composed of folders and possibly sub-folders to logically organize sets of items.

Please note that the above organizational structure is organized solely for the convenience of the user configuring the server. This organization places no restrictions upon how an OPC client application may wish to access or organize configured server items.

Item View Details

Back to Top

This upper right window area is where items are entered and listed. Configured items for a given PLC and folder are shown here. The Item View contains multiple columns that denote item configuration.

The Item View also contains a column heading for each column. These are illustrated in the figure above. Each column can be sorted in ascending or descending order by selecting the column heading. A sort indicator is shown within the column heading where the sort is active. This indicator will depict the selected sort order. This is shown above in the Name column. The columns are defined as follows:

  • Name: The symbolic name may be up to 23 characters in length. It may contain alphanumeric characters, underscores, and extended characters (ASCII 128 to ASCII 255). The first character is restricted to alpha and extended characters only, and no keywords may be used as names. (Note: Item names must be unique within the same folder; they may not be duplicated.)

  • Item ID: The unique, symbolic name of an item, consisting of the entire hierarchical path (server access point, PLC, folder(s), and item name). Note: The default state of this attribute is not visible.

  • Run-Time Name: The proprietary syntax defined by the OPC server to specify all needed properties required to collect the item. Note: The default state of this attribute is not visible.

  • Address: PLC memory type and memory address. No specific PLC address range validation will be performed.

  • Data Type: Canonical data type represented within the PLC.

  • EU Low: Engineering Units Low, the expected low range value of an item. Refer to Client Deadband for more information. Note: The default state of this attribute is not visible.

  • EU High: Engineering Units High, the expected high range value of an item. Refer to Client Deadband for more information. Note: The default state of this attribute is not visible.

  • Access: Valid permissions are:

  • read only: Allows only reading of the item, with no changes.

  • write only: Allows changes to the item, but no reading of the item.

  • read/write: Allows full access, permitting reading and item changes.

  • Comment: User supplied item comment.

Please note that these items represent the entire set of possible selections available to any OPC client application. An OPC client will define a set of client groups and define the properties associated with each group. These include the desired collection rate. Included within a group will be a set of item IDs. These item IDs are derived from the set of items currently configured in the opened OPC server project.

Item definitions will typically originate within an application control program. These will be represented by STEP 7-Micro/WIN project symbols. This symbolic name is then imported into the OPC server and then referenced by the HMI/OPC client configuration. Refer to Importing STEP 7-Micro/WIN Symbols for a detailed description of this topic.

Status (Test Client) View Details

Back to Top

The lower window area is the Test Client, which provides a quick and easy test tool for your server items. Test Client items are automatically configured by dragging and dropping items from the above Item View. The Status (Test Client) View contains multiple columns that specify the configuration of the items to be collected and resulting values and status once these are collected.

The status view contains a column heading for each column. These are illustrated in the figure above. Each column can be sorted in ascending or descending order by selecting the column heading. A sort indicator is shown within the column heading where the sort is active. This indicator will depict the selected sort order. This is shown above in the Item ID column. The columns are defined as follows:

  • Item ID: The unique, symbolic name of an item, consisting of the entire hierarchical path (server access point, PLC, folder(s), and item name).

  • Data Type: Canonical data type represented within the PLC, as defined at item configuration. Please refer to Item Memory and Data Types.

  • Value: Value of the data point (can be a hexadecimal representation).

  • Time Stamp : The time of the last successful update.

  • Quality : Quality of the retrieved data point, good, bad, or uncertain.

No information in the Status (Test Client) View is retained; all information will be lost on termination of the application.

Client Deadband

Back to Top

In the OPC client, you may set the deadband (floating point in %) for an item value change.

The standard OPC “EU High” and “EU Low” attributes define the expected high and low range values of an item. Default values for these attributes are 0, which specifies that the range is the full span of the item’s data type.

OPC client applications can specify a deadband percentage that is a property of an OPC group. Each item that the OPC client includes within the particular group will inherit any specified deadband property. This deadband percentage will be applied to each item’s EU High and Low range.

For example, an instrument reporting its current value using a 20% offset analog signal will have a defined EU range of 6400 to 32000. This results in a full range of 25600. If a client configures a deadband for a group of 1% and this item is included within this group, then the OPC server will report a change whenever the item’s value changes more than 256 (above or below) from the current value.

In summary, the changed data is sent if:

(absolute value of (last cached value - current value)) > (PercentDeadband/100) * (EU High - EU Low)

Note: The value of an item cannot be clamped.

Note: This event mechanism is only used with OnDataChange events from the OPC server.

Note: Item values are not scaled. The above discussion is operating upon raw values.


1.3 Frequently Asked Questions (FAQs)

Frequently Asked Questions (FAQs) (GS 1.3)

Multiple Simultaneous PC Applications

  • S7-200 PC Access and STEP 7-Micro/WIN can be online simultaneously. Both will share the same communications interface.

  • S7-200 PC Access and SIMATIC NET OPC can operate simultaneously on the same PC.

Maximum PLC Connections with One PC

The S7-200 PC Access, using PPI, Ethernet, or modem, can read data from eight (8) PLCs at the same time. It is possible to create more than 8 PLCs in your project. However, with the default configuration, only 8 can be active at one time.

Additional Notes:

  • The number of Ethernet connections can be increased by purchasing additional SIMATIC NET connections.

  • Using the new RS-232 PPI Multi-Master Cable in 'pass-through mode,' or the old PPI cable in a Single Master network will allow more connections. This is not a recommended configuration since a multi-master configuration scenario is typically needed.

Maximum Connections with One PLC

You can connect multiple PCs to the same PLC(s) at the same time. The limit on the number of simultaneously connected PCs is shown in the table below.

Module | Number of Connections to S7-200 PC Access | Reference Information
S7-200 CPU | 3 of 4 available1 | See the PPI Protocol Connections Table for more information.
EM277 Module | 5 of 6 available1 | See the PPI Protocol Connections Table for more information.
Ethernet (CP 243-1) Module | 8 available2 | See the TCP/IP Protocol Connections Table for more information.

1 One connection is reserved for a PG, and one connection is reserved for an HMI.

2 Dependent on the client/server user-specified configuration

Improving Performance

The update performance of my S7-200 PC Access items can be improved by:

  • Increasing the baud rate

  • Adjusting the update rate

  • Reducing the number of masters on the network

  • Making PLC addresses contiguous

Maximum Items in an Application

There is no limit to the number of items that can be read through the S7-200 PC Access OPC server.

Support of CP Cards

The S7-200 PC Access product supports all currently offered Siemens CP cards.

Support of SIMATIC Products Other Than S7-200 PLCs

The S7-200 PC Access OPC server will not support reading from or writing to other SIMATIC products, such as the S7-300 and S7-400 products.

STEP 7-Micro/WIN Versions Supporting Symbol Integration

S7-200 PC Access supports symbol integration from STEP 7-Micro/WIN versions 3.x to 4.x.

Back to Top

(OLE for Process Control) is an open system interface standard which allows simple, standardized data exchange between automation/PLC applications, field devices, and PC-based applications like HMI or office applications.

Technology for local area networks (LANs) and wide area networks (WANs). Ethernet standardizes the procedures for interconnecting several computers. It specifies how the data flow over the network cable is controlled.

(Point-to-Point Interface) is a master-slave protocol: the master devices send requests to the slave devices, and the slave devices respond.

(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).

The OPC client is an application which accesses process data, messages, and archives of an OPC server.

The OPC server is the middleware between the applications for handling process data, the various network protocols, and the interfaces for accessing these data.


2.1 Creating a PLC Connection

An object which establishes a communications network using the required protocol between two communication partners.

(Point-to-Point Interface) is a master-slave protocol: the master devices send requests to the slave devices, and the slave devices respond.

A Protocol is a set of rules agreed to between two communication partners to allow them to communicate with each other.

The original source of the process data.

Creating a PLC Connection (GS 2.1)

The S7-200 PC Access OPC Server consists of three types of objects:

  • PLC

  • Folder (not required)

  • Item

When creating a new project, the PLC connection must first be made. The PLC connection is created in two steps by:

  1. Configuring the Communications Protocol

  2. Configuring a New PLC

Configuring the Communications Protocol

Back to Top

1. Right-click the MicroWin access point icon, and select PG/PC Interface (or, with the object selected, choose: Status > PG/PC Interface from the main menu).

2. To configure a PPI communications protocol, select PC/PPI cable(PPI), and click the Properties button on the Set PG/PC Interface dialog box.

3. Select the network address for S7-200 PC Access.

4. Select the baud rate for S7-200 PC Access.

Configuring a New PLC

Back to Top

1. Next, in the Tree View, right-click the PLC icon, and select Properties (or, with the object selected, from the main menu choose: Edit > Properties).

2. In the PLC Properties PPI Communications dialog, enter the PLC name and address.

Note: You must configure a Profibus network address for the PLC, within the range of 1 to 126. The network address is a unique number that you assign to each device on the network and ensures that the data is transferred to or retrieved from the correct device.

Note: The address that is entered in this field must match the address configured for the PLC in the system block of the STEP 7-Micro/WIN project. For more details, refer to Setting the Baud Rate and Network Address for the S7-200 in Set Up Communications, Understanding the Basics of S7-200 Network Communications.

See Also:

Tree View Details

Window Components (GS 1.2)


2.2 Creating an Item

(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).

OPC Items are connections to data sources within the OPC Server. All read and write access to OPC Items is via an OPC Group object that “contains” the OPC item. The same OPC item can be contained by several groups.

When a variable is queried, the corresponding value is obtained from the latest process data and returned. This might be the value of a sensor, control parameter, status information, or the status of the network connection.

An object which establishes a communications network using the required protocol between two communication partners.

Technology for local area networks (LANs) and wide area networks (WANs). Ethernet standardizes the procedures for interconnecting several computers. It specifies how the data flow over the network cable is controlled.

TSAPs uniquely identify connections to an IP address. TCP/IP protocol allows multiple connections to a single IP address (up to 64K connections).

A Protocol is a set of rules agreed to between two communication partners to allow them to communicate with each other.

The OPC client is an application which accesses process data, messages, and archives of an OPC server.

Creating an Item (GS 2.2)

The S7-200 PC Access OPC Server consists of three types of objects:

  • PLC

  • Folder (not required)

  • Item

Configuration of the item object is explained below.

  • Configuring an Item

  • The Item Object

Configuring an Item

Back to Top

Right-click on the PLC icon, and select: New > Item (or, with the object selected, choose: Edit > New > Item from the main menu) to create an item.

Fill in the Address and Data Type. You can also define the expected high and low range for the value of an item and supply comments for the item. Refer to the Item Properties Dialog and the CPU Memory Ranges and Features for more details.

Note: You can also select a folder and insert items into the folder.

Note: Items may also be imported from STEP 7-Micro/WIN project files. Refer to 7.1 Importing STEP 7-Micro/WIN Symbols for more details.

The Item Object

Back to Top

When item configuration files are created in S7-200 PC Access, the item name and the hierarchical path (server access point, PLC, folder(s), and item name) together form the item ID. The item ID is the unique, symbolic representation of an item.

Within the item configuration file, a run-time name is also generated in the proprietary syntax defined by the OPC server to specify all needed properties required to collect the item. An example of a run-time name is:

MicroWin:2:161.218.182.147:0000:0000,I0.0,BOOL,RW

where,

  • 2 = PLC Address

  • 161.218.182.147= IP Address (for Ethernet connections)

  • 0000:0000 = Local TSAP: Remote TSAP (for Ethernet connections)

  • I0.0 = PLC Memory type AND address of location to monitor (additional examples would be: VD, VW, VB, MB, QB, IB)

  • BOOL = PLC Data Type (additional examples would be: INT, BYTE, WORD, DWORD)

  • RW = Read/Write, Write, or Read (RW, W, R) access

If an item does not exist for use in the S7-200 PC Access server, it is possible to create items directly from a client (for example, Excel, ProTool/Pro, and Visual Basic). The run-time name described above is all that is needed to configure a new item in a client; an item ID is not created in the server. Please refer to Run-Time Name Definition Syntax under Reference Information for examples of this client run-time name syntax.

See Also:

Item View Details

Window Components (GS 1.2)

OPC Server Error Messages


2.3 Using the Test Client

A folder allows you to organize, in the address space of the OPC server, your OPC items into logical groupings that fit the need of your application.

Quality is information indicating whether or not the value of a variable could be obtained reliably. From this, you can draw conclusions about the validity of the value.

When a variable is queried, the corresponding value is obtained from the latest process data and returned. This might be the value of a sensor, control parameter, status information, or the status of the network connection.

Using the Test Client (GS 2.3)

Using the Items that are automatically configured by dragging and dropping items from the Item View, the Test Client provides a quick and easy test tool for your server item connections.

Configuring the Test Client

1. Highlight the item, group of items, or folder; then drag and drop them into the Test Client window.

2. Click on the Status button in the S7-200 PC Access toolbar.

Note: You will see the S7-200 PC Access icon appear in your PC's status bar (lower right-hand corner of the window). S7-200 PC Access activates a Windows Taskbar icon (system tray) whenever the S7-200 PC Access OPC server is activated. This icon is provided to ensure that the S7-200 PC Access OPC server can be managed and accessed when this application is started indirectly by an OPC client (for example, Excel , ProTool/Pro, or Visual Basic). The presence of this icon provides a visual indication that the S7-200 PC Access application is active. This icon supports a context menu that permits selections for Open Configurator and Exit. Opening will activate the S7-200 PC Access user interface.

3. If everything is set properly, the Quality column of the Test Client will show a value of Good. If not, you have a configuration problem or no communications.

See Also:

Status (Test Client) View Details

Window Components (GS 1.2)

OPC Quality Flag Messages


3.1 Creating Another PLC Connection

(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).

(Point-to-Point Interface) is a master-slave protocol: the master devices send requests to the slave devices, and the slave devices respond.

A Protocol is a set of rules agreed to between two communication partners to allow them to communicate with each other.

The original source of the process data.

Creating Another PLC Connection (GS 3.1)

To add an additional PLC connection, follow these steps:

Configuring another PLC

1. Since the PPI communications p rotocol is already configured (refer to 2.1 Creating a PLC Connection), right-click the MicroWin icon, and select Properties from the menu.

2. In the PLC Properties (PPI Communications) dialog, enter the PLC name and address. Address 2 was used for the first PLC; Address 7 is selected as an example for this PLC.

Note: You must configure a Profibus network address for the PLC, within the range of 1 to 126. The network address is a unique number that you assign to each d evice on the network and ensures that the data is transferred to or retrieved from the correct device.

Note: The address that is entered in this field must match the address configured for the PLC in the system block of the STEP 7-Micro/WIN project. For more details, refer to Setting the Baud Rate and Network Address for the S7-200 in Set Up Communications, Understanding the Basics of S7-200 Network Communications.

Back to Top

See Also:

Tree View Details

Window Components (GS 1.2)


3.2 Creating Folders and Organizing Items

Creating Folders and Organizing Items (GS 3.2)

The S7-200 PC Access OPC Server consists of three types of objects:

  • PLC

  • Folder (not required)

  • Item

Configuration of the folder server object is explained below.

Configuring a Folder:

Right-click on a PLC or folder icon, and select: New > Folder to create a folder in which items can be stored.

The folders are completely user-configurable. All items configured can be organized into folders to reflect the structure of your process.


4.1 Reading an Item in Excel

OPC Items are connections to data sources within the OPC Server. All read and write access to OPC Items is via an OPC Group object that “contains” the OPC item. The same OPC item can be contained by several groups.

An object which establishes a communications network using the required protocol between two communication partners.

(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).

A folder allows you to organize, in the address space of the OPC server, your OPC items into logical groupings that fit the need of your application.

The OPC Group object maintains information about itself and provides the mechanism for containing and logically organizing OPC items for data read and write. The OPC Groups provide a way for clients to organize data.

Reading an Item in Excel (GS 4.1)

S7-200 PC Access provides a VBA add-in that permits Excel to acquire data from the S7-200 PC Access OPC server. The VBA add-in works through an OPC Automation wrapper in order to gain access to the S7-200 PC Access OPC server. Access from Excel can be achieved from each individual cell by providing a specific formula.

Configuration of the Excel Client and procedures for reading item values are explained below:

  • Configuring and Testing an Item in the S7-200 PC Access Server

  • Configuring the Excel Client and the S7-200 PC Access Add-In

  • Reading an Excel Item

  • Reading Through Code

  • Reading with Buttons

Configuring and Testing an Item in the S7-200 PC Access Server

Back to Top

1. Open the S7-200 PC Access application from the desktop.

2. Right-click on the access point icon, and select New PLC. Make sure the PLC address is correctly set (for the PLC with which you plan to communicate).

3. Right-click on the PLC icon, and select: New > Item to create an item to be monitored. Fill in the Address and Data Type.

Note: You can also select a folder and insert items into the folder.

Note: Items may also be imported from STEP 7-Micro/WIN project files. Refer to Importing STEP 7-Micro/WIN Symbols for more details.

4. Highlight the folder or a group of items, then drag and drop them into the Test Client window.

5. Click on the Status button in the S7-200 PC Access toolbar.

6. If everything is set properly, the Quality column of the Test Client will show a value of Good. If not, you have a configuration problem or no communications.

Configuring the Excel Client and the S7-200 PC Access Add-In

Back to Top

Note: You only need to perform these steps one time.

To manually install the S7-200 PC Access Add-In, perform these steps:

1. Open the Excel application.

2. From the menu, select: Tools > AddIns.

3. On the dialog window, click the Browse button.

4. Browse to the path where you installed the S7-200 PC Access application. The default installation path is: C:\Program Files\Siemens\S7-200 PC Access\.

5. Open the \bin subdirectory.

6. Select the file named: OPCS7200ExcelAddin.xla.

7. On the File Browse dialog, click OK, and you will then return to the Excel Add-In dialog window that is still opened.

8. From the dialog that appears with the list of Add-Ins available, check the checkbox for: OPC-Client Add-in for Excel.

9. Click the OK button to save and close the dialog.

10. Save and close your Excel file.

Thereafter, when you open your Excel spreadsheets, the S7-200 PC Access Add-In will always be present as a new toolbar with buttons.

Reading an Excel Item

Reading Through Code

Back to Top

1. Open Excel. The user is asked whether he wants to activate macros. This must be answered affirmatively.

You should now see an addition to your toolbar that has 4 icons on it:

Click the Formula-Wizard button (Wand icon on the left) to browse and select the items, currently available in the S7-200 PC Access serve, from which you want to read values.

Click the Write-Wizard button (Pencil icon second from the left) to browse and select the items, currently available in the S7-200 PC Access server, to which you want to write new values.

Click the START button (Arrow icon second from the right) to start S7-200 PC Access communications.

Click the STOP button (Square icon on the right) to stop S7-200 PC Access communications.

2. Select a cell location where you plan to display data.

3. Next, click the Formula-Wizard button to browse the available items (refer to the figure below).

4. In the OPC Wizard dialog that appears, click the ItemID browse button to display the available S7-200 PC Access OPC server items.

5. Browse through the hierarchy to find the required item, and select and click the OK button (refer to the figure below).

6. Ensure that the Use Active Cell checkbox is checked, and click the Add button.

7. Values will appear in the configured cell location. You may organize your data with cell titles (refer to the figure below). A formula will be placed in the selected cell location, which will cause the item value to be read and displayed.

Reading with Buttons

Back to Top

Read buttons can just read values from an item or read values from an item and send the values to a cell, as well. The two button types are as follows:

OPC Read Button #1: | Only reads the value of an item
 | VBA Code: sStr = Excel.Application.Run("OPCS7200ExcelAddin.XLA!OPCRead", _ "2:0.0.0.0:0000:0000,VW0,WORD,RW", "") Cells(35, 8).Offset(0, 0) = sStr
OPC Read Button #2: | Reads the value of an item and sends the value to a cell
 | VBA Code: sStr = Excel.Application.Run("OPCS7200ExcelAddin.XLA!OPCRead", _ "2:0.0.0.0:0000:0000,VW0,WORD,RW", "$H$39")

See Also:

Excel Sample Project

Overview of Sample Projects


4.2 Writing to an Item in Excel

OPC Items are connections to data sources within the OPC Server. All read and write access to OPC Items is via an OPC Group object that “contains” the OPC item. The same OPC item can be contained by several groups.

When a variable is queried, the corresponding value is obtained from the latest process data and returned. This might be the value of a sensor, control parameter, status information, or the status of the network connection.

(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).

Writing to an Item in Excel (GS 4.2)

The S7-200 PC Access supports modification of server item values using the Excel Client . The procedure for writing values to an item is explained below:

  • Writing to an Excel Item

  • Writing Through Code

  • Writing with Buttons

  • Writing to PLC Outputs in STOP Mode

Writing to an Excel Item

Writing Through Code

Back to Top

1. Open Excel. The user is asked whether he wants to activate macros. This must be answered affirmatively.

You should now see an addition to your toolbar that has 4 icons on it:

Click the Formula-Wizard button (Wand icon on the left) to browse and select the items, currently available in the S7-200 PC Access serve, from which you want to read values.

Click the Write-Wizard button (Pencil icon second from the left) to browse and select the items, currently available in the S7-200 PC Access server, to which you want to write new values.

Click the START button (Arrow icon second from the right) to start S7-200 PC Access communications.

Click the STOP button (Square icon on the right) to stop S7-200 PC Access communications.

2. Select a cell location if you want to write the new value to a cell location.

3. Next, click the Write-Wizard button to browse the available items (refer to the figure below).

4. In the Write Value dialog that appears, click the ItemID browse button to display the available S7-200 PC Access OPC server items.

5. Browse through the hierarchy to find the required item, and select and click the OK button (refer to the figure below).

6. Ensure that the Use Active Cell checkbox is checked.

7. Enter the new value in the Value field, and click the Write button.

8. Values will appear in the configured cell location. You may organize your data with cell titles (refer to the figure below).

Writing with Buttons

Back to Top

Write buttons can just write values to an item or write values to an item and send the values to a cell, as well. The two button types are as follows:

OPCWrite Button #1: | Only writes the value to an item
 | VBA Code: Call Excel.Application.Run("OPCS7200ExcelAddin.XLA!OPCWrite", "2,VW0,WORD,RW", _ Cells(27, 8), "")
OPCWrite Button #2: | Writes the value to an item and sends the value to a cell
 | VBA Code: Call Excel.Application.Run("OPCS7200ExcelAddin.XLA!OPCWrite", "2,VW0,WORD,RW", _ Cells(31, 8), "$I$31")

Writing to PLC Outputs in STOP Mode

Back to Top

The S7-200 PC Access application will not permit writing to any discrete or analog outputs while the PLC is in STOP mode. Any attempted writes to outputs while the PLC is in STOP mode will result in an error.

See Also:

Excel Sample Project

Overview of Sample Projects


5.1 Reading an Item in ProTool/Pro

OPC Items are connections to data sources within the OPC Server. All read and write access to OPC Items is via an OPC Group object that “contains” the OPC item. The same OPC item can be contained by several groups.

An object which establishes a communications network using the required protocol between two communication partners.

(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).

A folder allows you to organize, in the address space of the OPC server, your OPC items into logical groupings that fit the need of your application.

The OPC Group object maintains information about itself and provides the mechanism for containing and logically organizing OPC items for data read and write. The OPC Groups provide a way for clients to organize data.

The original source of the process data.

Reading an Item in ProTool/Pro (GS 5.1)

The S7-200 PC Access supports the ProTool/Pro Client .

Configuration of the ProTool/Pro Client and procedures for reading item values are explained below:

  • Configuring and Testing an Item in the S7-200 PC Access Server

  • Reading a ProTool/Pro Item

Configuring and Testing an Item in the S7-200 PC Access Server

Back to Top

1. Open the S7-200 PC Access application from the desktop.

2. Right-click on the access point icon, and select New PLC. Make sure the PLC address is correctly set (for the PLC with which you plan to communicate).

3. Right-click on the PLC icon, and select: New > Item to create an item to be monitored. Fill in the Address and Data Type.

Note: You can also select a folder and insert items into the folder.

Note: Items may also be imported from STEP 7-Micro/WIN project files. Refer to Importing STEP 7-Micro/WIN Symbols for more details.

4. Highlight the folder or a group of items, then drag and drop them into the Test Client window.

5. Click on the Status button in the S7-200 PC Access toolbar.

6. If everything is set properly, the Quality column of the Test Client will show a value of Good. If not, you have a configuration problem or no communications.

Reading a ProTool/Pro Item

Back to Top

1. Open ProTool/Pro CS, and create a new file. The Project Wizard - Device Selection dialog appears (refer to the figure below) Select PC and your screen resolution. After completing you selections, click the Finish button.

2. Click your project's Controllers folder. Double-click the default PLC_1 to open the PLC dialog. In the Driver field, click the dropdown list button, and choose OPC V6.0 from the list (refer to the figure below). Click the Parameters button in the lower right corner of the PLC dialog.

3. In the OPC Connection dialog that is displayed, select: OPC Server > Local Server > S7200.OPCServer. Click the OK button twice to complete the controller configuration.

4. Next, insert a new screen (refer to the figures below).

5. Next, locate the Screen Objects toolbar (normally at the bottom of the editor).

6. Click on the Output Field object, and position a new output field on your screen (refer to the figure below).

7. After you position the Output Field object, the Output Field dialog is displayed.

8. Under the General tab, click on the New button to the right of the Value field (refer to the figure below).

9. The Tag dialog is portrayed. Click on the browse button to search the S7-200 PC Access server for the required item (tag) (refer to the figure below).

10. Select the item whose value you want to read (refer to the figures below). Click on the Apply Item button. Click the OK button twice to complete the output field configuration.

11. In order to provide the operator with the option of terminating the runtime software, assign the "Exit_Runtime" function to a status button as follows (refer to the figure below). (Note: Click the Select button to end each object type configuration operation.):

  • On the Screen Objects toolbar (normally at the bottom of the editor), click on the Button object.

  • Position the mouse pointer at the point where the button should be located. Press and hold the left mouse button, and draw the button to the required size.

  • Select General tab control; in the Display field, choose the Text option; and enter the label "Runtime Exit."

  • Click on the Functions tab control.

  • Open the Other Functions folder in the Select Object dialog.

  • Double click on the function Exit_Runtime.

  • Click the Add button, and click the OK button.

  • Click the X close symbol in the upper right-most corner of the window to exit the Select Object dialog.

  • If you want to add color, click on the Color tab. For example, you could select red as the BackColor. The completed button is shown in the figure below.

12. Click the Start ProTool/Pro RT button to go to runtime (refer to the figure below). In the SIMATIC ProTool dialog that appears, select Yes to save your project for compilation.

13. Values will appear in the configured location. You may organize your data with titles (refer to the figure below).

Back to Top

See Also:

ProTool/Pro Sample Project

Overview of Sample Projects


5.2 Writing to an Item in ProTool/Pro

OPC Items are connections to data sources within the OPC Server. All read and write access to OPC Items is via an OPC Group object that “contains” the OPC item. The same OPC item can be contained by several groups.

(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).

Writing to an Item in ProTool/Pro (GS 5.2)

The S7-200 PC Access supports modification of server item values using the ProTool/Pro Client . The procedure for writing values to an item is explained below:

  • Writing to a ProTool/Pro Item

  • Writing to PLC Outputs in STOP Mode

Writing to a ProTool/Pro Item

Back to Top

Writing values to a ProTool/Pro item must be done with continuously updated input fields (input/output fields). In this example, we will continue with the 5.1 Reading an Item in ProTool/Pro example. Use the following steps to configure a continuously updated input field:

1. Locate the Screen Objects toolbar (normally at the bottom of the editor).

2. Click on the Input Field object, and position a new input field on your screen (refer to the figure below).

3. After you position the Input Field object, the Input Field dialog is displayed.

4. Select the General tab. Note that in the Update field (in the upper right corner of the tab) the Continuously checkbox is checked by default. In actuality, this makes the input field an input/output field.

5. To the right of the Value field, click on the dropdown button (refer to the figure below). Choose the VAR_1 item (the same item used in 5.1 Reading an Item in ProTool/Pro). Click the OK button to complete the input field configuration. (Note: Click the Select button (the leftmost button in the Screen Objects toolbar) to end each object type configuration operation.)

6. Click the Start ProTool/Pro RT button to go to runtime (refer to the figure below). In the SIMATIC ProTool dialog that appears, select Yes to save your project for compilation.

7. Values will appear in the configured location. You may organize your data with titles (refer to the figure below).

Writing to PLC Outputs in STOP Mode

Back to Top

The S7-200 PC Access application will not permit writing to any discrete or analog outputs while the PLC is in STOP mode. Any attempted writes to outputs while the PLC is in STOP mode will result in an error.

See Also:

ProTool/Pro Sample Project

Overview of Sample Projects


6.1 Point-to-Point Interface (PPI) Communications

(Point-to-Point Interface) is a master-slave protocol: the master devices send requests to the slave devices, and the slave devices respond.

(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).

An object which establishes a communications network using the required protocol between two communication partners.

Point-to-Point Interface (PPI) Communications (GS 6.1)

The S7-200 PC Access supports Point-to-Point Interface (PPI) communications with the PLC network.

Configuration of PPI communications requires:

  • Selection of PPI communications in the PG/PC Interface

  • Configuring the PLC Properties PPI Communications Dialog

Refer to Setting the Baud Rate and Network Address for S7-200 PC Access for step-by-step instructions.

Selection of PPI Communications in the PG/PC Interface

Back to Top

Right-click the MicroWin a ccess point icon, and select PG/PC Interface (or, with the object selected, choose: Status > PG/PC Interface from the main menu) to start the PG/PC Interface dialog. The PPI communication interface parameter is selected and configured using the PG/PC Interface dialog. Refer to the figure below.

Note: The last communication protocol selected with the PG/PC Interface is the one that is in effect, whether it was selected from S7-200 PC Access or STEP 7-Micro/WIN.

Configuring the PLC Properties (PPI Communications) Dialog

Back to Top

You can configure the PLC Properties dialog by right-clicking the PLC icon and selecting Properties (or, with the object selected, by choosing: Edit > Properties from the main menu). Here, you can modify the network address.

Note: You must configure a Profibus network address for the PLC, within the range of 1 to 126. The network address is a unique number that you assign to each device on the network and ensures that the data is transferred to or retrieved from the correct device.

Note: The address that is entered in this field must match the address configured for the PLC in the system block of the STEP 7-Micro/WIN project. For more details, refer to Setting the Baud Rate and Network Address for the S7-200 in Set Up Communications, Understanding the Basics of S7-200 Network Communications.


6.2 Ethernet Communications

Technology for local area networks (LANs) and wide area networks (WANs). Ethernet standardizes the procedures for interconnecting several computers. It specifies how the data flow over the network cable is controlled.

(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).

An object which establishes a communications network using the required protocol between two communication partners.

TSAPs uniquely identify connections to an IP address. TCP/IP protocol allows multiple connections to a single IP address (up to 64K connections).

Ethernet Communications (GS 6.2)

The S7-200 PC Access supports Ethernet communications with the PLC network.

Configuration of Ethernet communications requires:

  • Selection of Ethernet communications in the PG/PC Interface

  • Configuring the PLC Properties Ethernet Communications Dialog

Refer to Entering the Network Address for the S7-200 CP243-1 Ethernet Module in S7-200 PC Access for step-by-step instructions.

Selection of Ethernet Communications in the PG/PC Interface

Back to Top

Right-click the MicroWin a ccess point icon, and select PG/PC Interface (or, with the object selected, choose: Status > PG/PC Interface from the main menu) to start the PG/PC Interface dialog. The TCP/IP communication interface parameter is selected and configured using the PG/PC Interface dialog. Refer to the figure below.

Configuring the PLC Properties (Ethernet Communications) Dialog

Back to Top

You can configure the PLC Properties dialog by right-clicking the PLC icon and selecting Properties (or, with the object selected, by choosing: Edit > Properties from the main menu). Here, you can modify the IP address and Local and Remote TSAPs.

Note: The IP Address and TSAPs that you set in STEP 7-Micro/WIN must match the IP Address and TSAPs that you set in S7-200 PC Access. For more details, refer to Setting the IP Address and TSAPs for the S7-200 CP243-1 Ethernet Module in Set Up Communications, Ethernet Communications.


6.3 Using Modems

The original source of the process data.

An object which establishes a communications network using the required protocol between two communication partners.

(Point-to-Point Interface) is a master-slave protocol: the master devices send requests to the slave devices, and the slave devices respond.

Using Modems (GS 6.3)

Modems convert the serial data from your RS-232 port into signal levels that can be transmitted over the phone line. To do this, modems take the serial data given to them and break each byte of the data down into bits used to generate the signal to be transmitted. Several modems can provide support for either 10-bit or 11-bit communication. Each of these modems are factory configured for default 10-bit communication.

S7-200 PC Access supports the use of a modem to connect to a remote d evice. To use a modem, you need to first configure the modem with the Windows Operating System, Control Panel Settings. Once the modem has been properly installed, you can enable its use by:

  • Selecting the Modem Connection in the PG/PC Interface

  • Using the Add Modem Connection Wizard to Configure the Modem

  • Configuring the Remote Modem

Refer to Configuring the Local Modem for PC Modem Connection for step-by-step instructions.

Selecting the Modem Connection in the PG/PC Interface

Back to Top

Right-click the MicroWin a ccess point icon, and select PG/PC Interface (or, with the object selected, choose: Status > PG/PC Interface from the main menu) to start the PG/PC Interface dialog. The PPI communication interface parameter is selected and configured using the PG/PC Interface dialog. On the Local Connection tab of the PG/PC Interface Properties dialog, the Modem Connection box is checked.

Using the Add Modem Connection Wizard to Configure the Modem

Back to Top

You can display the Modem Connection Settings dialog by right-clicking the MicroWin access point icon and selecting Modem > Configure (or, with the object selected, by choosing: Status > Modem > Configure from the main menu). Here, you can create or edit individual modem connections.

Configuring the Remote Modem

Back to Top

The above procedure configures the local modem, connecting the PC upon which S7-200 PC Access resides to the phone line. The remote modem or EM241 modem module that connects the S7-200 PLC to the phone line on the opposite end must be configured using STEP 7-Micro/WIN.


6.4 Switching Between PPI Communications and Ethernet Communications

(Point-to-Point Interface) is a master-slave protocol: the master devices send requests to the slave devices, and the slave devices respond.

Technology for local area networks (LANs) and wide area networks (WANs). Ethernet standardizes the procedures for interconnecting several computers. It specifies how the data flow over the network cable is controlled.

(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).

The OPC client is an application which accesses process data, messages, and archives of an OPC server.

Switching Between PPI Communications and Ethernet Communications (GS 6.4)

The S7-200 PC Access supports Point-to-Point Interface (PPI) and Ethernet communications with the PLC network.

Switching between the two types of communications can be easily done.

First, stop the Test Client by selecting: Status > Stop Test Client from the main menu. Next, open the PG/PC Interface by choosing: Status > PG/PC Interface from the main menu. Select the PPI or TCP/IP communication interface parameter as required. All PLCs, folders, and items will automatically switch to the new communication interface with no additional configuration.

Warning
When communications are switched between PPI communications and Ethernet communications, this action will also affect all other applications (for example, STEP 7-Micro/WIN and S7-200 Explorer).

Failure to stop all processes before communications are interrupted could cause unexpected machine or process operation which could result in death or serious injury to personnel, and/or damage to equipment.

Always follow appropriate safety precautions and ensure that processes are complete before attempting to switch between PPI communications and Ethernet communications.


7.1 Importing STEP 7-Micro/WIN Symbols

A folder allows you to organize, in the address space of the OPC server, your OPC items into logical groupings that fit the need of your application.

OPC Items are connections to data sources within the OPC Server. All read and write access to OPC Items is via an OPC Group object that “contains” the OPC item. The same OPC item can be contained by several groups.

(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).

(OLE for Process Control) is an open system interface standard which allows simple, standardized data exchange between automation/PLC applications, field devices, and PC-based applications like HMI or office applications.

Importing STEP 7-Micro/WIN Symbols (GS 7.1)

You can import STEP 7-Micro/WIN (Versions 3.x and 4.x) symbols into S7-200 PC Access by selecting the File > Import Symbols menu command. STEP 7-Micro/WIN project files are composed of names that you created in your S7-200 .mwp project. You can import symbols from more than one STEP 7-Micro/WIN project into a single S7-200 PC Access project.

Note: The file extension for a STEP 7-Micro/WIN Project is .mwp.

This topic discusses the following:

  • Importing a STEP 7-Micro/WIN Project File

  • Importing and Selecting Data Types

Importing a STEP 7-Micro/WIN Project File

Back to Top

Upon selecting the Import menu entry, a dialog similar to an Open dialog is presented to permit browsing for STEP 7-Micro/WIN project files.

Upon selection and confirmation of a STEP 7-Micro/WIN project, user symbols contained within this project will be imported into a new folder within the S7-200 PC Access Item View. A PLC object is created in S7-200 PC Access with the STEP 7-Micro/WIN project name, and folders are created for each of the STEP 7-Micro/WIN project's symbol table tabs.

Each OPC item created during an import from a STEP 7-Micro/WIN project will be initialized as specified below:

  • The Name attribute will be initialized from the project symbol name.

  • The Address attribute will be initialized from the project symbol address.

  • The Data Type attribute will be defaulted based upon the symbol's address. Refer below to Importing and Selecting Data Types for more information.

  • The Access attribute will be defaulted to read/write.

  • The Comment attribute will be initialized from the project symbol comment.

Note: When importing symbols from a STEP 7-Micro/WIN (Version 4.0 and higher) project, a password may be required to access the project. If a password was configured for the STEP 7-Micro/WIN project, a password prompt dialog will appear. You must know the password to be able to import symbols from that project.

Note: When importing a symbol file, the default starting location is the default recommended projects directory during STEP 7-Micro/WIN installation, c:\Program Files\Siemens. If this directory does not exist, c:\my documents is the default. The last accessed directory location is maintained for the next import or open operation. This is maintained between sessions.

Importing and Selecting Data Types

Back to Top

All items that can be used in S7-200 PC Access are imported. Configuring of data types may be required for some imported symbols.

Example 1

Please note that for symbols defined as “VDxxx”, the data type will be defaulted to a double integer. This may be incorrect if this address is actually used as a floating-point data type. The correct data type is not known since STEP 7-Micro/WIN SIMATIC projects do not define a data type with the symbol. STEP 7-Micro/WIN IEC project symbols specify a data type and this will be maintained.

Example 2

In STEP 7-Micro/WIN if you are using SIMATIC addresses and you have a VW address, INT and WORD data types are both implied. When the symbols are imported, PC Access will always read in an INT data type, instead of a WORD data type. If you are using IEC addresses and you have a VW address, an INT or WORD data type is specified with an extra column in the configuration dialog. When the symbols are imported, PC Access will read in an INT or WORD data type, whichever has been configured for the address.


8.1 Loading a Project

Loading a Project (GS 8.1)

Load an existing project (a file with a .pca file name extension) and begin a new editing session by using one of the following methods:

  • Click the Open Project [image] button.

  • Select the File > Open menu command.

  • Press the Ctrl+O shortcut key combination.

  • Open Windows Explorer and double click on a file with a .pca file name extension.

S7-200 PC Access Software

Two versions of S7-200 PC Access cannot be installed on the same PC.


8.2 Saving a Project

(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).

OPC Items are connections to data sources within the OPC Server. All read and write access to OPC Items is via an OPC Group object that “contains” the OPC item. The same OPC item can be contained by several groups.

Saving a Project (GS 8.2)

Save your work in the currently active project by using one of the following methods:

  • Click the Save Project [image] button.

  • Select the File > Save menu command.

  • Press the Ctrl+S shortcut key combination.

The Save command stores the current state of all project data (PLC(s), folder (s), item(s), and comments) in a single file with the .pca file name extension.

Note: When a default project name (Projectx, where x is a number) exists, the application considers the project to be untitled and displays the Save As dialog box during the initial save.

S7-200 PC Access Software

Two versions of S7-200 PC Access cannot be installed on the same PC.

S7-200 PC Access Projects

The S7-200 PC Access configurator allows saving of .pca projects only when the S7-200 PC Access OPC server is not active. If the OPC server is active and a save is requested, a confirmation dialog is provided to optionally de-activate the OPC server.


Overview of Setting Up Communications

S7-200 PC Access supports the communication capabilities that allow you to configure your network for the performance and functionality that your application requires.

The following topics are presented:

  • Understanding the Basics of S7-200 Network Communications

  • What Are My Communications Choices?

  • Setting Up Communications

  • Sample Network Configurations Using Only S7-200 Devices

  • Using Modems and STEP 7-Micro/WIN with Your Network

  • Ethernet Communications


(Point-to-Point Interface) is a master-slave protocol: the master devices send requests to the slave devices, and the slave devices respond.

(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).

Understanding the Basics of S7-200 Network Communications

The S7-200 is designed to solve your communication and networking needs by supporting not only the simplest of networks but also supporting more complex networks. The S7-200 also provides tools that allow you to communicate with other devices, such as printers and weigh scales which use their own communication protocols.

S7-200 PC Access makes setting up and configuring your network simple and straightforward.

This topic discusses the following:

  • Definition of Master-Slave Network

  • Definition of Baud Rate and Network Address

  • Setting the Baud Rate and Network Address for S7-200 PC Access

  • Setting the Baud Rate and Network Address for the S7-200 CPU

  • Setting the Remote Address

  • Searching for CPUs on a Network

Definition of Master-Slave Network

Back to Top

The S7-200 supports a master-slave network and can function as either a master or a slave, while S7-200 PC Access is always a master.

  • Masters: A device that is a master on a network can initiate a request to another device on the network. A master can also respond to requests from other masters on the network. Typical master devices include S7-200 PC Access, human-machine interface devices such as a TD 200, and S7-300 or S7-400 PLCs. The S7-200 functions as a master when it is requesting information from another S7-200 (peer-to-peer communication).

  • Slaves: A device that is configured as a slave can only respond to requests from a master device; a slave never initiates a request. For most networks, the S7-200 functions as a slave. As a slave device, the S7-200 responds to requests from a network master device, such as an operator panel or S7-200 PC Access.

Definition of Baud Rate and Network Address

Back to Top

The speed that data is transmitted across the network is the baud rate, which is typically measured in units of kilobaud (kbaud) or megabaud (Mbaud). The baud rate measures how much data can be transmitted within a given amount of time. For example, a baud rate of 19.2 kbaud describes a transmission rate of 19200 bits per second.

Every device that communicates over a given network must be configured to transmit data at the same baud rate. Therefore, the fastest baud rate for the network is determined by the slowest device connected to the network.

The following lists the baud rates supported by the S7-200:

Network | Baud Rate
Standard Network | 9.6 kbaud to 187.5 kbaud
Network using an EM 277 | 9.6 kbaud to 12 Mbaud
Network using Freeport Mode | 1200 baud to 115.2 kbaud

The network address is a unique number that you assign to each device on the network. The unique network address ensures that the data is transferred to or retrieved from the correct device. The S7-200 supports network addresses from 0 to 126. For an S7-200 with two ports, each port can have a network address. The following lists the default (factory) settings for the S7-200 devices:

S7-200 Device | Default Address
S7-200 PC Access | 0
HMI (TD 200, TP, or OP) | 1
S7-200 CPU | 2

Setting the Baud Rate and Profibus Network Address for S7-200 PC Access

Back to Top

If you need to configure the baud rate and network address for S7-200 PC Access, you can do this from the PG/PC Interface dialog. The baud rate must be the same as the other devices on the network, and the network address must be unique.

Typically, you do not change the network address (0) for S7-200 PC Access. If your network includes another PC running another programming package, such as STEP 7, then you may need to change the network address for S7-200 PC Access.

Configuring the baud rate and network address for S7-200 PC Access is simple:

1. Right-click the MicroWin Access Point, and select PG/PC Interface from the menu.

2. Select PC/PPI cable(PPI), and click the Properties button on the Set PG/PC Interface dialog box.

3. Select the network address for S7-200 PC Access.

4. Select the baud rate for S7-200 PC Access.

5. Next, in the Tree View, right-click the PLC icon, and select Properties from the menu.

6. In the PLC Properties dialog, enter the PLC name and address. You must configure a Profibus network address for the PLC, within the range of 1 to 126. The network address is a unique number that you assign to each device on the network and ensures that the data is transferred to or retrieved from the correct device.

Setting the Baud Rate and Profibus Network Address for the S7-200

Back to Top

You can configure the baud rate and Profibus network address for an S7-200 PLC with STEP 7-Micro/WIN. The system block of the S7-200 stores the baud rate and network address that the CPU will use when attached to the network. After you select the parameters for the S7-200, you must download the system block to the S7-200 before the changes will take effect.

The default baud rate for each S7-200 CPU is 9.6 kbaud, and the default network address is 2.

S7-200 PC Access | STEP 7-Micro/WIN
Note: The baud rate and PLC network address that you set in STEP 7-Micro/WIN must match the baud rate and PLC network address that you set in S7-200 PC Access. |

Use STEP 7-Micro/WIN to set the baud rate and network address for the S7-200:

1. Select the System Block icon in the Navigation bar or select the View > Component > System Block menu command.

2. Select the network address for the S7-200.

3. Select the baud rate for the S7-200.

4. Download the system block to the S7-200.

Setting the Remote Address

Back to Top

Refer to the S7-200 Programmable Controller System Manual.

Searching for CPUs on a Network

Refer to the S7-200 Programmable Controller System Manual.


What Are My Communications Choices?

During asynchronous access, the OPC client program continues to execute while data are read or written.

Technology for local area networks (LANs) and wide area networks (WANs). Ethernet standardizes the procedures for interconnecting several computers. It specifies how the data flow over the network cable is controlled.

(Point-to-Point Interface) is a master-slave protocol: the master devices send requests to the slave devices, and the slave devices respond.

Technology for local area networks (LANs) and wide area networks (WANs). Ethernet standardizes the procedures for interconnecting several computers. It specifies how the data flow over the network cable is controlled.

(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).

The OPC client is an application which accesses process data, messages, and archives of an OPC server.

The OPC server is the middleware between the applications for handling process data, the various network protocols, and the interfaces for accessing these data.

(Point-to-Point Interface) is a master-slave protocol: the master devices send requests to the slave devices, and the slave devices respond.

A Protocol is a set of rules agreed to between two communication partners to allow them to communicate with each other.

(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).

What Are My Communications Choices?

The S7-200 CPUs support one or more of the following communication capabilities that allow you to configure your network for the performance and functionality that your application requires.

The topic discusses the following:

  • Maximum Connections

  • Point-to-Point Interface (PPI)

  • Multi-Point Interface (MPI)

  • PROFIBUS

  • TCP/IP

Based on the Open System Interconnection (OSI) seven-layer model of communications architecture, these protocols are implemented on a token ring network, which conforms to the PROFIBUS standard as defined in the European Standard EN 50170. These protocols are asynchronous, character-based protocols with one start bit, eight data bits, even parity, and one stop bit. Communication frames depend upon special start and stop characters, source and destination station addresses, frame length, and a checksum for data integrity. The protocols can run on a network simultaneously without interfering with each other, as long as the baud rate is the same for each protocol.

Ethernet is also available for the S7-200 CPU with expansion modules CP243-1 and CP243-1 IT.

Refer to the PG / PC to S7-200 CPU Communication Options Tables for a summary of communication connection possibilities.

Maximum Connections

Back to Top

Maximum PLC Connections with One PC

The S7-200 PC Access, using PPI, Ethernet, or modem, can read data from eight (8) PLCs at the same time. It is possible to create more than 8 PLCs in your project. However, with the default configuration, only 8 can be active at one time.

Additional Notes:

  • The number of Ethernet connections can be increased by purchasing additional SIMATIC NET connections.

  • Using the new RS-232 PPI Multi-Master Cable in 'pass-through mode,' or the old PPI cable in a Single Master network will allow more connections. This is not a recommended configuration since a multi-master configuration scenario is typically needed.

Maximum Connections with One PLC

You can connect multiple PCs to the same PLC(s) at the same time. The limit on the number of simultaneously connected PCs is shown in the table below.

Module | Number of Connections to S7-200 PC Access | Reference Information
S7-200 CPU | 3 of 4 available1 | See the PPI Protocol Connections Table for more information.
EM277 Module | 5 of 6 available1 | See the PPI Protocol Connections Table for more information.
Ethernet (CP 243-1) Module | 8 available2 | See the TCP/IP Protocol Connections Table for more information.

1 One connection is reserved for a PG, and one connection is reserved for an HMI.

2 Dependent on the client/server user-specified configuration

PPI Protocol

Back to Top

PPI is a master-slave protocol: the master devices send requests to the slave devices, and the slave devices respond.

Slave devices do not initiate messages, but wait until a master sends them a request or polls them for a response.

Masters communicate to slaves by means of a shared connection, which is managed by the PPI protocol. PPI does not limit the number of masters that can communicate with any one slave; however, you cannot install more than 32 masters on the network.

Selecting PPI Advanced allows network devices to establish a logical connection between the devices. With PPI Advanced, there are a limited number of connections supplied by each device. The table below shows the number of connections supported by the S7-200.

S7-200 CPUs can act as master devices while they are in RUN mode if you enable PPI master mode in the user program. After enabling PPI master mode, you can use the Network Read (NETR) or the Network Write (NETW) to read from or write to other S7-200 CPUs. While the S7-200 is acting as a PPI master, it still responds as a slave to requests from other masters.

You can use PPI protocol to communicate with all S7-200 CPUs. To communicate with an EM 277, you must enable PPI Advanced.

Module | Baud Rate | Connections
S7-200 CPU Port 0 S7-200 CPU Port 1 | 9.6 kbaud, 19.2 kbaud, or 187.5 kbaud 9.6 kbaud, 19.2 kbaud, or 187.5 kbaud | 4 4
EM 277 Module | 9.6 kbaud to 12 Mbaud | 6 per module

Follow these steps to set up the PPI parameters:

1. Right-click the MicroWin Access Point, and select PG/PC Interface from the menu.

2. Select PC/PPI cable(PPI), and click the Properties button on the Set PG/PC Interface dialog box.

3. On the PPI tab, in the Station Parameters area, select a number in the Address box. This number indicates where you want S7-200 PC Access to reside on the programmable controller network. The default station address for the personal computer on which you are running S7-200 PC Access is station address 0. The default station address for the first PLC on your network is station address 2. Each device (PC, PLC, etc.) on your network must have a unique station address; do not assign the same address to multiple devices.

4. Select a value in the Timeout box. This value represents the length of time that you want the communications drivers to spend to attempt to establish connections. The default value should be sufficient.

5. Determine whether you want S7-200 PC Access to participate on a network that has multiple masters. You can leave the check mark in the Multiple Master Network box unless you are using a modem. In that case, the box cannot be selected because S7-200 PC Access does not support that functionality.

6. Set the transmission rate at which you want S7-200 PC Access to communicate over the network. The PPI cable supports 9.6 kbaud, 19.2 kbaud and 187.5 kbaud.

7. Select the highest station (node) address. This is the address where S7-200 PC Access stops looking for other masters on the network.

8. Click the Local Connection tab.

9. In the Local Connection tab, select the COM port to which your PC/PPI cable is connected. If you are using a modem, select the COM port to which the modem is connected and select the Use Modem check box.

10. Click OK to exit the Set the PG/PC Interface dialog.

Notes:

  • S7-200 PC Access defaults to multiple-master PPI protocol when communicating to S7-200 CPUs. This protocol allows S7-200 PC Access to co-exist with other master devices (TD 200s and operator panels) on a network. This mode is enabled by checking the Multiple Master Network check box on the PC/PPI Cable Properties dialog in the PG/PC Interface.

  • S7-200 PC Access also supports a single-master PPI protocol. When using the single-master protocol, S7-200 PC Access assumes that it is the only master on the network and does not cooperate to share the network with other masters. Single-master protocol should be used when transmitting over modems or over very noisy networks. The single-master mode is selected by clearing the Multiple Master Network check box on the PC/PPI Cable Properties dialog box in the PG/PC Interface.

MPI Protocol

Back to Top

MPI allows both master-master or master-slave communications.

To communicate with an S7-200 CPU, S7-200 PC Access establishes a master-slave connection. MPI protocol does not communicate with an S7-200 CPU operating as a master.

Network devices communicate by means of separate connections (managed by the MPI protocol) between any two devices. Communication between devices is limited to the number of connections supported by the S7-200 CPU or EM 277 modules. See the PPI Protocol Connections Table for the number of connections supported by the S7-200.

For MPI protocol, the S7-300 and S7-400 PLCs use the XGET and XPUT instructions to read and write data to the S7-200 CPU. For information about these instructions, refer to your S7-300 or S7-400 programming manual

From the Setting the PG/PC Interface dialog box, if you are using CP 5511, CP 5512, CP 5611, or MPI along with the PPI protocol, and you click the “Properties...” button, the properties sheet appears for XXX Card (PPI), where “XXX” stands for the type of card you installed (for example, MPI-ISA).

Note:

Use the MPI protocol when you are communicating to an S7-200 CPU 215, port 1.

Follow these steps to set up MPI parameters:

1. On the PPI tab, select a number in the Address box. This number indicates where you want S7-200 PC Access to reside on the programmable controller network.

2. Select a value in the Timeout box. This value represents the length of time that you want the communications drivers to spend to attempt to establish connections. The default value should be sufficient.

3. Set the transmission rate at which you want S7-200 PC Access to communicate over the network.

4. Select the highest station (node) address. This is the address where S7-200 PC Access stops looking for other masters on the network.

5. Click OK to exit the Set the PG/PC Interface dialog box.

PROFIBUS Protocol

Back to Top

The PROFIBUS protocol is designed for high-speed communications with distributed I/O devices (remote I/O). There are many PROFIBUS devices available from a variety of manufacturers. These devices range from simple input or output modules to motor controllers and PLCs.

PROFIBUS networks typically have one master and several slave I/O devices.

The master device is configured to know what types of I/O slaves are connected and at what addresses. The master initializes the network and verifies that the slave devices on the network match the configuration. The master continuously writes output data to the slaves and reads input data from them.

When a DP master configures a slave device successfully, it then owns that slave device. If there is a second master device on the network, it has very limited access to the slaves owned by the first master.

TCP/IP Protocol

Back to Top

The S7-200 can support TCP/IP Ethernet communication through the use of an Ethernet (CP 243-1) or Internet (CP 243-1 IT) expansion module. The table below shows the baud rate and number of connections supported by these modules.

Module | Baud Rate | Connections
Ethernet (CP 243-1) Module Internet (CP 243-1 IT) Module | 10 to 100 Mbaud | 8 general purpose connections

See Also:

S7-200 Programmable Controller System Manual


Setting Up Communications

From What Point Do I Set Up Communications?

You can set up communications from the following points:

  • During the final step of the installation of your S7-200 PC Access software

  • Within S7-200 PC Access by selecting the PG/PC Interface dialog

  • The Windows Control Panel Set PG/PC interface icon

How Do I Choose My Communications Configuration?

The following tables show the possible hardware configurations and baud rates that S7-200 PC Access supports. Table 1 is for 2nd generation CPU 22x modules, Table 2 for Profibus DP connection, and Table 3 for 1st generation CPU 21x modules.

= Supported

1 Supports external modem using PPI connection
(PC COM port - RS232 cable - local modem - telephone/wireless connection - remote modem - PC/PPI cable - S7-200).
2 Advanced PPI protocol compared to multi-master PPI protocol:
Pro: The Advanced PPI setting establishes a more direct logical connection between programmer and CPU. Advanced
PPI protocol can improve communication, for complex networks, when several CPUs are using the NETR
(Network Read) and NETW (Network Write) instructions.
Con: Advanced PPI limits the number of available connections compared to multi-master PPI.
3 MPI protocol does not support 9.6 Kbps. 19.2 Kbps is the lowest rate supported.

3 MPI protocol does not support 9.6 Kbps. 19.2 Kbps is the lowest rate supported.

1 Supports external modem using PPI connection
(PC COM port - RS232 cable - local modem - telephone/wireless connection - remote modem - PC/PPI cable - S7-200).
2 Advanced PPI protocol compared to multi-master PPI protocol:
Pro: The Advanced PPI setting establishes a more direct logical connection between programmer and CPU.
Advanced PPI protocol can improve communication, for complex networks, when several CPUs are using the
NETR (Network Read) and NETW (Network Write) instructions.
Con: CPUs 212 and 214 must be release 1.10 or later. Advanced PPI limits the number of available connections
compared to multi-master PPI.
3 MPI protocol does not support 9.6 Kbps. 19.2 Kbps is the lowest rate supported.


(Point-to-Point Interface) is a master-slave protocol: the master devices send requests to the slave devices, and the slave devices respond.

(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).

Sample Network Configurations Using Only S7-200 Devices

This topic shows examples for the following network configurations:

  • Sample Network Configurations Using only S7-200 Devices

  • Sample Industrial Ethernet Network

Sample Network Configurations Using only S7-200 Devices

Back to Top

The S7-200 CPUs support one or more of the following communication capabilities that allow you to configure your network for the performance and functionality that your application requires.

Your network can support one or more of the following communication protocols:

  • Point-to-Point Interface (PPI)

  • Multi-Point Interface (MPI)

  • PROFIBUS

  • TCP/IP

Refer to the S7-200 Programmable Controller System Manual for more information.

Single-Master Network

The following figure shows two sample networks.

For a simple single-master network, the programming station and the S7-200 CPU are connected by either a PC/PPI cable or by a communications processor (CP) card installed in the programming station.

In the first example, the S7-200 PC Access server computer is the network master. In the second example, a human-machine interface (HMI) device (such as a TD 200, TP, or OP) is the network master.

In both sample networks, the S7-200 CPU is a slave that responds to requests from the master.

For a single-master PPI configuration, you configure S7-200 PC Access to use PPI protocol : select either single-master, multi-master, or PPI Advanced.

Multi-Master Network

The following figure shows a sample network of multiple masters with one slave.

The S7-200 PC Access server computer uses either a CP card or a PC/PPI cable, and S7-200 PC Access and the HMI device share the network.

Both S7-200 PC Access and the HMI device are masters and must have separate network addresses. The S7-200 CPU is a slave.

For a network with multiple masters accessing a single slave, you must purchase and use the PPI Multi-master cable. The cable will automatically adjust to the appropriate settings without the need for configuration.

The following figure shows a PPI network with multiple masters communicating with multiple slaves.

In this example, both S7-200 PC Access and the HMI can request data from any S7-200 CPU slave. S7-200 PC Access and the HMI device share the network.

All devices (masters and slaves) have different network addresses.

For a PPI network with multiple masters and multiple slaves, you configure S7-200 PC Access to use PPI protocol with the multi-master driver enabled. PPI Advanced is optimal.

Complex PPI Networks

The following figure shows a sample network that uses multiple masters with peer-to-peer communication.

S7-200 PC Access and the HMI device read and write over the network to the S7-200 CPUs, and the S7-200 CPUs use the Network Read (NETR) and Network Write (NETW) instructions to read and write to each other (peer-to-peer communication).

For this type of complex PPI network, you must purchase and use the PPI Multi-master cable. The cable will automatically adjust to the appropriate settings without the need for configuration.

The following figure shows another example of a complex PPI network that uses multiple masters with peer-to-peer communication.

In this example, each HMI monitors one S7-200 CPU.

The S7-200 CPUs use the NETR and NETW commands to read and write to each other (peer-to-peer communication).

For this network, you configure S7-200 PC Access to use PPI protocol with the multi-master driver enabled. PPI Advanced is optimal.

Sample Industrial Ethernet Network

Back to Top

The CP243-1 Ethernet module is a communications processor for the S7-200 family that allows a S7-200 PLC to be linked to an Industrial Ethernet network.

The Ethernet module allows the S7-200 PLC to communicate by supporting a maximum of 8 asynchronous, concurrent connections.

To communicate with an Industrial Ethernet network, STEP 7-Micro/WIN configures Ethernet connections using the Ethernet wizard.

For more information on using the Ethernet module, see Ethernet Communications.

See Also:

S7-200 Programmable Controller System Manual

A Protocol is a set of rules agreed to between two communication partners to allow them to communicate with each other.

Technology for local area networks (LANs) and wide area networks (WANs). Ethernet standardizes the procedures for interconnecting several computers. It specifies how the data flow over the network cable is controlled.


Using Modems and STEP 7-Micro/WIN with Your Network

(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).

Using Modems and S7-200 PC Access with Your Network

There are two different modem configurations when communicating between S7-200 PC Access and the S7-200 PLC :

  • PC Modem connection: PC Modem connection can be either Internal or External (Analog, Radio and Cellular Modems). This type of modem connection is considered local.

  • PLC Modem connection: PLC Modem connection involves connecting the S7-200 PLC to either the EM 241 Modem Expansion Module or a remote modem. This type of modem connection is considered remote.

This topic discusses the following:

  • Setting Up the Local Modem for PC Modem Connection

  • Configuring a Local Modem for 11-bit Communication

  • Configuring the Local Modem for PC Modem Connection

  • Configuring a Radio Modem for External PC Modem Connection

  • Configuring a Cell Phone Modem for External PC Modem Connection

  • Configuring a PLC Remote Modem Connection Using the EM 241 Modem Expansion Module

  • Using a Modem with the Smart Cable

  • Using the S7-200 RS-232/PPI Multi-Master Cable with S7-200 PC Access

Setting Up the Local Modem for PC Modem Connection

Back to Top

Before you can begin to configure you PC Modem connection, you must first set up your local modem through the Windows Control Panel.

The standard Windows Modem Options (Phone and Modem Options for Windows 2000) is utilized for selection and configuration of telephone modems. The Modem Options can be found under the Windows Control Panel.

Using the Windows setup options for modems allows you to:

  • Use most internal and external modems supported by Windows.

  • Use the standard configurations for most modems supported by Windows.

  • Use the standard Windows dialing rules for selection of locations, country and area code support, pulse or tone dialing, and calling card support.

  • Use higher baud rates when communicating to the EM 241 Modem module.

To access the Modem Properties dialog box, either:

  • Select the Control Panel icon on your desktop and then click Modems.

  • Select Start > Settings > Control Panel > Phone and Modem Options for Windows 2000.

The Phone and Modem Options dialog box allows you to set up the local modem. You can select your modem from the list of modems supported by Windows or you can add a different modem by clicking the Add... button. If you modem is not listed in the Windows modem dialog box, contact your modem vendor to acquire the modem configuration files for Windows. If you modem does not support a Windows driver, the standard 9600 baud may be used.

Click the Dialing Rules tab > Edit button to select Tone or Pulse dialing. You can also configure the dialing location and assign specific dialing properties for each physical location.

Click the Modems tab > Properties button > General tab to configure the following options for your modem:

Note: Different options are available based on the type of modem being configured. The features supported by the modem and identified through its registry configuration define the feature set that can be configured through standard dialog fields.

The Windows baud rate and framing selections govern the setting of the PC serial port only. Windows requires that the modem be capable of auto-baud and auto-parity. This baud rate determines the communication rate. The baud rate setting in the PG/PC interface is not used when modems are selected.

Configuration in this manner also assists in providing additional baud rate selections that are consistent with the EM 241 Modem module baud rate selections. If the module permits operation with baud rates greater than 19,200, consistent selections for the local modem baud rates can be achieved through this configuration.

Click the Modems tab > Properties button > Diagnostics tab to configure a log file recording of the modem activity and commands. The file is placed within the Windows system directory and is named according to the name of the installed modem.

Advanced connection properties are accessed through the Modems tab > Properties button > Advanced tab. Additional modem commands can be specified within the Extra Settings field. These are specific modem AT commands that are not comprehended within the dialog fields.

Click the Modems tab > Properties button > Advanced tab > Change Default Preferences button > General and Advanced tabs to define various settings associated with modem connection properties. These properties define the framing control used by S7-200 PC Access and the preferences associated with dialing and maintaining the connection. You can also select error control and flow control properties. Understanding of specific modem commands are not required for these selections. These fields are only accessible if your modem supports these capabilities.

Configuring a Local Modem for 11-bit Communication

Back to Top

Several modems can provide support for either 10-bit or 11-bit communication. Each of these modems are factory configured for default 10-bit communication. To configure a local modem for 11-bit communication, two configuration changes must be made:

  • First, the specific 11-bit modem command must be placed in the Extra Settings field in the Windows modem dialog. For example, the MultiTech modem’s 11-bit command is $EB1.

  • Second, even parity must be selected for the Windows serial port configuration. Once a local modem is configured for 11-bit communication, they typically can not be programmed back to 10-bit communication through Windows. This is because the modems do not auto-parity once in 11-bit mode. The easiest way to reset the modem back to 10-bit is by cycling power to the modem.

It is not sufficient to configure the Connection Preferences for 11-bit operation. The modem must be commanded into 11-bit mode through the use of an AT command. The specific AT command varies depending upon the modem type.

Configuring the Local Modem for PC Modem Connection

Back to Top

After you have set up your local modem through the Windows Control Panel, use the Set PG/PC Interface dialog box in S7-200 PC Access to select the modem connection as the communications interface.

1. Right-click the MicroWin access point, and select PG/PC Interface from the menu.

2. Select PC/PPI cable(PPI), and click the Properties button on the Set PG/PC Interface dialog box.

3. On the Local Connection tab, select the Modem Connection box. Click OK.

4. Right-click the MicroWin access point, and select Modem > Configure from the menu.

5. In the Modem Connection Settings dialog, you can edit the settings for the current modem, or you can choose to add a new configuration. Click the Add button to start the Add Modem Connection Wizard. A connection is an association of an identifying name and the physical properties of communication between S7-200 PC Access and a particular S7-200 PLC. These properties include a phone number, time out, and any other unique characteristic associated with a connection.

6. Type in the name for your connection and select a modem to configure from the modem drop-down list. The list contains every modem installed through the operating system plus radio modems. Click the Configure... button to setup the modem properties.

7. Enter the phone number of the remote station you are connecting to. You can also choose to activate dialing rules.

8. Specify the amount of time that S7-200 PC Access waits for the PLC to acknowledge communication requests.

9. Click Finish to complete the Modem Connection configuration.

10. Right-click the MicroWin Access Point, and select Modem > Connect from the menu.

11. Use the Modem Connection dialog box to establish a modem connection by clicking the Connect button. You can specify the total time to wait for the connection to be established. The default is 90 seconds. Once this is initiated, detailed dialing status information are reflected within the textbox located at the bottom of the dialog box. When connected, editing within this dialog is disabled, and the only operations the dialog permits are disconnecting using the Disconnect button or continuing by selecting Cancel.

Note: Any previously configured phone numbers are available for modification, but these changes are not saved with the connection. Instead, they are used as temporary changes while the S7-200 PC Access application is active. To make the changes permanent, use the Add Modem Configuration Wizard to edit the configuration.

Configuring a Radio Modem for External PC Modem Connection

Back to Top

When you want to configure a radio modem, you must choose Radio/RF Modem from the drop down list on the first Add Modem Connection Wizard screen and click Configure.

The Radio/RF Modem dialog box appears. You must enter the Com port, Baud rate, and the Parity. You may also specify whether the radio will use the carrier or flow control signals.

Configuring a Cell Phone Modem for External PC Modem Connection

Back to Top

You can choose to use a M20 or TC35 Cell modem as the local modem by first installing a standard 9600 modem driver on your system and selecting the Use this local modem as a Cell phone modem checkbox on the first screen of the Add Modem Connection Wizard

On the Special Configuration Settings dialog, you must enter a PIN Command and PIN Number. These settings permit the configuration of any authorization commands associated with a cell phone type modem. They are sent prior to dialing any remote modem and establishing any connection.

You must also enter a timeout in seconds to allow the modem to be authorized. If you are using an M20 cell phone, enter a post authorization timeout also. After accepting a PIN, the M20 can delay up to 2 minutes before it dials successfully.

For information on troubleshooting the M20 or TC35 Cell modems, see Siemens M20 and TC35 Cell Phone Modem Troubleshooting.

Configuring a Remote PLC Modem Connection Using the EM 241 Modem Expansion Module

Back to Top

If the remote modem is an analog modem or a cell modem, start the Modem Expansion wizard and select to configure an analog or cellular modem. Follow the instructions in the wizard to set up and program your remote modem for use with the S7-200 CPUs.

For more information on configuring a remote PLC, see Analog or Cellular Modem Configuration.

Using a Modem with the Smart Cable

Back to Top

For connection directly to your personal computer:

  • Set the PPI/Freeport mode (Switch 5=0)

  • Set the baud rate (Switches 1, 2, and 3)

  • Set Local (Switch 6=0). The Local setting is the same as setting the PC/PPI cable to DCE.

  • Set the 11 Bit (Switch 7=0)

For connection to a modem:

  • Set the PPI/Freeport mode (Switch 5=0)

  • Set the baud rate (Switches 1, 2, and 3)

  • Set Remote (Switch 6=1). The Remote setting is the same as setting the PC/PPI cable to DTE.

  • Set the 10 Bit or 11 Bit (Switch 7) to match the number of bits per character setting of your modem.

Using the S7-200 RS-232/PPI Multi-Master Cable with S7-200 PC Access

Back to Top

For connection directly to your personal computer:

  • Set the PPI mode (Switch 5=1)

  • Set Local (Switch 6=0)

For connection to a modem:

  • Set the PPI mode (Switch 5=1)

  • Set Remote (Switch 6=1)

The figure below shows the S7-200 RS-232/PPI Multi-Master Cable dimensions, label and LEDs.

The following figure shows the pin assignments for common modem adapters.

The first table below shows the pin numbers and functions for the RS-485 and RS-232 ports of the PC/PPI cable in DTE mode. The second table below shows the pin numbers and functions for the RS-485 and RS-232 ports of the PC/PPI cable in DCE mode. The PC/PPI cable supplies RTS only when it is in DTE mode.

RS-485 Connector Pin-out |  | RS-232 DTE Connector Pin-out **
Pin | Signal Description | Pin | Signal Description
1 | Ground (RS-485 logic ground) | 1 | Not used: Data Carrier Detect (DCD)
2 | 24 V Return (RS-485 logic ground) | 2 | Receive Data (RD) (input to PC/PPI cable)
3 | Signal B (RxD/TxD+) | 3 | Transmit Data (TD) (output from PC/PPI cable)
4 | RTS (TTL level) | 4 | Not used: Data Terminal Ready (DTR)
5 | Ground (RS-485 logic ground) | 5 | Ground (RS-232 logic ground)
6 | NC (No connect) | 6 | Not used: Data Set Ready (DSR)
7 | 24 V Supply | 7 | Request To Send (RTS) (output - switch selectable)
8 | Signal A (RxD/TxD-) | 8 | Not used: Clear To Send (CTS)
9 | Protocol select | 9 | Not used: Ring Indicator (RI)

**A conversion from female to male, and a conversion from 9-pin to 25-pin may be required for modems.

RS-485 Connector Pin-out |  | RS-232 DCE Connector Pin-out
Pin | Signal Description | Pin | Signal Description
1 | Ground (RS-485 logic ground) | 1 | Not used: Data Carrier Detect (DCD)
2 | 24 V Return (RS-485 logic ground) | 2 | Receive Data (RD) (output to PC/PPI cable)
3 | Signal B (RxD/TxD+) | 3 | Transmit Data (TD) (input from PC/PPI cable)
4 | RTS (TTL level) | 4 | Not used: Data Terminal Ready (DTR)
5 | Ground (RS-485 logic ground) | 5 | Ground (RS-232 logic ground)
6 | NC (No connect) | 6 | Not used: Data Set Ready (DSR)
7 | 24 V Supply | 7 | Not used: Request To Send (RTS)
8 | Signal A (RxD/TxD-) | 8 | Not used: Clear To Send (CTS)
9 | Protocol select | 9 | Not used: Ring Indicator (RI)

See Also:

Modem Troubleshooting

(Point-to-Point Interface) is a master-slave protocol: the master devices send requests to the slave devices, and the slave devices respond.

A Protocol is a set of rules agreed to between two communication partners to allow them to communicate with each other.


(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).

The OPC server is the middleware between the applications for handling process data, the various network protocols, and the interfaces for accessing these data.

TSAPs uniquely identify connections to an IP address. TCP/IP protocol allows multiple connections to a single IP address (up to 64K connections).

A Protocol is a set of rules agreed to between two communication partners to allow them to communicate with each other.

Ethernet Communications

The CP243-1 Ethernet module is a communications processor for the S7-200 family that allows a S7-200 PLC to be linked to an Industrial Ethernet network.

The Ethernet module includes the following features:

  • Communication based on TCP/IP and ISO communication standards

  • Factory installed MAC address

  • Peer-to-peer communications with other S7 devices

  • Auto sensory full duplex or half duplex communications, 10 MB and 100 MB

  • Multiple connections (up to 8)

  • Client or Server configuration options

You have three different types of communication options when using the Ethernet module:

1. Connecting the Ethernet Module with a STEP 7-Micro/WIN PLC

2. Connecting the Ethernet Module with other S7 components (S7-200/S7-300)

3. Connecting the Ethernet module with OPC applications

Once you have created an Ethernet configuration using the Ethernet Wizard, you must download the project through STEP 7-Micro/WIN.

Note: Refer to: STEP 7-Micro/WIN Online Help > Set Up Communications > Ethernet Communications > Ethernet Wizard for step-by-step instructions on the Ethernet Wizard.

This topic discusses the following:

  • Entering the Network Address for the S7-200 CP243-1 Ethernet Module in S7-200 PC Access

  • Setting the IP Address and TSAPs for the S7-200 CP243-1 Ethernet Module

Entering the Network Address for the S7-200 CP243-1 Ethernet Module in S7-200 PC Access

Back to Top

Follow these steps to set up communication with a TCP/IP Ethernet network:

1. Right-click the MicroWin access point, and select PG/PC Interface from the menu.

2. Select the Ethernet card for your machine. Once you complete your configuration, click OK on the Set PG/PC Interface dialog box.

3. Next, in the Tree View, right-click the PLC icon, and select Properties from the menu.

4. In the PLC Properties dialog, use the IP Address Browser button [image] to select or enter the IP address for the corresponding CP243-1 Ethernet module. The only IP addresses that are used by both S7-200 PC Access and STEP 7-Micro/WIN are the IP addresses you have configured and saved with the IP Address Browser.

5. Enter the Local and Remote TSAPs by using either the TSAP portion of the IP Address Browser [image] , or the TSAP portion of the PLC Properties dialog.

Setting the IP Address and TSAPs for the S7-200 CP243-1 Ethernet Module

Back to Top

You configure the IP Address and TSAPs for the S7-200 CP243-1 Ethernet Module with STEP 7-Micro/WIN. The S7-200 project stores the IP Address and TSAPs that the S7-200 CP243-1 Ethernet Module will use when attached to the network. After you select the parameters for the S7-200 CP243-1 Ethernet Module, you must download the S7-200 project before the changes will take effect.

S7-200 PC Access | STEP 7-Micro/WIN
Note: The IP Address and TSAPs that you set in STEP 7-Micro/WIN must match the IP Address and TSAPs that you set in S7-200 PC Access. |

Use STEP 7-Micro/WIN to set the IP Address and TSAPs for the S7-200 CP243-1 Ethernet Module:

1. Use the Ethernet Wizard to configure the IP Addresses and TSAPs.

Note: Refer to: STEP 7-Micro/WIN Online Help > Set Up Communications > Ethernet Communications > Ethernet Wizard for step-by-step instructions.

2. Download the project to the S7-200.

See Also:

STEP 7-Micro/WIN Online Help > Set Up Communications > Ethernet Communications > Ethernet Wizard

SIMATIC NET CP 243-1 Communications Processor for Industrial Ethernet Manual


The OPC client is an application which accesses process data, messages, and archives of an OPC server.

(OLE for Process Control) is an open system interface standard which allows simple, standardized data exchange between automation/PLC applications, field devices, and PC-based applications like HMI or office applications.

The OPC client is an application which accesses process data, messages, and archives of an OPC server.

The OPC server is the middleware between the applications for handling process data, the various network protocols, and the interfaces for accessing these data.

Overview of Sample Projects

The S7−200 PC Access sample projects are provided to give users of S7-200 PC Access examples that accomplish tasks in various applications. Click the desired sample project to learn the basics steps involved in its creation and for step-by-step instructions on how to download the sample project files.

Background information is provided on the following:

  • Sample Projects:

  • S7-200 PC Access Sample Diagnostic Project

  • Excel Sample Project

  • ProTool/Pro Sample Project

  • Visual Basic Sample Project

Click the desired sample project to learn the basics steps involved in its creation and for step-by-step instructions on how to download the sample project files.

Sample Projects

Back to Top

The sample projects are complete working examples. The required c lient, server , and STEP 7-Micro/WIN files for each sample project are provided. After connecting to a running S7-200 PLC , you can view an operational sample project from the OPC client application.

Under the [TARGETDIR]\Samples directory, three sample project directories are listed as follows:

  • SIMATIC ProTool/Pro (created with Version 6.0 SP2)

  • Microsoft Excel (created with Version 2000 (9.0.3821 SR-1))

  • Microsoft Visual Basic (created with Version 6.0)

Each of the sample project directories contain the following:

  • Client-specific files (ProTool/Pro - .pdb, Excel - .xls, and Visual Basic - .vbp)

  • S7-200 PLC STEP 7-Micro/WIN project file (.mwp) (created with Version 3.1) Note: You must import symbols from this .mwp file into S7-200 PC Access.

Note: S7-200 PC Access must be installed on the client computer.


(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).

S7-200 PC Access Sample Diagnostic Project

A sample PC Access project is provided that contains pre-defined item definitions for particular S7-200 diagnostic data. The default PLC address is initialized as 2 for Profibus interfaces.

The default PLC IP address is initialized as 0.0.0.0 for Ethernet interfaces. This requires the customer to specify IP and TSAP addresses before communication can be successfully established.

The following S7-200 CPU Special Memory (SM) locations are included:

Part 1:

Part 2:

The OPC Group object maintains information about itself and provides the mechanism for containing and logically organizing OPC items for data read and write. The OPC Groups provide a way for clients to organize data.

OPC Items are connections to data sources within the OPC Server. All read and write access to OPC Items is via an OPC Group object that “contains” the OPC item. The same OPC item can be contained by several groups.

(OLE for Process Control) is an open system interface standard which allows simple, standardized data exchange between automation/PLC applications, field devices, and PC-based applications like HMI or office applications.

The OPC server is the middleware between the applications for handling process data, the various network protocols, and the interfaces for accessing these data.

Technology for local area networks (LANs) and wide area networks (WANs). Ethernet standardizes the procedures for interconnecting several computers. It specifies how the data flow over the network cable is controlled.

TSAPs uniquely identify connections to an IP address. TCP/IP protocol allows multiple connections to a single IP address (up to 64K connections).


(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).

OPC Items are connections to data sources within the OPC Server. All read and write access to OPC Items is via an OPC Group object that “contains” the OPC item. The same OPC item can be contained by several groups.

The original source of the process data.

Excel Sample Project

The S7-200 PC Access supports the Excel Client and a sample project is provided to demonstrate its use.

Step-by-step instructions on how to download the sample project files and background information on how the sample project was created are found below:

  • Sample Setup Instructions

  • Item Usage

  • Using the Excel Add-in Icons

  • Using Run-Time Names to Read Device Memory Locations in Excel

  • Understanding the Buttons and Extra Features Embedded in the Excel Samples

  • How to View Code Behind a VBA Button in the Excel Sample

Sample Setup Instructions

Back to Top

1. In your S7-200 PC Access software, locate the [TARGETDIR]\Samples directory, and open the PCAccess.mwp project file. Download the project to your PLC, and place the PLC in the run mode.

2. Next, import symbols from the PCAccess.mwp file into S7-200 PC Access. Save the project so that you can read item name values from clients. If a test of item functionality is required, select: Status > Start Test Client to read the status of the items.

3. The project currently running within the S7-200 PC Access OPC server (the last project that was opened and saved in the S7-200 PC Access configurator) is automatically opened in the OPC server when you start the S7-200 PC Access Test Client. Instead of starting the OPC server from the Test Client, you may do so from any OPC client when that OPC client requests communications with the S7-200 PC Access OPC server. To demonstrate this, stop the Test Client by selecting: Status > Stop Test Client, at this time.

4. Microsoft Excel (created with Version 2000 (9.0.3821 SR-1)) is required to execute the OPC client. Double-click one of the Excel sample project spreadsheets:

  • PCAccess.xls:

  • PCAccessLog.xls:

Note: The first time you open one of the Excel sample project spreadsheets, you must manually install the S7-200 PC Access Add-In. This must only be done one time. Thereafter, when you open your Excel spreadsheets, the S7-200 PC Access Add-In will always be present as a new toolbar with buttons. This action is accomplished using steps 5 through 9.

5. Open the Excel application.

6. From the menu, select: Tools > AddIns.

7. On the dialog window, click the Browse button.

8. Browse to the path where you installed the S7-200 PC Access application. The default installation path is: C:\Program Files\Siemens\S7-200 PC Access\.

9. Open the \bin subdirectory.

10. Select the file named: OPCS7200ExcelAddin.xla.

11. On the File Browse dialog, click OK, and you will then return to the Excel Add-In dialog window that is still opened.

12. From the dialog that appears with the list of Add-Ins available, check the checkbox for: OPC-Client Add-in for Excel.

13. Click the OK button to save and close the dialog.

14. Save and close your Excel file.

15. After re-opening the Excel sample project, the user is asked whether he wants to activate macros. This must be answered affirmatively.

16. The Excel client is connected to the S7-200 PC Access server by pressing the Start button [image] .

Note: You will see the S7-200 PC Access icon appear in your PC's status bar (lower right-hand corner of the window). S7-200 PC Access activates a Windows Taskbar icon (system tray) whenever the S7-200 PC Access OPC server is activated. This icon is provided to ensure that the S7-200 PC Access OPC server can be managed and accessed when this application is started indirectly by an OPC client (for example, Excel , ProTool/Pro, or Visual Basic). The presence of this icon provides a visual indication that the S7-200 PC Access application is active. This icon supports a context menu that permits selections for Open Configurator and Exit. Opening will activate the S7-200 PC Access user interface.

The value of the variables can now be changed; synchronization with the OPC server takes place automatically. Before exiting the Excel sample project and the server, exit the client by pressing the Stop button [image].

Note: Each time you open an Excel project that uses the S7-200 PC Access Add-in, then you will get the message that asks whether you want to enable macros. This is a security feature. If you wish to change the level of security protection, you can do this by selecting the following Excel menu item: Tools > Macro Security. Selecting Low will cause the message to be disabled, although it is not recommended, since it will no longer protect you from Excel viruses.

Item Usage

Back to Top

Item symbol names and run-time names are used in these Excel sample projects. If an item does not exist for use in the S7-200 PC Access server, the client can use the run-time name syntax to add an item. Refer to The Item Object for an explanation of the two possible ways to create an item.

Note: You must open and save the S7-200 PC Access project (.pca) file, if you want to read item symbolic name values from that .pca file to an OPC client. If you are reading run-time name values from an OPC client, you do not have to save the project (.pca) file in order to read the values into the OPC client.

Using the Excel Add-in Icons

Back to Top

Most locations on the Excel spreadsheet samples are controlled by the S7-200 PC Access Excel Add-In menu addition that looks like the following:

Click the Formula-Wizard button (Wand icon on the left) to browse and select the items, currently available in the S7-200 PC Access serve, from which you want to read values.

Click the Write-Wizard button (Pencil icon second from the left) to browse and select the items, currently available in the S7-200 PC Access server, to which you want to write new values.

Click the START button (Arrow icon second from the right) to start S7-200 PC Access communications.

Click the STOP button (Square icon on the right) to stop S7-200 PC Access communications.

Using Run-Time Names to Read Device Memory Locations in Excel

Back to Top

Using run-time names in the Excel Client to read a device memory locations is explained below. This example continues with the example used in 4.1 Reading an Item in Excel, where item symbol names were used.

1. Open Excel. The user is asked whether he wants to activate macros. This must be answered affirmatively.

2. Select a cell location where you plan to display data.

3. Look at the Item Name cell formula from the previous example. To use run-time names, the item name portion of the cell formula must be replaced (for example, =OPC("MicroWin.PCAccess.USR1.COUNTER_6") with =OPC("2,VW0,WORD"). Values will appear in the configured cell location. You may organize your data with cell titles (refer to the figure below).

Understanding the Buttons and Extra Features Embedded in the Excel Samples

Back to Top

Two of the Excel samples have Visual Basic buttons embedded in the spreadsheet. The behavior of these buttons is described below:

PCAccess.xls

Buttons on the spreadsheets represent Visual Basic buttons, and these buttons have VB code that will enable/disable (toggle) the functions. There are two (2) buttons that control the read and write operations on the one location, VW0, next to the buttons. These buttons only control VW0.

PCAccessLog.xls

There is one (1) button used to control all the monitoring of the locations in this sample. Therefore, when this sample is opened, there is no S7-200 PC Access Add-In link associated with it.

  • Column J: This column (in row 2) allows you to see the current row number that is being updated (it is a dynamic field that changes as new rows are written in the log).

  • Column K: This column (in row 2) allows you to select the sample rate of the application. This is the sample rate between reads of the entire list of cells.

  • Column L: This column (in row 2) allows you to input a path and filename of a text file to which the data can be logged. If there is a valid filename, then the data shown on the screen will also be written to the file. If you leave cell L2 blank, then no log is created. This is an extra logging feature with this sample that is implemented with VB code.

Note: Do not destroy the Row 2 since the embedded VB code is dependent on the data in these columns. Data in these columns provides input parameters to the VB code.

How to View Code Behind a VBA Button in the Excel Sample

Back to Top

All buttons on the Excel spreadsheets are created with Visual Basic for Applications (VBA). VBA is included with both Windows 2000 and Windows XP operating systems. In order to find the code that is associated with these buttons, follow these steps:

1. Open the Excel sample file.

2. Look for the following Toolbar in the Excel application:

If you do not find this toolbar in your Excel application, then select the menu item:

View > Toolbars, and then enable the selection for Visual Basic. Then you should see this toolbar.

3. To view the code for that button, make sure the S7-200 PC Access communications are not running.

4. Click on the toolbar Design Mode icon [image] from the VBA Toolbar.

5. Double-click on the VBA button, and this will start VBA and will display the VBA button code section for the button that you have clicked.

6. Close the VBA application (click the X close symbol in the upper right-most corner of the window) to exit and return to Excel.


(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).

OPC Items are connections to data sources within the OPC Server. All read and write access to OPC Items is via an OPC Group object that “contains” the OPC item. The same OPC item can be contained by several groups.

The original source of the process data.

ProTool/Pro Sample Project

The S7-200 PC Access supports the ProTool/Pro Client and a sample project is provided to demonstrate its use.

Step-by-step instructions on how to download the sample project files and background information on how the sample project was created are found below:

  • Sample Setup Instructions

  • Item Usage

  • The PCaccess.fwd Project

  • Using Run-Time Names to Read and Write to Device Memory Locations in ProTool/Pro

Sample Setup Instructions

Back to Top

1. In your S7-200 PC Access software, locate the [TARGETDIR]\Samples directory, and open the PCAccess.mwp project file. Download the project to your PLC, and place the PLC in the run mode.

2. Next, import symbols from the PCAccess.mwp file into S7-200 PC Access. Save the project so that you can read item name values from clients. If a test of item functionality is required, select: Status > Start Test Client to read the status of the items.

3. The project currently running within the S7-200 PC Access OPC server (the last project that was opened and saved in the S7-200 PC Access configurator) is automatically opened in the OPC server when you start the S7-200 PC Access Test Client. Instead of starting the OPC server from the Test Client, you may do so from any OPC client when that OPC client requests communications with the S7-200 PC Access OPC server. To demonstrate this, stop the Test Client by selecting: Status > Stop Test Client, at this time.

4. SIMATIC ProTool/Pro (created with Version 6.0 SP2) is required to execute the OPC client. Double-click the PCaccess.pdb sample project to open ProTool/Pro CS.

5. The ProTool/Pro client is automatically connected to the S7-200 PC Access server.

Note: You will see the S7-200 PC Access icon appear in your PC's status bar (lower right-hand corner of the window). S7-200 PC Access activates a Windows Taskbar icon (system tray) whenever the S7-200 PC Access OPC server is activated. This icon is provided to ensure that the S7-200 PC Access OPC server can be managed and accessed when this application is started indirectly by an OPC client (for example, Excel , ProTool/Pro, or Visual Basic). The presence of this icon provides a visual indication that the S7-200 PC Access application is active. This icon supports a context menu that permits selections for Open Configurator and Exit. Opening will activate the S7-200 PC Access user interface.

6. The value of the variables can now be changed; synchronization with the OPC server takes place automatically. Before exiting the ProTool/Pro project and the S7-200 PC Access server, exit the ProTool/Pro client by pressing the Exit Runtime button [image], which is found in the upper-right corner of the ProTool/Pro Runtime picture.

Item Usage

Back to Top

Item symbol names and run-time names are used in this ProTool/Pro sample project. If an item does not exist for use in the S7-200 PC Access server, the client can use the run-time name syntax to add an item. Refer to The Item Object for an explanation of the two possible ways to create an item.

Note: You must open and save the S7-200 PC Access project (.pca) file, if you want to read item symbolic name values from that .pca file to an OPC client. If you are reading run-time name values from an OPC client, you do not have to save the project (.pca) file in order to read the values into the OPC client.

The PCaccess Project

Back to Top

These items are all taken from the S7-200 PC Access Sample Diagnostic Project. There are thirty-two (32) boolean variables (VAR_1 to VAR_32).

Using Run-Time Names to Read and Write to Device Memory Locations in ProTool/Pro

Back to Top

If an item does not exist for use in the server, the client can use the run-time name syntax to add an item. Refer to Run-Time Name Definition Syntax for more details. Using run-time names in the ProTool/Pro Client to read and write to device memory locations is explained below. This example continues with the example used in 5.1 Reading an Item in ProTool/Pro and 5.2 Writing to an Item in ProTool/Pro, where item names were used.

1. Locate the Screen Objects toolbar (normally at the bottom of the editor).

2. Click on the Output Field object, and position a new output field on your screen (refer to the figure below).

3. After you position the Output Field object, the Output Field dialog is displayed.

4. Under the General tab, click on the New button to the right of the Value field (refer to the figure below).

5. The Tag dialog is portrayed. In the Type field, click on the dropdown button, and choose BYTE. In the Item Name field, enter the following run-time name : 2,IB0,BYTE (refer to the figure below). Click on the OK button to complete the output field configuration.

6. Writing values to a ProTool/Pro item must be done with continuously updated input fields (input/output fields). Click on the Input Field object, and position a new input field on your screen (refer to the figure below). (Note: Click the Select button to end each object type configuration operation.)

7. After you position the Input Field object, the Input Field dialog is displayed.

8. Select the General tab. Note that in the Update field (in the upper right corner of the tab) the Continuously checkbox is checked by default. In actuality, this makes the input field an input/output field.

9. To the right of the Value field, click on the dropdown button (refer to the figure below). Choose the VAR_33 item (the same run-time name item used in the read example above). Click the OK button to complete the input field configuration.

10. Click the Start ProTool/Pro RT button to go to runtime (refer to the figure below). In the SIMATIC ProTool dialog that appears, select Yes to save your project for compilation.

11. Values will appear in the configured location. You may organize your data with titles (refer to the figure below).

Back to Top


Visual Basic Sample Project

The S7-200 PC Access supports the Visual Basic Client and a sample project is provided to demonstrate its use.

Step-by-step instructions on how to download the sample project files, background information on how the sample project was created, and procedures for reading and writing values to items are found below:

  • Sample Setup Instructions

  • Item Usage

  • The VB6Sample Project

  • Writing to PLC Outputs in STOP Mode

Sample Setup Instructions

Back to Top

1. In your S7-200 PC Access software, locate the [TARGETDIR]\Samples directory, and open the PCAccess.mwp project file. Download the project to your PLC, and place the PLC in the run mode.

2. Next, import symbols from the PCAccess.mwp file into S7-200 PC Access. Save the project so that you can read item name values from clients. If a test of item functionality is required, select: Status > Start Test Client to read the status of the items.

3. The project currently running within the S7-200 PC Access OPC server (the last project that was opened and saved in the S7-200 PC Access configurator) is automatically opened in the OPC server when you start the S7-200 PC Access Test Client. Instead of starting the OPC server from the Test Client, you may do so from any OPC client when that OPC client requests communications with the S7-200 PC Access OPC server. To demonstrate this, stop the Test Client by selecting: Status > Stop Test Client, at this time.

4. Microsoft Visual Basic (created with Version 6.0) is required to execute the VB OPC client. Double-click the VB6Sample.exe sample project.

5. The Visual Basic client is connected to the S7-200 PC Access server by the following procedure (refer to the figure below):

  • Select the Connect button

  • Click the Add Group button

  • Select the Add Item button

  • Check the Group Active State checkbox

Note: You will see the S7-200 PC Access icon appear in your PC's status bar (lower right-hand corner of the window). S7-200 PC Access activates a Windows Taskbar icon (system tray) whenever the S7-200 PC Access OPC server is activated. This icon is provided to ensure that the S7-200 PC Access OPC server can be managed and accessed when this application is started indirectly by an OPC client (for example, Excel , ProTool/Pro, or Visual Basic). The presence of this icon provides a visual indication that the S7-200 PC Access application is active. This icon supports a context menu that permits selections for Open Configurator and Exit. Opening will activate the S7-200 PC Access user interface.

The value of the variables can now be changed; synchronization with the OPC server takes place automatically. Before exiting the Visual Basic sample project and the S7-200 PC Access server, disconnect the Visual Basic client by unchecking the Group Active State checkbox.

Item Usage

Back to Top

Item symbol names and run-time names are used in this Visual Basic sample project. If an item does not exist for use in the S7-200 PC Access server, the client can use the run-time name syntax to add an item. Refer to The Item Object for an explanation of the two possible ways to create an item.

Note: You must open and save the S7-200 PC Access project (.pca) file, if you want to read item symbolic name values from that .pca file to an OPC client. If you are reading run-time name values from an OPC client, you do not have to save the project (.pca) file in order to read the values into the OPC client.

The VB6Sample Project

Back to Top

This example project uses the OPC client/server architecture to access data from S7-200 PC Access server. The example project allows users to read and write (Synchronous and asynchronous) data from the server. The code in this project is designed to give users a start on how methods can be used successfully to access data using VB.

Example read and write buttons are pictured in the figure below:

  • Write Synchronous:During a synchronous write, the OPC client program stops executing until a variable is written.

  • Write Asynchronous: During an asynchronous write, the OPC client program continues to execute while data is written.

  • Read Synchronous:During a synchronous read, the OPC client program stops executing until a variable is read.

  • Read Asynchronous:During an asynchronous read, the OPC client program continues to execute while data is written

Run-time names are being used in this sample project. The Item 1 and Item 2 fields may be changed to other run-time names.

Writing to PLC Outputs in STOP Mode

Back to Top

The S7-200 PC Access application will not permit writing to any discrete or analog outputs while the PLC is in STOP mode. Any attempted writes to outputs while the PLC is in STOP mode will result in an error.

The OPC client is an application which accesses process data, messages, and archives of an OPC server.

(OLE for Process Control) is an open system interface standard which allows simple, standardized data exchange between automation/PLC applications, field devices, and PC-based applications like HMI or office applications.

The OPC server is the middleware between the applications for handling process data, the various network protocols, and the interfaces for accessing these data.

(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).

OPC Items are connections to data sources within the OPC Server. All read and write access to OPC Items is via an OPC Group object that “contains” the OPC item. The same OPC item can be contained by several groups.

The OPC Group object maintains information about itself and provides the mechanism for containing and logically organizing OPC items for data read and write. The OPC Groups provide a way for clients to organize data.

During asynchronous access, the OPC client program continues to execute while data are read or written.


OPC Server Error Messages

OPC Server Error Messages are incorporated into the S7-200 PC Access application:

These error messages are defined in the OPC Data Access Custom V2.05A Document.

At this website Link to OPC Foundation website: opcfoundation.org, you have access to this document in PDF format.

(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).

(OLE for Process Control) is an open system interface standard which allows simple, standardized data exchange between automation/PLC applications, field devices, and PC-based applications like HMI or office applications.

The OPC server is the middleware between the applications for handling process data, the various network protocols, and the interfaces for accessing these data.


OPC Quality Flag Messages

OPC Quality Flag Messages are incorporated into the S7-200 PC Access application:

These error messages are defined in the OPC Data Access Custom V2.05A Document.

At this website Link to OPC Foundation website: opcfoundation.org, you have access to this document in PDF format.

OPC Quality Flag Messages

These flags represent the quality state for an item's data value. The low 8 bits of the Quality flags are currently defined in the form of three bit fields; Quality, Substatus and Limit status. The 8 Quality bits are arranged as follows:

QQSSSSLL

with QQ defined as follows:

  • 00: Bad

  • 01: Uncertain

  • 10: N/A

  • 11: Good

The high 8 bits of the Quality Word are available for vendor specific use.

QQ | BIT VALUE | DEFINE | DESCRIPTION
0 | 00SSSSLL | Bad | Value is not useful for reasons indicated by the Substatus.
1 | 01SSSSLL | Uncertain | The quality of the value is uncertain for reasons indicated by the Substatus.
2 | 10SSSSLL | N/A | Not used by OPC
3 | 11SSSSLL | Good | The Quality of the value is Good.

Note: Further detail on Bad, Uncertain, and Good Quality Flag Messages may be found in the pages following this table in the OPC Data Access Custom V2.05A Document.

(OLE for Process Control) is an open system interface standard which allows simple, standardized data exchange between automation/PLC applications, field devices, and PC-based applications like HMI or office applications.

Quality is information indicating whether or not the value of a variable could be obtained reliably. From this, you can draw conclusions about the validity of the value.

OPC Items are connections to data sources within the OPC Server. All read and write access to OPC Items is via an OPC Group object that “contains” the OPC item. The same OPC item can be contained by several groups.

When a variable is queried, the corresponding value is obtained from the latest process data and returned. This might be the value of a sensor, control parameter, status information, or the status of the network connection.


(OLE for Process Control) is an open system interface standard which allows simple, standardized data exchange between automation/PLC applications, field devices, and PC-based applications like HMI or office applications.

The OPC server is the middleware between the applications for handling process data, the various network protocols, and the interfaces for accessing these data.

The OPC client is an application which accesses process data, messages, and archives of an OPC server.

Installing/Uninstalling the Software

This CD contains the installation files for S7−200 PC Access. After installation is completed, the product and its associated support tools are available.

During installation, you are asked to specify the directory path where S7−200 PC Access is to be installed. The default directory is [C:\Program Files\SIEMENS\S7−200 PC Access]. The following directory structure is created in the path that you specify (listed below as [TARGETDIR]):

  • [TARGETDIR]\Bin (contains the application's binary, .dll, and .exe files)

  • [TARGETDIR]\Help (contains the HTML online help files)

  • [TARGETDIR]\Projects (contains the user .pca files)

  • [TARGETDIR]\Samples (contains the ProToolPro, Excel, and Visual Basic sample project files)

  • [TARGETDIR]\Documentation (contains reference documents)

After inserting the product CD, the setup program will step you through installing the software. If the setup program does not automatically start when you insert the CD, you can manually start the program by double-clicking on the file setup.exe. Use the application Add/Remove Programs from the Windows Control Panel to remove the software from your computer. User created directories and project files will not be removed.

Note: You must have administrator privileges to install software on Windows 2000 and XP Professional.

Windows Status Notification Area Icon and Behavior

PC Access activates a Windows Taskbar icon (system tray) whenever the PC Access OPC s erver is activated. This icon is provided to ensure that the PC Access OPC server can be managed and accessed when this application is started indirectly by an OPC c lient. The presence of this icon provides a visual indication that the PC Access application is active.

This icon supports a context menu that permits selections for Open Configurator and Exit. Opening will activate the S7-200 PC Access user interface.

Language Support

The following national languages are supported:

  • English

  • German

  • Italian

  • Spanish

  • French

  • Chinese

The S7-200 PC Access installation installs all six standard languages. The language to be used in the S7-200 PC Access application defaults to the language that the user selects for the setup.

Installs Per PC

Please note that only one S7-200 PC Access application of any version can be installed on a given machine at one time. Standard licenses cannot be installed while an evaluation license is installed.


System Requirements

The following operating systems can be used:

  • Windows 2000

  • Windows XP Home

  • Windows XP Professional

Note: Reference the product’s online Readme file for a list of system requirements and other up-to-date information about the product.


How to Use Online Help

The online help system provides information about S7-200 PC Access. This topic provides information about using online help:

  • Using Context-Sensitive Help

  • Accessing Help from the Menu

  • Using the Contents Browser

  • Using the Index

  • Using the Glossary

  • Printing Help Topics

Context-Sensitive Help

Back to Top

Select the menu item, or open the dialog box, for which you want help and press the "F1" key to access the context-sensitive help for that topic. (In some cases, you can press "Shift" and "F1" to access a help topic.)

Help from the Menu

Back to Top

The Help menu in S7-200 PC Access offers the following selections:

  • Help and Support allows you to navigate this help system by means of a Contents browser (showing which books contain which topics) or a searchable index.

  • S7-200 on the Web provides access to Siemens Internet websites for technical support and product information.

  • About lists product and copyright information for S7-200 PC Access.

The Contents Browser

Back to Top

From S7-200 PC Access, you can bring up the Contents browser by choosing: Help > Help and Support from the menu bar.

You may investigate a help topic while the Contents browser remains visible and available on the left side of the online help window.

The Index

Back to Top

For an alphabetical listing of topic keywords, select the "Index" tab in the Contents browser.

The Glossary

Back to Top

For definitions of selected topic keywords, choose the "Glossary" tab in the Contents browser.

How to Print Help

Back to Top

You can print topics from the Contents browser or from inside an individual topic:

  • To print all of the topics in a book from the Contents browser, select the book title, and click the "Print" button located in the menu bar. In the "Print Topics" dialog that is displayed, choose the "Print the selected heading and all subtopics" radio button, and click the OK button.

  • To print an individual topic from the Contents browser, select the topic, and click the "Print" button located in the menu bar. In the "Print Topics" dialog that is displayed, choose the "Print the selected topic" radio button, and click the OK button.


How to Perform Common Tasks

S7-200 PC Access offers many ways to access and display information. Here are some tips about arranging the various components of and accessing information in the S7-200 PC Access workspace:

  • View or Hide Various Window Components: From the menu bar, choose View and select an object to toggle its checkmark on or off. The objects that have checkmarks are the objects that are currently open in the S7-200 PC Access environment.

  • Size or Remove a Window: Position the cursor over the split bar that divides two windows and drag in order to increase or decrease the size of one of the windows. Drag one window all the way up to completely cover the other window.

  • Undock or Hide the Toolbar: By default, the Toolbar appears below the menu bar in S7-200 PC Access. However, you can undock the toolbar and move it by placing the cursor inside the toolbar area and dragging. If you drag the toolbar near the border of any of the windows in S7-200 PC Access, the toolbar will dock to the border of that window; otherwise, the toolbar becomes an independent, free-floating toolbar. You can hide the toolbar when it is independent by clicking on the "X" button in the title bar of the toolbar. You can restore the toolbar by choosing View > Toolbar (a checkmark is placed beside Toolbar to show that it is enabled), or you can double-click on the toolbar to restore it to its original position within the main window.

  • Filename Handling: When the application is initially opened, a new project must be opened. The S7-200 PC Access application assigns a default name for the project. This project name is visible in the title bar.
    The project name is displayed as Projectx, where x is a number. The proposed number cannot conflict with any existing name in the default directory. The number is incremented until the project name is unique.
    Even though a default project name exists, the application considers the project to be untitled and displays the Save As dialog box during the initial save.

  • Single Click Support: Single click support is consistent with standard Windows Explorer behavior. A single click selects. A single click followed by a delay and another single click results in a rename operation. The only exception to this rule is in the Tree View; the communication interface folder is not able to be renamed.

  • Double-Click Support:

  • Tree View: Double-click support for folders is consistent with standard tree control behavior. A double-click expands or contracts the tree if the selected folder is expandable. A double-click upon an item results in the display of the associated properties dialog.

  • Item View: Double-click support for folders is consistent with standard Windows Explorer behavior. A double-click expands if the entry is a folder. A double-click upon an item results in the display of the associated properties dialog.

  • Status (Test Client ) View: A double-click upon an item results in the display of the associated properties dialog.

  • Drag and Drop:

  • Tree and Item Views: Folders can be copied or moved within the Tree or Item Views by dragging and dropping with the left mouse. Using the CTRL key in conjunction with the left mouse will copy. Using the left mouse only will move. Folders can also be dragged and dropped from the Item View to the Tree View. Visual indicators denote whether a folder can or cannot be successfully copied or moved to another folder.

  • Status (Test Client) View: Folders and/or items can be dragged (copied) from either the Tree or Item Views into the Status (Test Client) View. Folders can also be dragged and dropped from the Item View to the Tree View. Visual indicators denote whether a folder can or cannot be successfully copied or moved to another folder.

The OPC client is an application which accesses process data, messages, and archives of an OPC server.

(OLE for Process Control) is an open system interface standard which allows simple, standardized data exchange between automation/PLC applications, field devices, and PC-based applications like HMI or office applications.

The OPC server is the middleware between the applications for handling process data, the various network protocols, and the interfaces for accessing these data.

A folder allows you to organize, in the address space of the OPC server, your OPC items into logical groupings that fit the need of your application.

OPC Items are connections to data sources within the OPC Server. All read and write access to OPC Items is via an OPC Group object that “contains” the OPC item. The same OPC item can be contained by several groups.


OPC Items are connections to data sources within the OPC Server. All read and write access to OPC Items is via an OPC Group object that “contains” the OPC item. The same OPC item can be contained by several groups.

The OPC Group object maintains information about itself and provides the mechanism for containing and logically organizing OPC items for data read and write. The OPC Groups provide a way for clients to organize data.

OPC Items are connections to data sources within the OPC Server. All read and write access to OPC Items is via an OPC Group object that “contains” the OPC item. The same OPC item can be contained by several groups.

An object which establishes a communications network using the required protocol between two communication partners.

A tag occupies a defined memory address on the PLC , to which read and write access is possible from both the operating unit and the PLC.

(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).

Window Components

The S7-200 PC Access consists of both OPC server and client elements. Learn more about the components of the S7-200 PC Access interface by clicking on the various areas of the figure below.

S7-200 PC Access Project Structure

Back to Top

The objects in the OPC server section of the project are arranged in a tree structure (project hierarchy). The tree structure displayed in the project window is similar to that in the Windows Explorer. Only the icons for the objects are different.

The objects in the OPC client section (Test Client) are in a list format.

Note: The file extension for an S7-200 PC Access Project is .pca (p = P, c = C, a = Access).

Menu Bar

Allows you to perform operations using either a mouse or keystrokes.

Toolbar

Provides easy mouse access to the most commonly used S7-200 PC Access operations.

Tree View

The Tree View, in the upper left window area, provides a tree hierarchy view of PLCs and folders that are available in your current project. It is the set of all possible items (data points) that can be accessed by an OPC client within an S7-200 network.

Item View

The Item View is the upper right window area where items are entered and listed. This window displays a hierarchical representation of folders and items relative to the current tree view selection. Folders can be selected within the Item View. This will result in the current selection within the Tree View being changed to reflect the current hierarchical position.

Status (Test Client) View

The Status (Test Client) View is in the lower window area and is basically an OPC client. The client works with the S7-200 PC Access OPC server to permit online connectivity testing of configured items. This view is independent of the other two views. Any item moved within the Status (Test Client) View will be placed into an individual OPC group and requested for collection once status is enabled. Status can be enabled or disabled by the Status menu entry or the Status toolbar button.

Items contained in the Status (Test Client) View are listed in the order that they are placed into the view. Items are automatically created by dragging folders of items or individual items from the Item View into the Status (Test Client) View. Client Item IDs consist of the hierarchy or path formed by the server's protocol , PLC, folder , and item names.

Status Bar

Provides information about the status of the online operations that you perform in S7-200 PC Access.

Detail View of Window Components

Tree View Details

Back to Top

The upper left window area provides a tree hierarchy view of PLCs and folders that are available in your current project. Here, the PLC(s) and item folders are created. The Tree View is organized with the following example hierarchical structure:

  • MicroWin: This level contains the communication access point icon. The access point represents the type of connection/network that allows S7-200 PC Access to communicate with S7-200 PLCs.

  • PLC1: This level consists of PLCs that are connected through the network with a given protocol.

  • Folder1: This level is composed of folders and possibly sub-folders to logically organize sets of items.

Please note that the above organizational structure is organized solely for the convenience of the user configuring the server. This organization places no restrictions upon how an OPC client application may wish to access or organize configured server items.

Item View Details

Back to Top

This upper right window area is where items are entered and listed. Configured items for a given PLC and folder are shown here. The Item View contains multiple columns that denote item configuration.

The Item View also contains a column heading for each column. These are illustrated in the figure above. Each column can be sorted in ascending or descending order by selecting the column heading. A sort indicator is shown within the column heading where the sort is active. This indicator will depict the selected sort order. This is shown above in the Name column. The columns are defined as follows:

  • Name: The symbolic name may be up to 23 characters in length. It may contain alphanumeric characters, underscores, and extended characters (ASCII 128 to ASCII 255). The first character is restricted to alpha and extended characters only, and no keywords may be used as names. (Note: Item names must be unique within the same folder; they may not be duplicated.)

  • Item ID: The unique, symbolic name of an item, consisting of the entire hierarchical path (server access point, PLC, folder(s), and item name). Note: The default state of this attribute is not visible.

  • Run-Time Name: The proprietary syntax defined by the OPC server to specify all needed properties required to collect the item. Note: The default state of this attribute is not visible.

  • Address: PLC memory type and memory address. No specific PLC address range validation will be performed.

  • Data Type: Canonical data type represented within the PLC.

  • EU Low: Engineering Units Low, the expected low range value of an item. Refer to Client Deadband for more information. Note: The default state of this attribute is not visible.

  • EU High: Engineering Units High, the expected high range value of an item. Refer to Client Deadband for more information. Note: The default state of this attribute is not visible.

  • Access: Valid permissions are:

  • read only: Allows only reading of the item, with no changes.

  • write only: Allows changes to the item, but no reading of the item.

  • read/write: Allows full access, permitting reading and item changes.

  • Comment: User supplied item comment.

Please note that these items represent the entire set of possible selections available to any OPC client application. An OPC client will define a set of client groups and define the properties associated with each group. These include the desired collection rate. Included within a group will be a set of item IDs. These item IDs are derived from the set of items currently configured in the opened OPC server project.

Item definitions will typically originate within an application control program. These will be represented by STEP 7-Micro/WIN project symbols. This symbolic name is then imported into the OPC server and then referenced by the HMI/OPC client configuration. Refer to Importing STEP 7-Micro/WIN Symbols for a detailed description of this topic.

Status (Test Client) View Details

Back to Top

The lower window area is the Test Client, which provides a quick and easy test tool for your server items. Test Client items are automatically configured by dragging and dropping items from the above Item View. The Status (Test Client) View contains multiple columns that specify the configuration of the items to be collected and resulting values and status once these are collected.

The status view contains a column heading for each column. These are illustrated in the figure above. Each column can be sorted in ascending or descending order by selecting the column heading. A sort indicator is shown within the column heading where the sort is active. This indicator will depict the selected sort order. This is shown above in the Item ID column. The columns are defined as follows:

  • Item ID: The unique, symbolic name of an item, consisting of the entire hierarchical path (server access point, PLC, folder(s), and item name).

  • Data Type: Canonical data type represented within the PLC, as defined at item configuration. Please refer to Item Memory and Data Types.

  • Value: Value of the data point (can be a hexadecimal representation).

  • Time Stamp : The time of the last successful update.

  • Quality : Quality of the retrieved data point, good, bad, or uncertain.

No information in the Status (Test Client) View is retained; all information will be lost on termination of the application.

Client Deadband

Back to Top

In the OPC client, you may set the deadband (floating point in %) for an item value change.

The standard OPC “EU High” and “EU Low” attributes define the expected high and low range values of an item. Default values for these attributes are 0, which specifies that the range is the full span of the item’s data type.

OPC client applications can specify a deadband percentage that is a property of an OPC group. Each item that the OPC client includes within the particular group will inherit any specified deadband property. This deadband percentage will be applied to each item’s EU High and Low range.

For example, an instrument reporting its current value using a 20% offset analog signal will have a defined EU range of 6400 to 32000. This results in a full range of 25600. If a client configures a deadband for a group of 1% and this item is included within this group, then the OPC server will report a change whenever the item’s value changes more than 256 (above or below) from the current value.

In summary, the changed data is sent if:

(absolute value of (last cached value - current value)) > (PercentDeadband/100) * (EU High - EU Low)

Note: The value of an item cannot be clamped.

Note: This event mechanism is only used with OnDataChange events from the OPC server.

Note: Item values are not scaled. The above discussion is operating upon raw values.


Main Menu

File Edit View Status Tools Help


Toolbar

Common Features of the Toolbar

A Toolbar Button Is Enabled When It Is Possible to Use the Tool

For example, the Standard Toolbar is active when an Item is selected from the project tree hierarchy. If a toolbar button is disabled, it appears gray.

Undock or Hide the Toolbar

By default, the Toolbar appears below the menu bar in S7-200 PC Access. However, you can undock the toolbar and move it by placing the cursor inside the toolbar area and dragging. If you drag the toolbar near the border of any of the windows in S7-200 PC Access, the toolbar will dock to the border of that window; otherwise, the toolbar becomes an independent, free-floating toolbar. You can hide the toolbar when it is independent by clicking on the "X" button in the title bar of the toolbar. You can restore the toolbar by choosing View > Toolbar (a checkmark is placed beside Toolbar to show that it is enabled), or you can double-click on the toolbar to restore it to its original position within the main window.

Toolbar Context Help Links

  1. To see the name of a toolbar button, move the mouse pointer over a toolbar button and stop. The button name appears.

  2. For details about the function of a tool, press SHIFT+F1, place the mouse pointer over a toolbar button, then click.

Standard Toolbar

Open New Project

Open Existing Project

Save Current Project

Cut Selection and Copy to Clipboard

Copy Selection to Clipboard

Paste Clipboard Contents at Cursor Location

Delete Current Object

Add Current Items to Test Client

Test Client Status

See Also:

Window Components


Status Bar

The Status Bar, which is located at the bottom of the main window, provides information about the operations that you perform in S7-200 PC Access.

Editor information is displayed when you work in editing mode. The status bar displays, as appropriate, the following information:

  • Textual description

  • Caps lock

  • NUM lock

  • Scroll lock

Progress information is shown when the operation underway takes a long time to complete. The status bar offers a description of the operation and a progress indicator bar.

See Also:

Window Components


(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packedCPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems,gate controls, pump control, and packaging systems).

(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).

Shortcut Keys

You can use shortcut keys in S7-200 PC Access to make a variety of tasks more efficient. The shortcut keys are organized into two groups and are described below:

Menu Shortcut Keys:

  • File Menu

  • Edit Menu

  • View Menu

  • Status Menu

  • Tools Menu

  • Help Menu

View-Specific Shortcut Keys:

  • Tree View

  • Item View

  • Status (Test Client) View

Tip

If multiple keys are listed, all keys must be pressed together in order for the shortcut to work.

Menu Shortcut Keys

File Menu

Back to Top

Menu Item | <ALT>+Key Combination | <CTRL>+Key Combination | Status Bar Tip
File | ALT+F |  | Accesses the File Menu
New | ALT+N | CTRL+N | Creates a new project
Open | ALT+O | CTRL+O | Open an existing project
Save | ALT+S | CTRL+S | Save the active project
Save As | ALT+A |  | Save the active project with a new name
Import Symbols | ALT+I |  | Import symbols
1 Recent File | ALT+1 |  | Opens this project
2 Recent File | ALT+2 |  | Opens this project
3 Recent File | ALT+3 |  | Opens this project
4 Recent File | ALT+4 |  | Opens this project
Exit | ALT+X |  | Quits the application; prompts to save document

Edit Menu

Back to Top

Menu Item | <ALT>+Key Combination | <CTRL>+Key Combination | Status Bar Tip
Edit | ALT+E |  | Accesses the Edit Menu
Cut | ALT+T | CTRL+X | Cut the selection and put it on the clipboard
Copy | ALT+C | CTRL+C | Copy the selection and put it on the clipboard
Paste | ALT+P | CTRL+V | Insert clipboard contents
New > | ALT+N |  | Insert a new selection
PLC | ALT+L |  | Insert a new PLC
Folder | ALT+F |  | Insert a new folder
Item | ALT+I |  | Insert a new item
Delete | ALT+D |  | Delete the selection
Rename | ALT+R |  | Rename the selection
Properties | ALT+O |  | Display the properties of the selection

View Menu

Back to Top

Menu Item | <ALT>+Key Combination | <CTRL>+Key Combination | Status Bar Tip
View | ALT+V |  | Accesses the View Menu
Toolbar1 | ALT+T |  | Enables or disables the toolbar
Status Bar1 | ALT+S |  | Enables or disables the status bar
Item View > | ALT+I |  | Shows or hides columns within the Item View
Name | ALT+N |  | Name of the folder or item (This entry is always checked and grayed.)
Item ID | ALT+I |  | Fully qualified item name (Default is unchecked.)
Run-Time Name | ALT+R |  | Dynamic item syntax (Default is unchecked.)
Address | ALT+A |  | PLC memory type and address
Data Type | ALT+D |  | PLC canonical item data type
EU Low |  |  | Lowest possible range of the value
EU High |  |  | Highest possible range of the value
Access | ALT+C |  | Access type (read, write, or read/write) permitted by the server
Comment | ALT+M |  | User supplied description
Test Client > | ALT+C |  | Shows or hides columns within the Status (Test Client) View
Item ID | ALT+I |  | Fully-qualified item name
Data Type | ALT+D |  | Client selectable data type (Can be different than the canonical type.)
Format | ALT+F |  | Client selectable display format
Value | ALT+V |  | Value of the returned data
Time Stamp | ALT+T |  | Time and date of the last value access
Quality | ALT+Q |  | Status of the collected data point

1 These menu items can be enabled and checked or disabled (grayed) and unchecked independently of any other menu item.

Status Menu

Back to Top

Menu Item | <ALT>+Key Combination | <CTRL>+Key Combination | Status Bar Tip
Status | ALT+S |  | Accesses the Help Menu
Start Test Client | ALT+S |  | Enables or disables Test Client status. (The text of this menu entry will change between “Start Test Client” and “Stop Test Client” depending upon the current state.)
Modem > | ALT+M |  | Modem dialog selection
Connect | ALT+C |  | Starts the modem connection dialog. (Enabled or grayed based upon the valid modem context selection.)
Configure | ALT+O |  | Starts the modem configuration dialog (Enabled or grayed based upon the valid modem context selection. This will also be grayed whenever the modem is connected.)
Communications Setup | ALT+C |  | Instantiates the PG/PC interface dialog

Tools Menu

Back to Top

Menu Item | <ALT>+Key Combination | <CTRL>+Key Combination | Status Bar Tip
Tools | ALT+T |  | Accesses the Tools Menu
Options | ALT+O |  | Provides selection of language and mnemonic set.

Help Menu

Back to Top

Menu Item | <ALT>+Key Combination | <CTRL>+Key Combination | Status Bar Tip
Help | ALT+H |  | Accesses the Help Menu
Contents and Index | ALT+C |  | Accesses the Help system
S7-200 on the Web > | ALT+S |  |
Siemens |  |  | Connects to Siemens web pages
Software Support |  |  | Connects to Siemens web pages
S7-200 Support |  |  | Connects to Siemens web pages
S7-200 Product Overview |  |  | Connects to Siemens web pages
About | ALT+A |  | Displays application information, version number, and copyright

View-Specific Shortcut Keys

Tree View

Back to Top

1. Navigation Keys

Key | Action
Up | Scrolls the selected position up one entry.
Down | Scrolls the selected position down one entry.
Left | Collapses an expanded folder. Once a folder is collapsed, scrolls the selected position up one entry.
Right | Expands a collapsed folder. Once a folder is expanded, scrolls the selected position down one entry.
Page Up | Scrolls the selected position up one visible page.
Page Down | Scrolls the selected position down one visible page.

2. Editing Keys

Key | Action
Delete | Deletes the selected folder or item. Since this is a destructive action and is not undoable, the customer is asked to confirm this action.
Escape | Cancels renaming.

Item View

Back to Top

1. Navigation Keys

Key | Action
Backspace | Backspace opens the folder level above the current selection.
Up | Scrolls the selected position up one entry.
Down | Scrolls the selected position down one entry.
CTRL Up | Scrolls the selected position up one entry. The selected entry is not affected.
CTRL Down | Scrolls the selected position down one entry. The selected entry is not affected.
Shift Up | Selects and scrolls the selected position up one entry. The selected item is added to the list of previous selections.
Shift Down | Selects and scrolls the selected position down one entry. The selected item is added to the list of previous selections.
Shift CTRL Up | Selects and scrolls the selected position up one entry.
Shift CTRL Down | Selects and scrolls the selected position down one entry.
Page Up | Scrolls the selected position up one visible page. All items are selected between the initial and current selection.
Page Down | Scrolls the selected position down one visible page. All items are selected between the initial and current selection.

2. Editing Keys

Key | Action
Delete | Deletes the selected folder or item. Since this is a destructive action and is not undoable, the customer is asked to confirm this action.
Escape | Cancels renaming.

Status (Test Client) View

Back to Top

1. Navigation Keys

Key | Action
Up | Scrolls the selected position up one entry.
Down | Scrolls the selected position down one entry.
CTRL Up | Scrolls the selected position up one entry. The selected entry is not affected.
CTRL Down | Scrolls the selected position down one entry. The selected entry is not affected.
Shift Up | Selects and scrolls the selected position up one entry. The selected item is added to the list of previous selections.
Shift Down | Selects and scrolls the selected position down one entry. The selected item is added to the list of previous selections.
Shift CTRL Up | Selects and scrolls the selected position up one entry.
Shift CTRL Down | Selects and scrolls the selected position down one entry.
Page Up | Scrolls the selected position up one visible page. All items are selected between the initial and current selection.
Page Down | Scrolls the selected position down one visible page. All items are selected between the initial and current selection.
Home | Selects the first entry.
End | Selects the last entry.
Shift CTRL Home | Selects from the current position upward to the first position.
Shift CTRL End | Selects from the current position downward to the last position.

2. Editing Keys

Key | Action
Delete | Deletes the selected folder or item. Since this is a destructive action and is not undoable, the customer is asked to confirm this action.
Escape | Cancels renaming.

When a variable is queried, the corresponding value is obtained from the latest process data and returned. This might be the value of a sensor, control parameter, status information, or the status of the network connection.

(OLE for Process Control) is an open system interface standard which allows simple, standardized data exchange between automation/PLC applications, field devices, and PC-based applications like HMI or office applications.

The OPC server is the middleware between the applications for handling process data, the various network protocols, and the interfaces for accessing these data.

The OPC client is an application which accesses process data, messages, and archives of an OPC server.

From the time stamp, you can see when the value of the queried variable was acquired.

OPC Items are connections to data sources within the OPC Server. All read and write access to OPC Items is via an OPC Group object that “contains” the OPC item. The same OPC item can be contained by several groups.

A folder allows you to organize, in the address space of the OPC server, your OPC items into logical groupings that fit the need of your application.

Quality is information indicating whether or not the value of a variable could be obtained reliably. From this, you can draw conclusions about the validity of the value.


(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packedCPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems,gate controls, pump control, and packaging systems).

(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems,gate controls, pump control, and packaging systems).

CPU Memory Ranges and Features

The memory ranges and features of the S7-200 PLC CPUs are provided as a reference for the S7-200 PC Access user. An understanding of the PLC capabilities is important for accurate and timely access to process data.

Description | CPU 221 | CPU 222 | CPU 224 | CPU 226
User program size | 4 Kbytes | 4 Kbytes | 8 Kbytes V 1.22, V2.0 12 Kbytes XP | 8 Kbytes V 1.23 16 Kbytes XM, V2.0
User data size | 2 Kbytes | 2 Kbytes | 5 Kbytes V 1.22 8 Kbytes V 2.0 10 Kbytes XP | 5 Kbytes V 1.23 10 Kbytes XM, V2.0
Process-image input register | I0.0 to I15.7 | I0.0 to I15.7 | I0.0 to I15.7 | I0.0 to I15.7
Process-image output register | Q0.0 to Q15.7 | Q0.0 to Q15.7 | Q0.0 to Q15.7 | Q0.0 to Q15.7
Analog inputs (read only) | -- | AIW0 to AIW30 | AIW0 to AIW62 | AIW0 to AIW62
Analog outputs (write only) | -- | AQW0 to AQW30 | AQW0 to AQW62 | AQW0 to AQW62
Variable memory (V) | VB0 to VB2047 | VB0 to VB2047 | VB0 to VB5119 V 1.22 VB0 to VB8119 V 2.0 VB0 to VB10239 XP | VB0 to VB5119 V 1.23 VB0 to VB10239 XM, V 2.0
Bit memory (M) | M0.0 to M31.7 | M0.0 to M31.7 | M0.0 to M31.7 | M0.0 to M31.7
Special Memory (SM) Read only | SM0.0 to SM179.7 SM0.0 to SM29.7 | SM0.0 to SM299.7 SM0.0 to SM29.7 | SM0.0 to SM549.7 SM0.0 to SM29.7 | SM0.0 to SM549.7 SM0.0 to SM29.7
Timers Retentive on-delay 1 ms 10 ms 100 ms On/Off delay 1 ms 10 ms 100 ms | 256 (T0 to T255) T0, T64 T1 to T4, and T65 to T68 T5 to T31, and T69 to T95 T32, T96 T33 to T36, and T97 to T100 T37 to T63, and T101 to T255 | 256 (T0 to T255) T0, T64 T1 to T4, and T65 to T68 T5 to T31, and T69 to T95 T32, T96 T33 to T36, and T97 to T100 T37 to T63, and T101 to T255 | 256 (T0 to T255) T0, T64 T1 to T4, and T65 to T68 T5 to T31, and T69 to T95 T32, T96 T33 to T36, and T97 to T100 T37 to T63, and T101 to T255 | 256 (T0 to T255) T0, T64 T1 to T4, and T65 to T68 T5 to T31, and T69 to T95 T32, T96 T33 to T36, and T97 to T100 T37 to T63, and T101 to T255
Counters | C0 to C255 | C0 to C255 | C0 to C255 | C0 to C255
High-speed counters | HC0, HC3, HC4, and HC5 | HC0, HC3, HC4, and HC5 | HC0 to HC5 | HC0 to HC5
Sequential control relays (S) | S0.0 to S31.7 | S0.0 to S31.7 | S0.0 to S31.7 | S0.0 to S31.7
Jumps/Labels | 0 to 255 | 0 to 255 | 0 to 255 | 0 to 255
Call/Subroutine | 0 to 63 | 0 to 63 | 0 to 63 0 to 127 XP | 0 to 63 V 1.23 0 to 127 XM, V 2.0
Interrupt routines | 0 to 127 | 0 to 127 | 0 to 127 | 0 to 127
Positive/negative transitions | 256 | 256 | 256 | 256
PID loops | 0 to 7 | 0 to 7 | 0 to 7 | 0 to 7
Ports | Port 0 | Port 0 | Port 0 Port 0, Port 1 XP | Port 0, Port 1

Note: The blue color emphasis indicates the model or firmware version of that CPU type.

See Also:

CPU Memory Types and Properties

CPU Memory Address Ranges


CPU Memory Address Ranges

STEP 7-Micro/WIN 32 identifies the CPU model when you perform any operations that require communication with the CPU. As you create your program, you must ensure that the I/O and memory ranges that you enter are valid for the CPU where the program is to be downloaded.

If you attempt to download a program that accesses I/O or memory locations beyond the range of your S7-200 CPU, you receive an error message.

CPU Memory Address Ranges for 21x Series

Accessed by: | Memory Type | CPU 221 | CPU 222 | CPU 224 | CPU 226
Bit (Byte.bit) | V | 0.0 - 2047.7 | 0.0 - 2047.7 | 0.0 - 5119.7 V 1.22 0.0 - 8191.7 V 2.00 0.0 - 10239.7 XP | 0.0 - 5119.7 V 1.23 0.0 - 10239.7 XM, V2.00
 | I | 0.0 - 15.7 | 0.0 - 15.7 | 0.0 - 15.7 | 0.0 - 15.7
 | Q | 0.0 - 15.7 | 0.0 - 15.7 | 0.0 - 15.7 | 0.0 - 15.7
 | M | 0.0 - 31.7 | 0.0 - 31.7 | 0.0 - 31.7 | 0.0 - 31.7
 | SM | 0.0 - 179.7 | 0.0 - 299.7 | 0.0 - 549.7 | 0.0 - 549.7
 | S | 0.0 - 31.7 | 0.0 - 31.7 | 0.0 - 31.7 | 0.0 - 31.7
 | T | 0 - 255 | 0 - 255 | 0 - 255 | 0 - 255
 | C | 0 - 255 | 0 - 255 | 0 - 255 | 0 - 255
Byte | VB | 0 - 2047 | 0 - 2047 | 0 - 5119 V 1.22 0 - 8191 V 2.00 0 - 10239 XP | 0 - 5119 V 1.23 0 - 10239 XM, V2.00
 | IB | 0 - 15 | 0 - 15 | 0 - 15 | 0 - 15
 | QB | 0 - 15 | 0 - 15 | 0 - 15 | 0 - 15
 | MB | 0 - 31 | 0 - 31 | 0 - 31 | 0 - 31
 | SMB | 0 - 179 | 0 - 299 | 0 - 549 | 0 - 549
 | SB | 0 - 31 | 0 - 31 | 0 - 31 | 0 - 31
Word | VW | 0 - 2046 | 0 - 2046 | 0 - 5118 V 1.22 0 - 8190 V 2.00 0 - 10238 XP | 0 - 5118 V 1.23 0 - 10238 XM, V2.00
 | IW | 0 - 14 | 0 - 14 | 0 - 14 | 0 - 14
 | QW | 0 - 14 | 0 - 14 | 0 - 14 | 0 - 14
 | MW | 0 - 30 | 0 - 30 | 0 - 30 | 0 - 30
 | SMW | 0 - 178 | 0 - 298 | 0 - 548 | 0 - 548
 | SW | 0 - 30 | 0 - 30 | 0 - 30 | 0 - 30
 | T | 0 - 255 | 0 - 255 | 0 - 255 | 0 - 255
 | C | 0 - 255 | 0 - 255 | 0 - 255 | 0 - 255
 | AIW | 0 - 30 | 0 - 30 | 0 - 30 | 0 - 30
 | AQW | 0 - 30 | 0 - 30 | 0 - 30 | 0 - 30
Double Word | VD | 0 - 2044 | 0 - 2044 | 0 - 5116 V 1.22 0 - 8188 V 2.00 0 - 10236 XP | 0 - 5116 V 1.23 0 - 10236 XM, V2.00
 | ID | 0 - 12 | 0 - 12 | 0 - 12 | 0 - 12
 | QD | 0 - 12 | 0 - 12 | 0 - 12 | 0 - 12
 | MD | 0 - 28 | 0 - 28 | 0 - 28 | 0 - 28
 | SMD | 0 - 176 | 0 - 296 | 0 - 546 | 0 - 546
 | SD | 0 - 28 | 0 - 28 | 0 - 28 | 0 - 28
 | HC | 0 - 5 | 0 - 5 | 0 - 5 | 0 - 5

Note: The blue color emphasis indicates the model or firmware version of that CPU type.

See Also:

CPU Memory Types and Properties

CPU Memory Ranges and Features


CPU Memory Types and Properties

Area | Description | Accessed as Bit | Accessed as Byte | Accessed as Word | Accessed as Dword
I | Discrete inputs and image register | read/write | read/write | read/write | read/write
Q | Discrete outputs and image register | read/write | read/write | read/write | read/write
M | Internal memory bits | read/write | read/write | read/write | read/write
SM | Special memory bits (SM0 - SM29 are read-only) | read/write | read/write | read/write | read/write
V | Variable memory | read/write | read/write | read/write | read/write
T | Timer currents and Timer bits | T-bit read/write | no | T-current read/write | no
C | Counter currents and Counter bits | C-bit read/write | no | C-current read/write | no
HC | High-speed counter currents | no | no | no | read only
AI | Analog inputs | no | no | read only | no
AQ | Analog outputs | no | no | write only | no
S | SCR | read/write | read/write | read/write | read/write

See Also:

CPU Memory Ranges and Features

CPU Memory Address Ranges


(Component Object Model) is the standard protocol for communication between objects located on the same computer, but which are part of different programs.

A Protocol is a set of rules agreed to between two communication partners to allow them to communicate with each other.

The original source of the process data.

OPC Overview

OPC Supermarket Analogy

The concept of an OPC server and client can be likened to a supermarket. The product aisles with all of the available selections represent the server. The selections consist of all the process data locations that are being read and written to by the server. The client is like the shopping cart that moves down the aisles and selects the items that it requires. The client will read and write new values to these required items through the server.

OPC Defined

With the introduction of OPC, the term OLE was used for the entire component architecture of Microsoft. In its original form, OLE represented the mechanisms for embedding objects in compound documents.

Today, OPC should really be called COM for Process Control, since OPC is based on the Component Object Model (COM). COM is the central component of Windows operating systems and controls the interplay between several software components.

By using COM, the OPC server becomes similar to part of the Windows operating system and is therefore independent of file names, storage locations and versions.

As a further development of COM, DCOM supports even distributed applications and allows cooperation between software components on different computers within a network.

Before OPC, a lot of effort was necessary to control the hardware of different vendors using software applications. There were numerous different systems and protocols; for each vendor and each protocol, a user had to order special software to access the specific interfaces and drivers. User programs were therefore dependent on the vendor, protocol, or system. OPC on the basis of COM or DCOM has a uniform and non-proprietary software interface that has revolutionized data exchange in automation engineering.

OPC provides a mechanism to provide data from a data source and communicate the data to any client application in a standard way. A vendor can now develop a reusable, highly optimized server to communicate to the data source, and maintain the mechanism to access data from the data source/device efficiently. Providing the server with an OPC interface allows any client to access their devices.

Although OPC is primarily designed for accessing data from a networked server, OPC interfaces can be used in many places within an application. At the lowest level, they can get raw data from the physical devices into a SCADA or DCS, or from the SCADA or DCS system into the application. The architecture and design makes it possible to construct an OPC server which allows a client application to access data from many OPC servers provided by many different OPC vendors running on different nodes via a single object.


What Does the OPC Interface Provide?

As an industrial standard, OPC defines the exchange of information for a variety of applications in an industrial environment. Working at your PC, you can monitor, call, and process system data and events of the programmable controllers.

The OPC interface is part of the software running on a PC as the platform for operator control and monitoring systems or other applications. It is therefore located below the application program.

Applications of the OPC Interface

The applications of the OPC interface are based on the client-server model. One component (the server ) provides its services to other components via interfaces. Another component makes use of these services. With OPC, an application can recognize which OPC Servers exist in a system. It can then address one or more of these servers and query the services they provide. Since several different OPC clients can access the same OPC server at the same time, the same data source can be used for any OPC-compliant application.

Manufacturers of modules that supply process data (communications systems, measuring devices etc.) provide an OPC server for their module that then handles the link to the relevant data source.

(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).

(OLE for Process Control) is an open system interface standard which allows simple, standardized data exchange between automation/PLC applications, field devices, and PC-based applications like HMI or office applications.

The OPC server is the middleware between the applications for handling process data, the various network protocols, and the interfaces for accessing these data.


The OPC server is the middleware between the applications for handling process data, the various network protocols, and the interfaces for accessing these data.

(Component Object Model) is the standard protocol for communication between objects located on the same computer, but which are part of different programs.protocol for communication between objects located on the same computer, but which are part of different programs.

A Protocol is a set of rules agreed to between two communication partners to allow them to communicate with each other.

Unique OPC server name assigned by the vendor.

What is an OPC Server?

OPC components that deliver data are called OPC servers. They implement the attachment to existing communications systems. Apart from services, they provide information for the OPC client from any data source; this might be hardware-driven data sources or software components. The data is acquired from interfaces, fieldbus cards, measuring devices, or controllers.

Server Names

Each OPC server is assigned a unique name by the vendor to identify it. According to the COM standard, these names are known as ProgIDs. By specifying the ProgID , you can address specific OPC servers.

(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).

The OPC client is an application which accesses process data, messages, and archives of an OPC server.

(OLE for Process Control) is an open system interface standard which allows simple, standardized data exchange between automation/PLC applications, field devices, and PC-based applications like HMI or office applications.

The OPC server is the middleware between the applications for handling process data, the various network protocols, and the interfaces for accessing these data.


What is an OPC Client?

OPC components that use OPC server s as a data source are known as OPC Clients. OPC clients can be obtained on the market as standard software. Software modules are also available that you can put together to create your own client functionality. To meet the individual requirements of your system and to achieve the best possible performance, you can write your own OPC clients in various programming languages (for example, Visual Basic).

(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).

(OLE for Process Control) is an open system interface standard which allows simple, standardized data exchange between automation/PLC applications, field devices, and PC-based applications like HMI or office applications.

The OPC server is the middleware between the applications for handling process data, the various network protocols, and the interfaces for accessing these data.

The OPC client is an application which accesses process data, messages, and archives of an OPC server.


How Do the Server and Client Work Together?

The server and client communicate on the basis of DCOM . The client does not access a server directly, but uses the COM library. By specifying the ProgID , the OPC client can address every OPC Server it requires.

Properties and Methods

The functionality of OPC servers is determined by their interfaces. The OPC client therefore knows the server functionality to be expected and can use the available services specifically. From an object-oriented point of view, the services of the OPC server are represented by properties and methods. All OPC servers have a basic set of the same properties and methods. Certain interfaces are designated as optional in the OPC specifications. If a server does not provide such optional functionality, a client can recognize this and react accordingly. As a result, components of different vendors can work together without problems.

A client can create, use, and delete objects on the server via the OPC interfaces. The OPC client references server functions and uses the methods of the server for reading and writing data. Each server function corresponds with a call on the client.

(OLE for Process Control) is an open system interface standard which allows simple, standardized data exchange between automation/PLC applications, field devices, and PC-based applications like HMI or office applications.

The OPC server is the middleware between the applications for handling process data, the various network protocols, and the interfaces for accessing these data.

The OPC client is an application which accesses process data, messages, and archives of an OPC server.

(Component Object Model) is the standard protocol for communication between objects located on the same computer, but which are part of different programs.

(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).


A object which establishes a communications network using the required protocol between two communication partners.

A Protocol is a set of rules agreed to between two communication partners to allow them to communicate with each other.

A folder allows you to organize your OPC item data into logical groupings that fit the needs of your application.

A folder allows you to organize, in the address space of the OPC server, your OPC items into logical groupings that fit the need of your application.

(OLE for Process Control) is an open system interface standard which allows simple, standardized data exchange between automation/PLC applications, field devices, and PC-based applications like HMI or office applications.

OPC Items are connections to data sources within the OPC Server. All read and write access to OPC Items is via an OPC Group object that “contains” the OPC item. The same OPC item can be contained by several groups.

OPC Items are connections to data sources within the OPC Server . All access to OPC Items is via an OPC Group object that “contains” the OPC item, or simply where the OPC Item is defined.

Name Hierarchies

When the OPC server objects (access point(s), PLC (s), f older(s), and i tem(s)) are created, they define a hierarchical path. The OPC Client uses this OPC server hierarchical path to define its items, which are part of a group connected to a particular server.

The OPC server is the middleware between the applications for handling process data, the various network protocols, and the interfaces for accessing these data.

(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).

The OPC Group object maintains information about itself and provides the mechanism for containing and logically organizing OPC items for data read and write. The OPC Groups provide a way for clients to organize data.

The OPC client is an application which accesses process data, messages, and archives of an OPC server.


(OLE for Process Control) is an open system interface standard which allows simple, standardized data exchange between automation/PLC applications, field devices, and PC-based applications like HMI or office applications.

The original source of the process data.

The OPC server's internal storage of the process data.

When a variable is queried, the corresponding value is obtained from the latest process data and returned. This might be the value of a sensor, control parameter, status information, or the status of the network connection.

Item Read Techniques

The OPC Server can read and write values or obtain information concerning changing process data values. The following presents a description of synchronous and asynchronous data exchange and considerations for using different item read and write techniques.

The goals are:

  • Optimization of data exchange between device to OPC Server and OPC Server to OPC Client

  • Preservation of network bandwidth for the items that need frequent updates

Synchronous and Asynchronous

The OPC server supports two types of item reads: synchronous and asynchronous .

Synchronous calls should be used if data access takes place quickly, or the result is needed for the program flow. Asynchronous reading should be used if data recording through the servers requires an unacceptable delay in program execution.

Synchronous reads are further subdivided into cache and device reads. Asynchronous reads are always from device and are not affected by the active state of the group or item.

Synchronous and asynchronous item writes may also be accomplished; however, they can only be directed to the device itself.

Cache and Device

Assuming that most clients want to access cached data, there are several ways for a client to obtain that data from a server.

  • It can perform a synchronous read from cache (simple and reasonably efficient). This may be appropriate for fairly simple clients that are reading relatively small amounts of data and where maximum efficiency is not a concern. A client that operates in this way is essentially duplicating the ‘scanning’ that the server is already doing.

  • It can perform an asynchronous ‘subscribe’ to cached data using IOPCDataCallback. This is the recommended behavior for clients because it will minimize use of CPU and network resources.

In practice, however, it is expected that most servers will read data into some sort of cache. Also, most clients will read data from this cache. Access to device data is expected to be ‘slow’ and is expected to be used primarily for diagnostics, for particularly critical operations, or for single access (only one read).

The cache should reflect the latest value of the data (subject to update rate and deadband optimizations as discussed later), as well as the quality and time stamp . The time stamp should indicate the time that the value and quality was obtained by the device (if this is available) or the time the server updated or validated the value and quality in its cache. Note that if a server is checking a value every 10 seconds from a device, then the expected behavior would be that the time stamp of that value would be updated every 10 seconds (even if the value is not actually changing). Thus the time stamp reflects the time at which the server knew the corresponding value was accurate.

ACTIVE State

A server's cache is not active for an item unless the item is active and the group that contains the item is also active. Device reads are not affected by the ACTIVE state of the group or item.

Multiple Data Points

In a process with many data points, most of your values are only needed when certain infrequent events occur, while others are needed frequently. Instead of creating a group containing all items, you may chose to set up two groups with two different scan rates and active states: One inactive group containing all the items to be read infrequently (asynchronous/synchronous device read), and another active group containing all the items to be updated frequently (asynchronous ‘subscribe’ to cached data using IOPCDataCallback). In this way, you can adjust the frequency of data acquisition for each group more judiciously, minimizing the amount of data read from the device and preserving network bandwidth.

An example of an inactive group containing all the items to be read infrequently, and another active group containing all the items to be read frequently would be an oil refinery:

  • Inactive group without cache and reads from device:

Large oil storage tanks, containing thousands of gallons of oil, are on our refinery site. Periodic drain and fill operations are done on these tanks to maintain raw oil supplies. The oil level in the individual tanks is important; however, due to the minimal change caused by the drain and fill operations, it is sufficient to measure the oil level on a daily basis.

  • Active group with cyclic data updates of changed data from cache:

In another part of the refinery, finished motor oil is being placed into cans as a final product. Here, stages of the operation, such as: filling the cans with the required amount and ensuring a can is in place for filling, are time critical. Frequent process data updates are required to ensure that production operations are within required tolerances.

Single Clients

In a single client scenario, you can further reduce the amount of data read with a synchronous or asynchronous device read that uses a data acquisition based upon an event in the OPC Client and a cache that is not active for these items. An inactive cache does not imply that the items in the cache group cannot be read, it simply implies that a device read is required. You can perform these reads when a triggering event occurs, thus only reading the values when needed. This is typically not a problem in such cases because response time is not critical.

Multiple Clients

A synchronous cache read is used if there are several clients interested in the same value, based upon events in the client. The values are gathered from the cache, not the device and data access is much faster, but the values may not be as current. An item's cache values are not updated unless that item is active and is a member of an active group.

If the cache is required to be active so that an item's cache values are updated, a large amount of network bandwidth is consumed. In this case, by further subdividing the infrequent group, we can update all the infrequent items' cache values over a period of time, while allowing enough network bandwidth to maintain a timely update of frequent items.

In another multiple client scenario, an asynchronous update would be more advantageous than a synchronous read. In a synchronous read of an item, the read will be based upon the frequency indicated by the active group with the smallest scan rate. An asynchronous update (OnDataChange) would be a more efficient use of network bandwidth because only changed data will be transferred. A typical use case is an HMI, which always displays the current value.

OnDataChange Event

Using the OnDataChange event, a process data value is automatically transferred from the server to the client if the value itself has changed. This is the preferred asynchronous cache read technique. The OnDataChange event prompts the server to automatically read the process data values, evaluate a condition, and send the values to the client if the values have changed. This mechanism requires an active cache. The cache is active for an item if the item is active and the group that contains the item is also active.

During server item configuration, the Engineering Unit (EU) type and information can be specified for the individual process variables. If the process variable is an analog value and the necessary EU information has been entered, the server calculates the EU range once and multiples the result by the value specified in the PercentDeadband for an OPC Group object. Next, the absolute value of the difference between the value last sent to the client and the currently scanned value of an OPC Item object is calculated. If the absolute value of this difference is greater than the value previously calculated from the EU and PercentDeadband, the currently scanned value of the OPC Item object is sent to the client.

In summary, the changed data is sent if:

(absolute value of (last cached value - current value)) > (PercentDeadband/100) * (EU High - EU Low)

The asynchronous cache data transfer from the OPC Server to the OPC Client with the OnDataChange event is typically used for HMI applications that need a frequent update for displaying the value of an item. The OnDataChange contains only the changed values. This reduces the transferred data between the OPC Client and OPC Server and allows the OPC Server to optimize the data acquisition from the device.

Refresh

With a Refresh, the client reads all active OPC Item objects of an active OPC Group object. The result is sent through the OnDataChange event. Cache or Device can be selected as the process data source.

Optimization

What needs to be optimized?

  • Data exchange between device and OPC Server

  • Data exchange between OPC Server and OPC Client

The main objective in using synchronous reads over asynchronous updates is to preserve network bandwidth for the items that need frequent updates. Network bandwidth is typically a limited commodity and careful selection of your read techniques can prevent performance problems in most cases.

The OPC server is the middleware between the applications for handling process data, the various network protocols, and the interfaces for accessing these data.

(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).

The OPC Group object maintains information about itself and provides the mechanism for containing and logically organizing OPC items for data read and write. The OPC Groups provide a way for clients to organize data.

OPC Items are connections to data sources within the OPC Server. All read and write access to OPC Items is via an OPC Group object that “contains” the OPC item. The same OPC item can be contained by several groups.

The OPC client is an application which accesses process data, messages, and archives of an OPC server.

Quality is information indicating whether or not the value of a variable could be obtained reliably. From this, you can draw conclusions about the validity of the value.

From the time stamp, you can see when the value of the queried variable was acquired.

During asynchronous access, the OPC client program continues to execute while data are read or written.


(OLE for Process Control) is an open system interface standard which allows simple, standardized data exchange between automation/PLC applications, field devices, and PC-based applications like HMI or office applications.

(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).

OPC Specification Documents

The S7-200 PC Access supports the following OPC specifications, allowing you to access the process data that your application requires:

  • OPC Overview V1.00 PDF Document

  • OPC Data Access Standard V1.00 PDF Document

  • OPC Data Access Automation V2.02 PDF Document

  • OPC Data Access Custom V2.05A PDF Document

At this website Link to OPC Foundation website: opcfoundation.org, you have access to these documents in PDF format.


Standard OPC Interface Definitions

The following table represents the level of OPC support to be achieved by the S7-200 PC Access Server . Please note optional interfaces are denoted by enclosure within brackets (i.e. []).

Categories | Class | Interfaces | Supported
Data Access 1.0A | OPCServer | IOPCServer |
 |  | [IOPCServerPublicGroups] | 1
 |  | [IOPCBrowseServerAddressSpace] |
 |  | [IPersistFile] | 1
 | OPCGroup | IOPCGroupStateMgt |
 |  | [IOPCPublicGroupStateMgt] | 1
 |  | IOPCSyncIO |
 |  | IOPCAsyncIO |
 |  | IOPCItemMgt |
 |  | IDataObject |
 | EnumOPCItemAttributes | IEnumOPCItemAttributes |
Data Access 2.05 | OPCServer | IOPCServer |
 |  | [IOPCServerPublicGroups] | 1
 |  | [IOPCBrowseServerAddressSpace] |
 |  | IOPCItemProperties |
 |  | IConnectionPointContainer |
 |  | IOPCCommon |
 |  | [IPersistFile] | 1
 | OPCGroup | IOPCGroupStateMgt |
 |  | [IOPCPublicGroupStateMgt] | 1
 |  | IOPCSyncIO |
 |  | IOPCAsyncIO2 |
 |  | IOPCItemMgt |
 |  | IConnectionPointContainer |
 | EnumOPCItemAttributes | IEnumOPCItemAttributes |
Data Access 3.00 | OPCServer | IOPCServer | 2
 |  | IOPCBrowse | 2
 |  | IOPCItemIO | 2
 |  | IConnectionPointContainer | 2
 |  | IOPCCommon | 2
 | OPCGroup | IOPCGroupStateMgt2 | 2
 |  | IOPCSyncIO | 2
 |  | IOPCSyncIO2 | 2
 |  | IOPCASyncIO2 | 2
 |  | IOPCASyncIO3 | 2
 |  | IOPCItemMgt | 2
 |  | IOPCItemDeadBandMgt | 2
 |  | [IOPCItemSamplingMgt] | 2
 | EnumOPCItemAttributes | IEnumOPCItemAttributes | 2
Data Access Automation 2.02 | OPCServer | IDispatch |
 | OPCGroups | IDispatch |
 | OPCGroup | IDispatch |
 | OPCItems | IDispatch |
 | OPCItem | IDispatch |
 | OPCBrowser | IDispatch |
Alarms & Events 1.02 |  |  | 2
OPC Batch 1.0 |  |  | 2
OPC Batch Server 2.0 |  |  | 2
OPC HDA 1.0 |  |  | 2

= Supported

= Not supported

1 No known OPC server has implemented this interface.

2 Current OPC standard is not supported by S7-200 PC Access.


(Component Object Model) is the standard protocol for communication between objects located on the same computer, but which are part of different programs. protocol for communication between objects located on the same computer but which are part of different programs.

A Protocol is a set of rules agreed to between two communication partners to allow them to communicate with each other.

A Protocol is a set of rules agreed to between two communication partners to allow them to communicatewith each other.

(Component Object Model) is the standard protocol for communication between objects located on the same computer, but which are part of different programs.

The original source of the process data.

Data Access 1.0A

This category represents the group of behaviors as described in the initial OPC Data Access specification. This specification was to define a standard mechanism for clients to access data in a consistent manner, regardless of the source devices’ manufacturer/distributor/architecture. Microsoft’s COM technology was chosen as the foundation upon which this initiative would be built, because of its widespread acceptance and availability. The original specification defined both Custom, and Automation interfaces, to allow maximum access, regardless of source language implementation selection. The specification defined a common set of interfaces, classes, and structures that could be provided by manufactures to “normalize” access to their devices. OPC clients could encapsulate themselves from device specific behaviors by utilizing these agreed upon interfaces.

The OPC Group object maintains information about itself and provides the mechanism for containing and logically organizing OPC items for data read and write. The OPC Groups provide a way for clients to organize data.

(OLE for Process Control) is an open system interface standard which allows simple, standardized data exchange between automation/PLC applications, field devices, and PC-based applications like HMI or office applications.

(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).


(Component Object Model) is the standard protocol for communication between objects located on the same computer but which are part of different programs. protocol for communication between objects located on the same computer but which are part of different programs.

A Protocol is a set of rules agreed to between two communication partners to allow them to communicate with each other.

A Protocol is a set of rules agreed to between two communication partners to allow them to communicatewith each other.

(Component Object Model) is the standard protocol for communication between objects located on the same computer, but which are part of different programs.

Data Access 2.05

This category represents the group of behaviors as described in the second revision of the OPC Data Access specification. This specification was drafted to reflect knowledge gained in supporting and using the original specification. Additionally, the Automation interface specification was removed to its own specification, Data Access Automation 2.02. New custom interfaces were introduced that addressed deficiencies in the original specification, and to take advantage of new techniques introduced to COM after the original release. These new techniques, primarily, dealt with the use of connection points instead of advise and sink.

The OPC Group object maintains information about itself and provides the mechanism for containing and logically organizing OPC items for data read and write. The OPC Groups provide a way for clients to organize data.

(OLE for Process Control) is an open system interface standard which allows simple, standardized data exchange between automation/PLC applications, field devices, and PC-based applications like HMI or office applications.

(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).


Data Access Automation 2.02

This category represents the behaviors as described in the “second” revision of the Data Access Automation specification. The contents of this specification were originally described in the OPC Data Access 1.0A specification, but were split out for the second revision. The automation classes (i.e. they support IDispatch) described in this specification support the use of the S7-200 PC Access Server by automation clients such as, JAVAScript, VBScript, and Internet Explorer. OPC does not require support of this category.

(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).

(OLE for Process Control) is an open system interface standard which allows simple, standardized data exchange between automation/PLC applications, field devices, and PC-based applications like HMI or office applications.

The OPC server is the middleware between the applications for handling process data, the various network protocols, and the interfaces for accessing these data.


Custom Server Class Descriptions

(OLE for Process Control) is an open system interface standard which allows simple, standardized data exchange between automation/PLC applications, field devices, and PC-based applications like HMI or office applications.

The OPC server is the middleware between the applications for handling process data, the various network protocols, and the interfaces for accessing these data.

The OPC client is an application which accesses process data, messages, and archives of an OPC server.

The OPC Group object maintains information about itself and provides the mechanism for containing and logically organizing OPC items for data read and write. The OPC Groups provide a way for clients to organize data.

OPC Items are connections to data sources within the OPC Server. All read and write access to OPC Items is via an OPC Group object that “contains” the OPC item. The same OPC item can be contained by several groups.

(Component Object Model) is the standard protocol for communication between objects located on the same computer, but which are part of different programs.

A Protocol is a set of rules agreed to between two communication partners to allow them to communicate with each other.

During asynchronous access, the OPC client program continues to execute while data are read or written.

The original source of the process data.

Custom Server Class Descriptions

The S7-200 PC Access supports the following OPC custom s erver class descriptions, allowing you to access the process data that your application requires:

  • OPCServer Class Description

  • OPCGroup Class Description

  • EnumOPCItemAttributes Class Description

OPCServer Class Description

Back to Top

This class has various attributes that contain information about the status, the version etc. of an OPC server object. The OPC server class also has methods with which a c lient can manage the objects of the OPC g roup class.

IOPCServer Interface

This interface contains methods to manage groups within a server object. It is also possible to obtain information about the current status of the server.

IOPCServerPublicGroups Interface (optional)

This interface contains methods to manage public groups within a server object. This option allows clients to create and share groups with other clients. This is especially useful in processes when multiple clients monitor or control a common set of data points. If this interface is not supported, clients must define their own groups.

IOPCBrowseServerAddressSpace Interface (optional)

This interface contains methods with which the address area of the server can be queried. The address area contains all the OPC items known to the server. This interface allows clients to browse existing tags and use them without creating new items. If this option is not supported all tags must be created by the client.

IOPCItemProperties Interface (version 2.0)

This interface contains methods allowing specific server information to be queried about an i tem.

IOPCCommon Interface (version 2.0)

This interface contains methods allowing the language settings and the name of the client to be made known to the server.

IConnectionPointContainer Interface (version 2.0)

This interface is a standard COM interface for reporting a synchronous events via connection points. For more detailed information about using connection points, refer to the documentation of COM.

IPersistFile Interface (optional)

This interface is a standard COM interface for support of object persistence. Object persistence is necessary for state preservation between executions. For more detailed information, refer to the documentation of COM.

The STEP 7-Micro/WIN project file can be thought of as an example of this concept. The project file contains project state information that can be used to reinitialize STEP 7-Micro/WIN when opened.

The type of information saved by the server includes: channel, device and public group information. If the server does not support this interface, then all server specific information must be recreated.

The client application is responsible for its own state, group and item persistence (i.e. the client must repopulate the server with groups and items from its persistent storage).

OPCGroup Class Description

Back to Top

This class manages the individual process variables, the OPC items. Using these group objects, a client can form semantically meaningful units of OPC items and execute operations with them.

IOPCGroupStateMgt Interface

This interface provides methods with which groups can be managed. It is possible to edit group-specific parameters and to copy groups.

IOPCPublicGroupStateMgt (optional)

This interface provides methods with which public groups can be managed. It is possible to edit group-specific parameters and to copy groups. If this interface is not supported the server can not support its IOPCServerPublicGroups interface.

IOPCSyncIO Interface

This interface provides methods for synchronous reading and writing. Synchronous means that the client waits until the read or write operation is completed and only then continues execution.

The use of synchronous calls is recommended when the client requires the result for further processing. Other clients will not be blocked.

In general, it is advisable to use the IOPCAsyncIO2 interface for processing variable changes. This interface guarantees the highest possible data throughput and also reduces the actual number of calls to the absolute minimum (only when changes occur).

IOPCAsyncIO Interface (obsolete)

This interface provides methods for asynchronous reading and writing of items. Asynchronous means that the clients trigger a read or write operation, but does not wait until the operation is completed. Asynchronous operations provide a transaction ID. When the server has completed the requested operations, the clients receive a message sent to its IAdviseSink interface.

IOPCAsyncIO2 Interface (version 2.0)

This interface provides methods for asynchronous reading and writing of items. Asynchronous means that the clients trigger a read or write operation, but does not wait until the operation is completed. IOPCAsyncIO2 uses connection points instead of the IDataObject/IAdviseSink interface hand shaking mechanism used in IOPCAsyncIO.

IOPCItemMgt Interface

This interface provides methods to manage more than one item in a group.

IDataObject Interface (obsolete)

This interface is a standard COM interface for data transmission. It contains methods for establishing a message connection between the client and server.

IConnectionPointContainer Interface (version 2.0)

This interface is a standard COM interface for reporting asynchronous events via connection points. For more detailed information about using connection points, refer to the documentation of COM.

EnumOPCItemAttributes Class Description

Back to Top

This class exists only to provide the functionality required by the IEnumOPCItemAttributes interface.

IEnumOPCItemAttributes Interface

This interface, based on the standard COM IEnum interface, returns the items of a group. This interface is acquired through a call to the CreateEnumerator method on the IOPCItemMgr interface.


The OPC server is the middleware between the applications for handling process data, the various network protocols, and the interfaces for accessing these data.

The OPC client is an application which accesses process data, messages, and archives of an OPC server.

OPC Items are connections to data sources within the OPC Server. All read and write access to OPC Items is via an OPC Group object that “contains” the OPC item. The same OPC item can be contained by several groups.

Automation Server Class Descriptions

For the purpose of the following descriptions, OPCServer, and OPCGroup will refer to the automation servers, while custom OPCServer, and customer OPCGroup will refer to the custom servers (i.e., the servers that implement the custom interfaces).

OPCServer Class Description

This class is an automation wrapper for the custom OPCServer. Its purpose is to provide access for automation clients to the custom OPCServer’s information and functionality (i.e. VBScript, JAVAScript, etc.). Automation clients must create an instance of this class to access the other automation servers (for example, OPCGroups, OPCBrowser, etc.). This s erver will establish a connection to a custom OPCServer when the automation c lient executes its “connect” method.

OPCGroups Class Description

This class is an automation collection containing all of the OPCGroup objects created by an automation client within the scope of the connected custom OPCServer.

OPCGroup Class Description

This class allows an automation client to organize OPCItem objects into a collection that can be activated and deactivated as a unit. This class also allows an automation client to be notified when OPCItem object values change.

OPCItems Class Description

This class is an automation collection containing all of the OPCItem objects created by an automation client within the scope of the connected custom OPCServer.

OPCItem Class Description

This class provides an automation client a connection to a single data i tem.

OPCBrowser Class Description

This class allows an automation client access to information provided by the custom OPCServer’s IOPCBrowseAddressSpace interface. If the connected custom OPCServer does not support the IOPCBrowseServerAddressSpace interface, requests for creation to the OPCServer class instance will fail. There exists a single instance of the OPCBrowser class for each OPCServer class instance (for example, the relationship between OPCServer and OPCBrower is one-to-one).


When a variable is queried, the corresponding value is obtained from the latest process data and returned. This might be the value of a sensor, control parameter, status information, or the status of the network connection.

(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).

Item Memory and Data Types

Items

An item has a symbolic name and a defined data type. The value of the item changes while the PLC program is being executed. Items occupy a defined memory address on the PLC, to which read and write access is possible from both the operator interface and the PLC.

Item Memory and Data Types

Items can be configured with the following memory types, SIMATIC mnemonics, and DB mnemonics :

Memory Types

I

Q

AI

AQ

C

HC

T

V

M

SM

SIMATIC Mnemonics

E

A

AE

AA

Z

HZ

DB Mnemonics1

DB1.DBBx

DB1.DBWx

DB1.DBDx

1 The parser will convert these to the corresponding S7-200 format.

S7-200 PC Access recognizes the following item data types (but these are not available on every PLC):

Data Item | Bit System | Range of Values
BYTE | 8 bit | 0 through 255
INT | 16 bit | - 32768 through 32767
WORD | 16 bit | 0 through 65535
DINT | 32 bit | - 2147483648 through 2147483647
DWORD | 32 bit | 0 through 4294967295
REAL IEEE 32-bit Floating Point | 32 bit | Upper limit: ± 3.402823 e+38 Lower limit: ± 1.175495 e-38
BOOL | - | true (1), false (0)
STRING | - | 1 to 254 bytes

Online Items for S7

Data Type | Bit System
BYTE | 8 bit
INT | 16 bit, fixed-point
WORD | 16 bit
DINT | 32 bit, fixed-point
DWORD | 16 bit
REAL | 32 bits floating point
BOOL | 1 bit
STRING | ASCII character

S7-200 Specific Data Types

Data Type | Bit System
TIMER | Timer (S5#Time)
COUNTER | Counter
HC (High Speed Counter) | Counter

Note: The details "fixed-point", "hexadecimal", etc., refer to the representation of the CPU. They have no bearing on the display options.


(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).

TSAPs uniquely identify connections to an IP address. TCP/IP protocol allows multiple connections to a single IP address (up to 64K connections).

Run-Time Name Definition Syntax

The server’s run-time name syntax will be used to specify all needed data to access a PLC address. The entire access path must be specified or the server will make assumptions about the desired behavior.

  • General Definitions

  • Access Definitions

  • Type Definitions

  • Address Definitions

  • Network Address Definitions

  • Run-Time Name

  • Examples

General Definitions

Back to Top

Digit = | [0-9]
BitDigit = | [0-7]
HexDigit = | [0-9a-fA-F]
Unsigned = | {Digit}+
Offset = | {Unsigned}
BitOffset = | [xX]?{Offset}\.{BitDigit}
PPIAddress = | {Unsigned}
PPIConnection = | {PPIAddress}
IPAddress = | {Digit}[.]{Digit}[.]{Digit}[.]{Digit}
TSAP = | {HexDigit}{HexDigit}{HexDigit}{HexDigit}
IPConnection = | {IPAddress}[:]{TSAP}[:]{TSAP}
HeadCharSet = | [_a-zA-Z\x80-\xFF]
TailCharSet = | [_a-zA-Z0-9\x80-\xFF]
AccessPnt = | {HeadCharSet}{TailCharSet}*

Access Definitions

Back to Top

ReadWrite = | [rR][wW]
Read = | [rR]
Access = | (ReadWrite|Read)

Type Definitions

Back to Top

VT_BOOL = | [bB][oO][oO][lL]
VT_UI1 = | [bB][yY][tT][eE]
VT_I1 = | [cC][hH][aA][rR]
VT_I2 = | [iI][nN][tT]
VT_UI2 = | [wW][oO][rR][dD]
VT_I4 = | [dD][iI][nN][tT]
VT_UI4 = | [dD][wW][oO][rR][dD]
VT_R4 = | [rR][eE][aA][lL]
VT_BSTR = | [sS][tT][rR][iI][nN][gG]
Type = | (VT_BOOL|VT_UI1|VT_I1|VT_I2|VT_UI2|VT_I4|VT_UI4|VT_R4|VT_BSTR)

Address Definitions

Back to Top

QBitAddress = | ([qQ]|[aA]){BitOffset}
QAddress = | ([qQ]|[aA])([bB]|[wW]|[dD]){Offset}
IBitAddress = | ([iI]|[eE]){BitOffset}
IAddress = | ([iI]|[eE])([bB]|[wW]|[dD]){Offset}
MBitAddress = | [mM]{BitOffset}
MAddress = | [mM]([bB]|[wW]|[dD]){Offset}
SBitAddress = | [sS]{BitOffset}
SAddress = | [sS]([bB]|[wW]|[dD]){Offset}
SMBitAddress = | [sS][mM]{BitOffset}
SMAddress = | [sS][mM]([bB]|[wW]|[dD]){Offset}
VBitAddress = | [vV]{BitOffset}
VAddress = | [vV]([bB]|[wW]|[dD]){Offset}
DBitAddress = | [dD][bB]{BitOffset}
DAddress = | [dD][bB]([bB]|[wW]|[dD]){Offset}
DBBitAddress = | [dD][bB]{Offset}[.][dD][bB]{BitOffset}
DBAddress = | [dD][bB]{Offset}[.][dD][bB]([bB]|[wW]|[dD]){Offset}
CAddress = | ([cC]|[zZ]){Offset}
TAddress = | [tT]{Offset}
HCAddress = | [hH]([cC]|[zZ]){Offset}
AQAddress = | [aA]([qQ]|[aA])[wW]+{Offset}
AIAddress = | [aA]([iI]|[eE])[wW]+{Offset}
BitAddress = | ({QBItAddress}
 | |{IBitAddress}
 | |{MBitAddress}
 | |{SBitAddress}
 | |{SMBitAddress}
 | |{VBitAddress}
 | |{DBitAddress}
 | |{DBBitAddress})
Address = | ({BitAddress}
 | |{QAddress}
 | |{IAddress}
 | |{MAddress}
 | |{SAddress}
 | |{SMAddress}
 | |{VAddress}
 | |{DAddress}
 | |{DBAddress}
 | |[CAddress}
 | |{TAddress}
 | |{HSCAddress}
 | |{AQAddress}
 | |{AIAddress})

Network Address Definitions

Back to Top

NetAddressFull = | {PPIConnection}[:]{IPConnection}
NetAddress = | ({NetAddressFull} | {PPIConnection} | {IPConnection})

Run-Time Name

Back to Top

Tag = | ( {AccessPnt}[:]{NetAddressFull}[:]{Address}[,]{Type},{Access}
 | | {AccessPnt}[:]{NetAddressFull}[:]{Address}[,]{Type}
 | | {NetAddress}[:]{Address}[,]{Type}[,]{Access}
 | | {NetAddress}[:]{Address}[,]{Type} )

Examples

Back to Top

Example One

2:161.218.182.155:0FAC:0FAD,VB0,BYTE,RW

This tag will read address, VB0, using the default access point, MicroSystems, to determine which network address, PPI or IP, should be used. The tag will be read as a BYTE and have Read/Write Access.

Example Two

2:161.218.182.155:0FAC:0FAD,VB0,BYTE,RW

This tag will read address, VB0, using the default access point, MicroSystems, to determine which network address, PPI or IP, should be used. The tag will be read as a BYTE and assume Read/Write Access.

Example Three

161.218.182.155:0FAC:0FAD,VB0,BYTE,RW

This tag will read address, VB0, using the default access point, MicroSystems, using the IP connection, 161.218.182.155:0FAC:0FAD. The tag will be read as a BYTE and have Read/Write Access.

Example Four

161.218.182.155:0FAC:0FAD,VB0,BYTE,RW

This tag will read address, VB0, using the default access point, MicroSystems, using the IP connection, 161.218.182.155:0FAC:0FAD. The tag will be read as a BYTE and assume Read/Write Access.

Example Five

Back to Top

2,VB0,BYTE,RW

This tag will read address, VB0, using the default access point, MicroSystems, using the PPI address 2. The tag will be read as a BYTE and have Read/Write Access.

Example Six

2,VB0,BYTE

This tag will read address, VB0, using the default access point, MicroSystems, using the PPI address 2. The tag will be read as a BYTE and assume Read/Write Access.

(OLE for Process Control) is an open system interface standard which allows simple, standardized data exchange between automation/PLC applications, field devices, and PC-based applications like HMI or office applications.

The OPC server is the middleware between the applications for handling process data, the various network protocols, and the interfaces for accessing these data.

A Protocol is a set of rules agreed to between two communication partners to allow them to communicate with each other.

An object which establishes a communications network using the required protocol between two communication partners.

(Point-to-Point Interface) is a master-slave protocol: the master devices send requests to the slave devices, and the slave devices respond.


Terminology

  • Access Point: An access point is a S7SDD developed term that refers to an access of a communication medium. An access point provides the ability to separate communication access across applications when these applications use distinct access points.

  • Asynchronous: During asynchronous access, the program continues to execute while data are read or written. A program sends an asynchronous function call to access process data. The function returns to the program immediately indicating whether the job was sent successfully to the OPC Server. The program can then continue to run. The OPC Server assigns a TransactionID to the job with which the client can later identify the response to the job. At a later, undefined point in time, the OPC Server calls the AsyncReadComplete or AsyncWriteComplete function of the OPC client. The results of the previous function call (read or write) and the TransactionID are sent to the client as call parameters. The program execution of the OPC client in no way influences the time at which the data are sent over the network.

Asynchronous access is useful when large amounts of data need to be read and when the application needs to be capable of reacting while the job is executed.

  • COM: (Component Object Model): Microsoft technology advocating and enforcing an object oriented software component or building-block architecture.

COM is the standard protocol for communication between objects located on the same computer but which are part of different programs. The server is the object providing services, such as making data available. The client is an application which uses the services provided by the server.

  • Cache: The server computer's internal storage of the process data. The cache is active for an item if the item is active and the group that contains the item is also active.

  • Client: A process that incorporates the architecture and usage of defined OPC server interfaces.

The OPC client is an application which accesses process data, messages and archives of an OPC server. The architecture of OPC is a client-server model where the OPC Server component provides an interface to the OPC objects and manages them. An OPC client application communicates to an OPC server through the specified OPC custom and automation interfaces.

  • Client/Server Architecture: Using the client/server architecture, resources of several users can be shared. The server provides services to the clients. The clients use the services provided by the server by sending a job to the server. The server processes the job and sends the result back to the client. A server can normally service several clients at the same time. The OPC interface is based on a client/server architecture.

  • Communication Access Point: An access point is a S7SDD developed term that refers to an access of a communication medium. An access point provides the ability to separate communication access across applications when these applications use distinct access points.

  • DCOM (Distributed Component Object Model): DCOM represents an expansion of COM functionality to allow access to objects on remote computers.

  • Ethernet: Technology for local area networks (LANs) and wide area networks (WANs). Ethernet standardizes the procedures for interconnecting several computers. It specifies how the data flow over the network cable is controlled. Ethernet uses the CSMA/CD (Carrier Sense Multiple Access with Collision Detection) medium access control technique as specified in the international standard 802.3. With this type of medium access control, a workstation checks whether the transmission medium is free before it starts transmission. From a logical point of view, Ethernet networks are based on a bus topology. The transmission media include shielded coaxial cables, twisted pair cables, or fiber-optic cables. S7-200 Industrial Ethernet uses both the Ethernet and Fast Ethernet standard.

  • Folder: The server allows item folders to be added to your project. Item folders allow you to organize your OPC data into logical groupings that fit the needs of your application. Using item folders allows multiple sets of identical items to be added under the same PLC, which can be very useful when a single PLC handles a number of similar machine segments. From an OPC client standpoint, the use of item folders allows you to organize your OPC data into smaller item lists, which can make finding a specific item easier when browsing the server.

  • Group: Logical association of OPC server items into user-defined groupings. These groupings are typically used to identify specific process control or instrumentation areas.

The OPC Group object maintains information about itself and provides the mechanism for containing and logically organizing OPC items. The OPC Groups provide a way for clients to organize data. For example, the group might represent items in a particular operator display or report. Data can be read and written. Exception based connections can also be created between the client and the items in the group and can be enabled and disabled as needed. An OPC client can configure the rate that an OPC server should provide the data changes to the OPC client. A group can be activated and deactivated as a unit. A group also provides a way for the client to ‘subscribe’ to the list of items so that it can be notified when they change.

  • Group Operations: With many methods, you can transfer multiple process variables as parameters in one array using one function call. The use of group operations improves the data throughput since there are fewer function calls and process changes between the OPC client and OPC Server. The OPC Server can then optimize communication over the network itself, for example by putting single jobs together. If you work with a remote server using DCOM, the use of group operations is particularly effective since in this case, a function call is transported over the network. The OPC server also uses group operations when transferring change messages to the client.

  • IP Address: The Internet Protocol (IP) Address is an identifier for a computer or device on a TCP/IP network. Networks using the TCP/IP protocol route messages based on the IP address of the destination. The format of an IP address is a 32-bit numeric address written as four numbers separated by periods. Each number can be zero to 255. For example, 1.160.10.240 could be an IP address.

  • Item: OPC Items are connections to data sources within the OPC Server. An OPC Item, from the custom interface perspective, is not accessible as an object by an OPC Client. Therefore, there is no external interface defined for an OPC Item. All access to OPC Items is via an OPC Group object that “contains” the OPC item, or simply where the OPC Item is defined. Associated with each item is a Value, Quality, and Time Stamp.

Note that the items are not the data sources - they are just connections to them. For example, the items in a DCS system exist regardless of whether an OPC client is currently accessing them. The OPC Item should be thought of as simply specifying the address of the data, not as the actual physical source of the data that the address references.

Note: Items are referred to as "tags" in some clients.

  • Modem: The word "modem" is a contraction of the words modulator-demodulator. A modem is typically used to send digital data over a phone line. The sending modem modulates the data into a signal that is compatible with the phone line, and the receiving modem demodulates the signal back into digital data. Wireless modems convert digital data into radio signals and back.

  • OLE (Object Linking and Embedding): OLE is a technology for data exchange between different Windows programs. OLE establishes a connection between a Windows server program and a Windows container program. Objects from the server program can then be included in a document of the container program.

  • OPC (OLE for Process Control): OPC is an open system interface standard which allows simple standardized data exchange between automation/PLC applications, field devices, and office applications. OPC provides a mechanism to provide data from a data source and communicate the data to any client application in a standard way. With OPC, system integration in a heterogeneous computing environment becomes simple.

  • OnDataChange Event: Using the OnDataChange event, a process data value is automatically transferred from the server to the client if the value itself has changed. This is the preferred asynchronous cache read technique. The OnDataChange event prompts the server to automatically read the process data values, evaluate a condition, and send the values to the client if the values have changed. This mechanism requires an active cache.

During server item configuration, the Engineering Unit (EU) type and information can be specified for the individual process variables. If the process variable is an analog value and the necessary EU information has been entered, the server calculates the EU range once and multiples the result by the value specified in the PercentDeadband for an OPC Group object. Next, the absolute value of the difference between the value last sent to the client and the currently scanned value of an OPC Item object is calculated. If the absolute value of this difference is greater than the value previously calculated from the EU and PercentDeadband, the currently scanned value of the OPC Item object is sent to the client.

  • PLC (Programmable logic controller):A PLC is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).

  • PPI (Point-to-Point Interface): PPI is a master-slave protocol: the master devices send requests to the slave devices, and the slave devices respond.

  • Protocol: A protocol is a convention for controlled transfer of data. Protocols specify, for example, the data structure, the structure of data packets, and the coding. A protocol is a set of rules agreed to between two communication partners to allow them to communicate with each other. According to the ISO/OSI reference model, suitable protocols are defined for each layer. Among other things, a protocol specifies the following aspects of data exchange: Mode, connection establishment, data security, and transmission rate.

  • Quality: Information indicating whether or not the value of a variable could be obtained reliably. From this, you can draw conclusions about the validity of the value.

  • Refresh: With a Refresh, the client reads all active OPC Item objects of an active OPC Group object. Cache or Device can be selected as the process data source. No data writes are allowed, only data reads.

  • Run-Time Names: If an item does not exist for use in the server, the client can use the run-time name syntax to add an item. The run-time name is a server-specific string containing information in a server-specific form that is needed by the server to read an address from a device. An example of a Profibus style network address would be: 2, VW0, INT, RW. An example of an IP style network address would be: 161.218.182.115:0010:0011,VW10,INT,RW.

  • S7-200 Specific Data Types:

  • TIMER

  • COUNTER

  • HSC (High Speed Counter)

  • STEP 7-Micro/WIN Symbol: Symbolic names are assigned to PLC memory and I/O addresses in the Symbol Table / Global Variable Table in STEP 7-Micro/WIN. All items that can be used in S7-200 PC Access are imported. Some address types cannot be used and are filtered out during the import process. S7-200 PC Access cannot import these address types:

    • Main Subroutine (SBR)

    • Subroutines (SBR)

    • Interrupts (INT)

    • Organization Blocks (OB)

    • Constants

  • Server: An OPC server is a program which provides the applications from various manufacturers with a standard software interface. The OPC server is the middleware between the applications for handling process data, the various network protocols, and the interfaces for accessing these data. The OPC Server object contains information about the server and serves as a container for OPC group objects.

A server provides explicit support for OPC defined interfaces and will typically include support for some revision of the Data Access interface.

  • Standard S7 Data Types:

  • BYTE

  • WORD

  • DWORD

  • REAL

  • INT

  • DINT

  • BOOL

  • STRING

  • Synchronous: During synchronous access, the program stops executing until a variable is read or written. A program sends a synchronous function call to access process data. When the function is executed, the OPC Server handles all the communication over the network. The read values are transferred to the user program with the return parameters of the function and the application can now continue to execute the next instructions. Both reads and writes can be synchronous. You should always use synchronous access when a longer interruption in the user program is acceptable, for example when using worker threads. Synchronous access is the faster possible access to data on the partner device.

  • Time Stamp: From the time stamp, you can see when the value of the queried variable was acquired. The time stamp should indicate the time that the value and quality was obtained by the device (if this is available) or the time the server updated or validated the value and quality in its cache.

  • Test Client: Using the Items that are automatically configured by dragging and dropping items from the server view, Test Client provides a quick and easy test tool for your server item connections. An Item's ID (server access point, PLC, folder, and item name path or hierarchy), Data Type, Format, Value, Time Stamp, and Quality can be viewed in this area.

  • Transport Service Access Point (TSAP): In networking, the Transport Service Access Point (TSAP) is part of the Open Systems Interconnection (OSI) IP addressing scheme. It identifies the Network Service Access Point (NSAP) between the session layer and the network layer. The NASP is the part of a network address that identifies which application on the host is sending or receiving a packet.

TCP/IP protocol allows multiple connections to a single IP address (up to 64K connections). TSAPs uniquely identify those connections to an IP address.

The local TSAP is the local connection end point, and the remote TSAP is the remote connection end point. When you configure the Ethernet CPs in the local and destination stations, the TSAPs of the ethernet connection must be reversed:

  • Remote TSAP (on CP in local station) = local TSAP (in destination station)

  • Local TSAP (on CP in local station) = remote TSAP (in destination station)

  • Value: When a variable is queried, the corresponding value is obtained from the latest process data and returned. This might be the value of a sensor, control parameter, status information, or the status of the network connection.


Copyright and Safety Notification

This manual contains notices that you should observe to ensure your own personal safety, as well as to protect the product and connected equipment. These notices are highlighted in the manual by a warning triangle and are marked as follows according to the level of danger:

Danger
Indicates an imminently hazardous situation that, if not avoided, will result in death or serious injury.

Warning
Indicates a potentially hazardous situation that, if not avoided, could result in death or severe injury.

Caution
Used with the safety alert symbol indicates a potentially hazardous situation that, if not avoided, may result in minor or moderate injury.

Caution
Used without the safety alert symbol indicates a potentially hazardous situation that, if not avoided, may result in property damage.

Notice
Used without the safety alert symbol indicates a potential situation that, if not avoided, may result in an undesirable result or state.

Qualified Personnel
The device/system may only be set up and operated in conjunction with this manual. Only qualified personnel should be allowed to install and work on this equipment. Qualified persons are defined as persons who are authorized to commission, to ground, and to tag circuits, equipment, and systems in accordance with established safety practices and standards.

Correct Usage
Note the following:

Caution
This device and its components may only be used for the applications described in the catalog or the technical descriptions and only in connection with devices or components from other manufacturers that have been approved or recommended by Siemens.

This product can only function correctly and safely if it is transported, stored, set up, and installed correctly, and operated and maintained as recommended.

Trademarks
Siemens® and SIMATIC® are registered trademarks of SIEMENS AG.
STEP 7™ and S7™are trademarks of SIEMENS AG.
Microsoft ®, Windows ®, Windows XP Professional ®, Windows 2000 ®, and Internet Explorer ® are registered trademarks of Microsoft Corporation.
Adobe ® and Acrobat ® are registered trademarks of Adobe Systems Incorporated.

Copyright Siemens Energy & Automation, Inc., 2004
All rights reserved
The reproduction, transmission or use of this document or its contents is not permitted without express written authority. Offenders will be liable for damages. All rights, including rights created by patent grant or registration of a utility model or design, are reserved.

Siemens AG
Bereich Automatisierungs- und Antriebstechnik
Geschaeftsgebiet Industrie-Automatisierungssysteme
Postfach 4848, D-90327 Nuernberg

Disclaimer of Liability
We have checked the contents of this manual for agreement with the hardware and software described. Because deviations cannot be precluded entirely, we cannot guarantee full agreement. However, the data in this manual are reviewed regularly and any necessary corrections included in subsequent editions. Suggestions for improvement are welcomed.

© Siemens AG 2004

Technical data subject to change.


Contact Information

Audience

This manual is intended for engineers, programmers, and maintenance personnel who have a general knowledge of programmable logic controllers.

Scope

This document describes the features and the operation of the S7-200 PC Access.

Other Manuals

You can find additional information in the online help for STEP 7-Micro/WIN and in the following manual:

  • S7-200 Programmable Controller System Manual. This manual provides basic information on designing and programming an S7-200 control program.

Additional Assistance

For assistance in answering technical questions, for training on this product, or for ordering, contact your Siemens distributor or sales office.

North America and South America | Europe and Africa | Asia and Pacific region
Telephone: +1 (800) 333-7421 | Telephone: +49 (0) 180 5050 222 | Telephone: +86 10 64 75 75 75
Fax: +1 (423) 262-2200 | Fax: +49 (0) 180 5050 223 | Fax: +86 10 64 74 74 74
simatic.hotline@sea.siemens.com | adsupport@siemens.com | adsupport.asia@siemens.com


Response Form

Your comments and recommendations help us to improve the quality and usefulness of our publications. Please take the first available opportunity to fill out this questionnaire and return it to Siemens.

Name of Product Documentation:

_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

Please give each of the following questions your own personal mark within a range from 1 (very good) to 5 (very poor).

Do the contents meet your requirements?

Is the information you need easy to find?

Is the text easy to understand?

Does the level of technical detail meet your requirements?

Please rate the quality of the graphics and tables.

Additional comments:

_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

Please check any industry that applies to you:

Automotive

Chemical

Electrical Machinery

Food

Instrument and Control

Non-electrical Machinery

Petrochemical

Pharmaceutical

Plastic

Pulp and Paper

Textiles

Transportation

Other ___________________________

Mail your response to:

Siemens Energy & Automation, Inc.

ATTN: Technical Communications M/S 5518

One Internet Plaza

Johnson City TN USA 37604

Include this information:

From

Name: _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

Job Title: _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

Company Name _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

Street: _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

City and State: _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

Country: _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

Telephone: _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _


Keywords

These keywords are reserved for use in S7-200 PC Access projects and cannot be used as item names.

Note: All keywords are listed below in capital letters. However, keywords are not case sensitive; lower case letters, upper case capital letters, or a mix of both cases is accepted.

1. ANY (not supported - reserved for future use)

2. ARRAY (not supported - reserved for future use)

3. BOOL

4. BYTE

5. CHAR (not supported - reserved for future use)

6. DATE (not supported - reserved for future use)

7. DINT

8. DT (not supported - reserved for future use)

9. DWORD

10. END_STRUCT (not supported - reserved for future use)

11. INT

12. OF (not supported - reserved for future use)

13. REAL

14. STRING

15. STRUCT (not supported - reserved for future use)

16. TIME (not supported - reserved for future use)

17. TIME_OF_DAY (not supported - reserved for future use)

18. TOD (not supported - reserved for future use)

19. TYPE (not supported - reserved for future use)

20. WORD


(OLE for Process Control) is an open system interface standard which allows simple, standardized data exchange between automation/PLC applications, field devices, and PC-based applications like HMI or office applications.

Add Current Items to the Test Client Button

Use the Add Current Items to Test Client [image] button to move the currently configured server items to the Test Client.

See Also:

Window Components

The OPC client is an application which accesses process data, messages, and archives of an OPC server.

The OPC server is the middleware between the applications for handling process data, the various network protocols, and the interfaces for accessing these data.

(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).


(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).

Copy Command (Edit Menu)

Using this command, copy a selection to the Windows clipboard by using one of the following methods:

  • Click the Copy [image] button.

  • Select the Edit > Copy menu command.

  • Press the Ctrl+C shortcut key combination.

Note: The Copy function is available only after you have selected an object for copying. The selection that you make describes exactly what is copied to the Windows clipboard buffer.

You can select the following objects in your project:

  • Text or data fields

  • Selected PLC, folder , or item rows

See Also:

Window Components

A folder allows you to organize, in the address space of the OPC server, your OPC items into logical groupings that fit the need of your application.

(OLE for Process Control) is an open system interface standard which allows simple, standardized data exchange between automation/PLC applications, field devices, and PC-based applications like HMI or office applications.

The OPC server is the middleware between the applications for handling process data, the various network protocols, and the interfaces for accessing these data.

The OPC Group object maintains information about itself and provides the mechanism for containing and logically organizing OPC items for data read and write. The OPC Groups provide a way for clients to organize data.

OPC Items are connections to data sources within the OPC Server. All read and write access to OPC Items is via an OPC Group object that “contains” the OPC item. The same OPC item can be contained by several groups.


(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).

Cut Command (Edit Menu)

Cut a selection and place it in the Windows clipboard by using one of the following methods:

  • Click the Cut [image] button.

  • Select the Edit > Cut menu command.

  • Press the Ctrl+X shortcut key combination.

Note: The Cut function is available only after you have selected an object to cut. The selection that you make describes exactly what is cut and copied to the Windows clipboard buffer.

You can select the following objects in your project:

  • Text or data fields

  • Selected PLC, folder , or item rows

See Also:

Window Components

A folder allows you to organize, in the address space of the OPC server, your OPC items into logical groupings that fit the need of your application.

(OLE for Process Control) is an open system interface standard which allows simple, standardized data exchange between automation/PLC applications, field devices, and PC-based applications like HMI or office applications.

The OPC server is the middleware between the applications for handling process data, the various network protocols, and the interfaces for accessing these data.

The OPC Group object maintains information about itself and provides the mechanism for containing and logically organizing OPC items for data read and write. The OPC Groups provide a way for clients to organize data.

OPC Items are connections to data sources within the OPC Server. All read and write access to OPC Items is via an OPC Group object that “contains” the OPC item. The same OPC item can be contained by several groups.


(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).

Delete Command (Edit Menu)

Delete a selection at the cursor location by using one of the following methods:

  • Click the Delete [image] button.

  • Select the Edit > Delete menu command.

  • Click the right mouse button on the specified object (PLC, folder , or item ). Choose the pop-up menu command Delete.

Note: The Delete function is available only after you have selected an object to delete. The selection that you make describes exactly what is deleted.

See Also:

Window Components

A folder allows you to organize, in the address space of the OPC server, your OPC items into logical groupings that fit the need of your application.

(OLE for Process Control) is an open system interface standard which allows simple, standardized data exchange between automation/PLC applications, field devices, and PC-based applications like HMI or office applications.

The OPC server is the middleware between the applications for handling process data, the various network protocols, and the interfaces for accessing these data.

The OPC Group object maintains information about itself and provides the mechanism for containing and logically organizing OPC items for data read and write. The OPC Groups provide a way for clients to organize data.

OPC Items are connections to data sources within the OPC Server. All read and write access to OPC Items is via an OPC Group object that “contains” the OPC item. The same OPC item can be contained by several groups.


Folder Command (Edit > New Menu)

Select the Edit > New > Folder sub-menu command to insert a new folder . This command is selectable in the Tree View, the upper left window area that provides a tree hierarchy view of the server access point, PLCs, and folders that are available in your current project. This command is also selectable in the Item View, the upper right window area where folders and items are entered and listed.

See Also:

Window Components

A folder allows you to organize, in the address space of the OPC server, your OPC items into logical groupings that fit the need of your application.

(OLE for Process Control) is an open system interface standard which allows simple, standardized data exchange between automation/PLC applications, field devices, and PC-based applications like HMI or office applications.

The OPC server is the middleware between the applications for handling process data, the various network protocols, and the interfaces for accessing these data.

The OPC Group object maintains information about itself and provides the mechanism for containing and logically organizing OPC items for data read and write. The OPC Groups provide a way for clients to organize data.

OPC Items are connections to data sources within the OPC Server. All read and write access to OPC Items is via an OPC Group object that “contains” the OPC item. The same OPC item can be contained by several groups.

An object which establishes a communications network using the required protocol between two communication partners.


Item Command (Edit > New Menu)

Select the Edit > New > Item sub-menu command to insert a new item . This command is selectable in the Tree View, the upper left window area that provides a tree hierarchy view of the server access point, PLCs, and folders that are available in your current project. This command is also selectable in the Item View, the upper right window area where folders and items are entered and listed.

See Also:

Item Properties Dialog

Item View Details

Window Components

The OPC Group object maintains information about itself and provides the mechanism for containing and logically organizing OPC items for data read and write. The OPC Groups provide a way for clients to organize data.

OPC Items are connections to data sources within the OPC Server. All read and write access to OPC Items is via an OPC Group object that “contains” the OPC item. The same OPC item can be contained by several groups.

(OLE for Process Control) is an open system interface standard which allows simple, standardized data exchange between automation/PLC applications, field devices, and PC-based applications like HMI or office applications.

The OPC server is the middleware between the applications for handling process data, the various network protocols, and the interfaces for accessing these data.

An object which establishes a communications network using the required protocol between two communication partners.


Item Properties Dialog

The Item Properties dialog is accessed by one of the following:

  • Double-clicking on an item

  • Right-clicking on an item and selecting the Properties menu command

  • Clicking on an item and selecting the Edit > Properties menu command

With this dialog, you may modify the following:

  • Item Symbolic Name

  • Memory Location:

  • Address

  • Data Type

  • Access Type

  • Engineering Units:

  • High

  • Low

  • Description Comment

Item Symbolic Name

Back to Top

You can assign a name to your item that is used in your process and known to your operators. This is typically a symbolic reference to the PLC program variable. During importing of a Step 7-Micro/WIN project, item names will be created from the respective project symbol tables.

Memory Location

Address

Here, you designate the memory type and address of the location that is to be accessed from the PLC (for example, AI for analog input and HC for high speed counter). Refer to Item Memory and Data Types in Reference Information for a complete listing of address memory types.

Data Type

The item data type (such as BIT, BYTE, and WORD) is configured in this field. Refer to Item Memory and Data Types in Reference Information for a complete listing of data types.

Access Type

You can select the required access type (read, write, or read/write) to be permitted by the server .

Engineering Units (EU)

Back to Top

High

You can define the expected high range for the value of an item. This expected high range is then used with the client deadband value in the calculation of the reported value change. Refer to Client Deadband in Window Components for more information.

Low

You can define the expected low range for the value of an item. This expected low range is then used with the client deadband value in the calculation of the reported value change. Refer to Client Deadband in Window Components for more information.

Description

Comment

User-supplied item comments can be entered in this field.

See Also:

Window Components

(OLE for Process Control) is an open system interface standard which allows simple, standardized data exchange between automation/PLC applications, field devices, and PC-based applications like HMI or office applications.

The OPC server is the middleware between the applications for handling process data, the various network protocols, and the interfaces for accessing these data.

OPC Items are connections to data sources within the OPC Server. All read and write access to OPC Items is via an OPC Group object that “contains” the OPC item. The same OPC item can be contained by several groups.

(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).

The OPC client is an application which accesses process data, messages, and archives of an OPC server.

When a variable is queried, the corresponding value is obtained from the latest process data and returned. This might be the value of a sensor, control parameter, status information, or the status of the network connection.


(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).

New Command (Edit Menu)

Use this command to insert a selection at the cursor location by using one of the following methods:

  • Select the Edit > New menu command.

  • Click the right mouse button on the specified object (PLC, folder , or item ). Choose the pop-up menu command New.

The New sub-menu commands that are selectable depend on the window component that you are editing and the location of the cursor:

  • PLC

  • Folder

  • Item

See Also:

Window Components

A folder allows you to organize, in the address space of the OPC server, your OPC items into logical groupings that fit the need of your application.

(OLE for Process Control) is an open system interface standard which allows simple, standardized data exchange between automation/PLC applications, field devices, and PC-based applications like HMI or office applications.

The OPC server is the middleware between the applications for handling process data, the various network protocols, and the interfaces for accessing these data.

The OPC Group object maintains information about itself and provides the mechanism for containing and logically organizing OPC items for data read and write. The OPC Groups provide a way for clients to organize data.

OPC Items are connections to data sources within the OPC Server. All read and write access to OPC Items is via an OPC Group object that “contains” the OPC item. The same OPC item can be contained by several groups.


(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).

Paste Command (Edit Menu)

Paste the contents of the Windows clipboard into the active window by using one of the following methods:

  • Click the Paste [image] button.

  • Select the Edit > Paste menu command.

  • Press the Ctrl+V shortcut key combination.

Note: Use the Paste command to insert a copy of the clipboard contents above the current location of the cursor. The Paste function is available only if the Windows clipboard is not empty.

You can select the following objects in your project:

  • Text or data fields

  • Selected PLC, folder , or item rows

See Also:

Window Components

A folder allows you to organize, in the address space of the OPC server, your OPC items into logical groupings that fit the need of your application.

(OLE for Process Control) is an open system interface standard which allows simple, standardized data exchange between automation/PLC applications, field devices, and PC-based applications like HMI or office applications.

The OPC server is the middleware between the applications for handling process data, the various network protocols, and the interfaces for accessing these data.

The OPC Group object maintains information about itself and provides the mechanism for containing and logically organizing OPC items for data read and write. The OPC Groups provide a way for clients to organize data.

OPC Items are connections to data sources within the OPC Server. All read and write access to OPC Items is via an OPC Group object that “contains” the OPC item. The same OPC item can be contained by several groups.


(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).

An object which establishes a communications network using the required protocol between two communication partners.

PLC Command (Edit > New Menu)

Select the Edit > New > PLC sub-menu command to insert a new PLC. This command is selectable in the Tree View, the upper left window area that provides a tree hierarchy view of the server access point, PLCs, and folders that are available in your current project. This command is also selectable in the Item View, the upper right window area where folders and items are entered and listed.

New PLC Properties PPI Communications Dialog

New PLC Properties Ethernet Communications Dialog

See Also:

PLC Properties PPI Communications Dialog

PLC Properties Ethernet Communications Dialog

Tree View Details

Window Components


(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).

Technology for local area networks (LANs) and wide area networks (WANs). Ethernet standardizes the procedures for interconnecting several computers. It specifies how the data flow over the network cable is controlled.

The original source of the process data.

TSAPs uniquely identify connections to an IP address. TCP/IP protocol allows multiple connections to a single IP address (up to 64K connections).

A Protocol is a set of rules agreed to between two communication partners to allow them to communicate with each other.

PLC Properties Ethernet Communications Dialog

The PLC Properties Ethernet Communications dialog is accessed by one of the following:

  • Right-clicking on a PLC object and selecting the Properties menu command

  • Clicking on a PLC object and selecting the Edit > Properties menu command

With this dialog, you may change the following:

  • General:

  • Name

  • IP Address

  • Transport Service Access Point (TSAP):

  • Local

  • Remote

General

Back to Top

Name

Enter a PLC name of your choice in this field.

IP Address

You can use the IP Address Browser button [image] to select or enter the IP address for the corresponding CP243-1 Ethernet module. The only IP addresses that are checked by the browser are the IP addresses you have previously configured.

The IP address is a unique number that you assign to each device on the network and ensures that data is transferred to or retrieved from the correct device. The IP address that is entered in this field must match the IP address configured for the CP243-1 Ethernet module in the STEP 7-Micro/WIN project. For more details, refer to Setting the IP Address and TSAPs for the S7-200 CP243-1 Ethernet Module in Set Up Communications, Ethernet Communications.

Transport Service Access Point (TSAP)

Back to Top

Local

The Local TSAP is assigned to the PC upon which S7-200 PC Access resides. You can enter the Local TSAP in the TSAP field of the IP Address Browser [image] or in the TSAP field of the PLC Properties dialog.

Remote

The Remote TSAP is assigned to the CP243-1 Ethernet module of the PLC with which you want to communicate. You can enter the Remote TSAP in the TSAP field of the IP Address Browser [image] or in the TSAP field of the PLC Properties dialog.

TSAPs uniquely identify connections to a device IP address on the network. They ensure that data is transferred to or retrieved from the correct device. TCP/IP protocol allows multiple connections to a single IP address (up to 64K connections). The TSAPs that are entered in these fields must match the TSAPs configured for the CP243-1 Ethernet module in the STEP 7-Micro/WIN project. For more details, refer to Setting the IP Address and TSAPs for the S7-200 CP243-1 Ethernet Module in Set Up Communications, Ethernet Communications.

See Also:

Ethernet Communications

Window Components


(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).

(Point-to-Point Interface) is a master-slave protocol: the master devices send requests to the slave devices, and the slave devices respond.

The original source of the process data.

PLC Properties PPI Communications Dialog

The PLC Properties PPI Communications dialog is accessed by one of the following:

  • Right-clicking on a PLC object and selecting the Properties menu command

  • Clicking on a PLC object and selecting the Edit > Properties menu command

With this dialog, you may change the following:

  • Name

  • Network Address

Name

A user-supplied PLC name is entered in this field.

Network Address

Back to Top

You must configure a Profibus network address for the PLC, within the range of 1 to 126. The network address is a unique number that you assign to each device on the network and ensures that the data is transferred to or retrieved from the correct device. The address that is entered in this field must match the address configured for the PLC in the system block of the STEP 7-Micro/WIN project. For more details, refer to Setting the Baud Rate and Network Address for the S7-200 in Set Up Communications, Understanding the Basics of S7-200 Network Communications.

See Also:

Window Components


Properties Command (Edit Menu)

You can display the Properties dialog of the object currently selected by choosing the Edit > Properties menu command.

PLC Properties PPI Communications Dialog

PLC Properties Ethernet Communications Dialog

Item Properties Dialog

See Also:

Window Components


(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).

Rename Command (Edit Menu)

Rename project components (PLC, folder , or item ) by using one of the following methods:

  • Select the Edit > Rename menu command.

  • Open a folder in the Tree View or Item View,and click on an object. Click again on the object name, and type a new name.

  • Open a folder in the Tree View or Item View, and click on an object. Perform a right mouse click on the object name, select Rename from the popup menu, and type a new name.

See Also:

Window Components

A folder allows you to organize, in the address space of the OPC server, your OPC items into logical groupings that fit the need of your application.

(OLE for Process Control) is an open system interface standard which allows simple, standardized data exchange between automation/PLC applications, field devices, and PC-based applications like HMI or office applications.

The OPC server is the middleware between the applications for handling process data, the various network protocols, and the interfaces for accessing these data.

The OPC Group object maintains information about itself and provides the mechanism for containing and logically organizing OPC items for data read and write. The OPC Groups provide a way for clients to organize data.

OPC Items are connections to data sources within the OPC Server. All read and write access to OPC Items is via an OPC Group object that “contains” the OPC item. The same OPC item can be contained by several groups.


User Reference Edit Menu

Edit Menu

Cut

Copy

Paste

--------------------

New

PLC

Folder

Item

Delete

--------------------

Rename

Properties


Exit Command (File Menu)

Select the File > Exit menu command to quit the application. Prompts are given to ensure documents are saved.

Note: An icon is displayed in the Windows taskbar whenever S7-200 PC Access is operating.

See Also:

Window Components


(OLE for Process Control) is an open system interface standard which allows simple, standardized data exchange between automation/PLC applications, field devices, and PC-based applications like HMI or office applications.

The OPC server is the middleware between the applications for handling process data, the various network protocols, and the interfaces for accessing these data.

New Command (File Menu)

Start a new project by using one of the following methods:

  • Click the New Document [image] button.

  • Select the File > New menu command.

  • Press the Ctrl+N shortcut key combination.

The New command creates a set of empty document components and begins an editing session.

S7-200 PC Access Software

Two versions of S7-200 PC Access cannot be installed on the same PC, regardless of the sub-directory name in which it is installed.

S7-200 PC Access Projects

The S7-200 configurator allows saving of pca projects only when the S7-200 OPC server is not active. If the S7-200 OPC server is active and a save is requested, a confirmation dialog will be provided to optionally de-activate the S7-200 OPC server.

See Also:

Window Components


Open Command (File Menu)

Open an existing project (a file with a .pca file name extension) and begin a new editing session by using one of the following methods:

  • Click the Open Project [image] button.

  • Select the File > Open menu command.

  • Press the Ctrl+O shortcut key combination.

  • Open Windows Explorer and double click on a file with a .pca file name extension.

S7-200 PC Access Software

Two versions of S7-200 PC Access cannot be installed on the same PC.

See Also:

Window Components


Recent File Command (File Menu)

Using this command, you can open a recently edited project:

  • Select your file name with the File > 1, 2, 3, or 4 menu command.

The file names of project files you last worked on are listed at the bottom of the File menu. You can select a recent file and open the project directly, without having to browse or specify a file name.

See Also:

Window Components


(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).

A folder allows you to organize, in the address space of the OPC server, your OPC items into logical groupings that fit the need of your application.

OPC Items are connections to data sources within the OPC Server. All read and write access to OPC Items is via an OPC Group object that “contains” the OPC item. The same OPC item can be contained by several groups.

(OLE for Process Control) is an open system interface standard which allows simple, standardized data exchange between automation/PLC applications, field devices, and PC-based applications like HMI or office applications.

The OPC server is the middleware between the applications for handling process data, the various network protocols, and the interfaces for accessing these data.

The OPC Group object maintains information about itself and provides the mechanism for containing and logically organizing OPC items for data read and write. The OPC Groups provide a way for clients to organize data.

Save As Command (File Menu)

To save the active project with a new file name and location that you specify, select the File > Save As menu command.

If you have already saved your project under one name and location, you can use the Save As command to create a saved version that uses a different name and/ or location.

The Save As command stores the current state of all project data (PLC(s), folder(s), item(s), and comments) in a single file with a .pca file name extension.

S7-200 PC Access Software

Two versions of S7-200 PC Access cannot be installed on the same PC.

S7-200 PC Access Projects

The S7-200 configurator allows saving of pca projects only when the S7-200 OPC server is not active. If the S7-200 OPC server is active and a save is requested, a confirmation dialog is provided to optionally de-activate the S7-200 OPC server.

See Also:

Window Components


(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).

Save Command (File Menu)

Save your work in the currently active project by using one of the following methods:

  • Click the Save Project [image] button.

  • Select the File > Save menu command.

  • Press the Ctrl+S shortcut key combination.

The Save command stores the current state of all project data (PLC(s), folder (s), item(s), and comments) in a single file with the .pca file name extension.

S7-200 PC Access Software

Two versions of S7-200 PC Access cannot be installed on the same PC.

S7-200 PC Access Projects

The S7-200 configurator allows saving of pca projects only when the S7-200 OPC server is not active. If the S7-200 OPC server is active and a save is requested, a confirmation dialog is provided to optionally de-activate the S7-200 OPC server.

See Also:

Window Components


User Reference File Menu

File Menu

New

Open

--------------------

Save

Save As

--------------------

Import Symbols

--------------------

1 Recent File

2 Recent File

3 Recent File

4 Recent File

--------------------

Exit


About Command (Help Menu)

The Help > About menu command displays application information, software version number, and copyright.

See Also:

Window Components


Contents and Index Command (Help Menu)

Select the Help > Contents and Index menu command to display the front cover of the Online Help and the Getting Started Manual Table of Contents. The Online Help describes all facets of S7-200 PC Access operations. The Online Help Table of Contents is in the left navigation pane.

See Also:

Window Components


S7-200 on the Web Command (Help Menu)

S7-200 on the Web (Help Menu)

If you have an Internet browser installed and have access to the Internet, you can get the latest product information directly from Siemens web sites by using the menu command Help > S7-200 on the Web.

The following sub-menu commands with links to Siemens websites are provided:

  • Siemens

  • Software Support

  • S7-200 Support

  • S7-200 Product Overview

See Also:

Window Components


S7-200 Product Overview Command (Help > S7-200 on the Web Menu)

The Help > S7-200 on the Web > S7-200 Product Overview sub-menu command displays Siemens web pages.

See Also:

Window Components


S7-200 Support Command (Help > S7-200 on the Web Menu)

The Help > S7-200 on the Web > S7-200 Support sub-menu command displays Siemens web pages.

See Also:

Window Components


Siemens Command (Help > S7-200 on the Web Menu)

The Help > S7-200 on the Web > Siemens sub-menu command displays Siemens web pages.

See Also:

Window Components


Software Support Command (Help > S7-200 on the Web Menu)

The Help > S7-200 on the Web > Software Support sub-menu command displays Siemens web pages.

See Also:

Window Components


User Reference Help Menu

Help Menu

Contents and Index

--------------------

S7-200 on the Web

Siemens

Software Support

S7-200 Support

S7-200 Product Overview

--------------------

About


Configure Command (Status > Modem Menu)

Select the Status > Modem > Configure sub-menu command to start the modem configuration dialog. This command is only selectable when the modem is disconnected.

See Also:

Window Components

Using Modems and STEP 7-Micro/WIN with Your Network


Connect Command (Status > Modem Menu)

Select the Status > Modem > Connect sub-menu command to start the modem connection dialog. This command is only selectable when the modem is disconnected.

Select the Status > Modem > Disconnect sub-menu command to access the modem disconnect dialog. This command is only selectable when the modem is connected.

See Also:

Window Components


Modem Command (Status Menu)

The Status > Modem menu command offers the following sub-menu commands:

  • Connect

  • Configure

See Also:

Window Components


PG/PC Interface Command (Status Menu)

Select the Status > PG/PC Interface menu command to start the PG/PC Interface dialog. The communication interface parameter (for example, PPI or Ethernet) is selected and configured using the PG/PC Interface dialog. Refer to the figures below.

See Also:

Window Components

Technology for local area networks (LANs) and wide area networks (WANs). Ethernet standardizes the procedures for interconnecting several computers. It specifies how the data flow over the network cable is controlled.

(Point-to-Point Interface) is a master-slave protocol: the master devices send requests to the slave devices, and the slave devices respond.


Start Test Client Command (Status Menu)

Select the Status > Start Test Client menu command to enable the Test Client status. This command is only selectable when the Test Client is disabled.

Select the Status > Stop Test Client menu command to disable the Test Client status. This action does not close the Test Client window. This command is only selectable when the Test Client is enabled.

See Also:

Window Components


User Reference Status Menu

Status Menu

Start Test Client

--------------------

Modem

Connect

Configure

--------------------

PG/PC Interface


Options Command (Tools Menu)

To set up S7-200 PC Access options, select the Tools > Options menu command.

Under the General tab, you may set options for:

  • Mnemonic Set: SIMATIC or International

  • Language: German, English, French, Spanish, Italian, or Chinese

  • Regional Settings: Measurement System, Time Format, and Date Format

Under the Status tab, you may:

  • Manually specify the item Update Rate.

  • Set the Deadband for an item value change.

Note: The two Status tab options only affect the Test Client.

See Also:

Options Dialog

Window Components

The OPC Group object maintains information about itself and provides the mechanism for containing and logically organizing OPC items for data read and write. The OPC Groups provide a way for clients to organize data.

OPC Items are connections to data sources within the OPC Server. All read and write access to OPC Items is via an OPC Group object that “contains” the OPC item. The same OPC item can be contained by several groups.

(OLE for Process Control) is an open system interface standard which allows simple, standardized data exchange between automation/PLC applications, field devices, and PC-based applications like HMI or office applications.

The OPC server is the middleware between the applications for handling process data, the various network protocols, and the interfaces for accessing these data.

When a variable is queried, the corresponding value is obtained from the latest process data and returned. This might be the value of a sensor, control parameter, status information, or the status of the network connection.

The OPC client is an application which accesses process data, messages, and archives of an OPC server.


Options Dialog

The Options dialog is accessed by selecting the Tools > Options menu command.

Under the General tab, you may set the following options:

  • Mnemonic Set

  • Language

  • Regional Settings

Under the Status tab, you may:

  • Update Rate Manually Specify

Note: The Status tab option only affects the Test Client.

General Tab

Mnemonic Set

B ack to Top

You may choose SIMATIC (German) or International (English). The mnemonics you set apply to the identification of bit memory (M), timers (T), counters, (C), inputs (I), and outputs (Q).

Description | SIMATIC (German) | International (English)
Input | E | I
Output | A | Q
Variable Memory | V | V
Internal Memory | M | M
Analog Input | AE | AI
Analog Output | AA | AQ
Timer | T | T
Counter | Z | C
High-Speed Counter | HZ | HC
Special Memory | SM | SM

Language

B ack to Top

Select the language you want to work in here. Only the installed software languages are shown in the list for you to choose from. The installed languages are:

  • German

  • English

  • French

  • Spanish

  • Italian

  • Chinese

Regional Settings

B ack to Top

You may make the following Measurement System, Time Format, and Date Format settings.

Measurement System | U.S. or Metric
Time Format | 12 or 24 hour
Date Format | mm/dd/yy or dd.mm.yy or yy.mm.dd

Status Tab

Update Rate Manually Specify

B ack to Top

You may manually specify the item update rate. First, place a checkmark in the Manually Specify checkbox and then a value (in ms) may be entered in the field, ranging from 0 to 9999.

See Also:

Window Components


User Reference Tools Menu

Tools Menu

Options


Access Command (View > Item View Menu)

Use the View > Item View > Access sub-menu command to show or hide the access type (read, write, or read/write) permitted by the server . The default for this entry is checked. This command is only selectable in the Item View, the upper right window area where folders and items are entered and listed.

See Also:

Window Components

Item View Details

(OLE for Process Control) is an open system interface standard which allows simple, standardized data exchange between automation/PLC applications, field devices, and PC-based applications like HMI or office applications.

The OPC server is the middleware between the applications for handling process data, the various network protocols, and the interfaces for accessing these data.

The OPC Group object maintains information about itself and provides the mechanism for containing and logically organizing OPC items for data read and write. The OPC Groups provide a way for clients to organize data.

OPC Items are connections to data sources within the OPC Server. All read and write access to OPC Items is via an OPC Group object that “contains” the OPC item. The same OPC item can be contained by several groups.


(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).

Address Command (View > Item View Menu)

Select the View > Item View > Address sub-menu command to show or hide the PLC memory type and address. The default for this entry is checked. This command is only selectable in the Item View, the upper right window area where folders and items are entered and listed.

See Also:

Window Components

Item View Details

The OPC Group object maintains information about itself and provides the mechanism for containing and logically organizing OPC items for data read and write. The OPC Groups provide a way for clients to organize data.

OPC Items are connections to data sources within the OPC Server. All read and write access to OPC Items is via an OPC Group object that “contains” the OPC item. The same OPC item can be contained by several groups.

(OLE for Process Control) is an open system interface standard which allows simple, standardized data exchange between automation/PLC applications, field devices, and PC-based applications like HMI or office applications.

The OPC server is the middleware between the applications for handling process data, the various network protocols, and the interfaces for accessing these data.


Comment Command (View > Item View Menu)

Select the View > Item View > Comment sub-menu command to show or hide a user supplied description. The default for this entry is checked. This command is only selectable in the Item View, the upper right window area where folders and items are entered and listed.

See Also:

Window Components

Item View Details

The OPC Group object maintains information about itself and provides the mechanism for containing and logically organizing OPC items for data read and write. The OPC Groups provide a way for clients to organize data.

OPC Items are connections to data sources within the OPC Server. All read and write access to OPC Items is via an OPC Group object that “contains” the OPC item. The same OPC item can be contained by several groups.

(OLE for Process Control) is an open system interface standard which allows simple, standardized data exchange between automation/PLC applications, field devices, and PC-based applications like HMI or office applications.

The OPC server is the middleware between the applications for handling process data, the various network protocols, and the interfaces for accessing these data.


Data Type Command (View > Test Client Menu)

Select the View > Test Client > Data Type sub-menu command to show or hide the client selectable data type, which can be different than the canonical type. The default for this entry is checked. This command is only selectable in the Status (Test Client) View, the lower window area where item server connections are viewed and tested.

See Also:

Window Components

Status (Test Client) View Details

The OPC client is an application which accesses process data, messages, and archives of an OPC server.

(OLE for Process Control) is an open system interface standard which allows simple, standardized data exchange between automation/PLC applications, field devices, and PC-based applications like HMI or office applications.

The OPC server is the middleware between the applications for handling process data, the various network protocols, and the interfaces for accessing these data.

The OPC Group object maintains information about itself and provides the mechanism for containing and logically organizing OPC items for data read and write. The OPC Groups provide a way for clients to organize data.

OPC Items are connections to data sources within the OPC Server. All read and write access to OPC Items is via an OPC Group object that “contains” the OPC item. The same OPC item can be contained by several groups.


(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).

Data Type Command (View > Item View Menu)

Use the View > Item View > Data Type sub-menu command to show or hide the PLC canonical item data type. The default for this entry is checked. This command is only selectable in the Item View, the upper right window area where folders and items are entered and listed.

See Also:

Window Components

Item View Details

The OPC Group object maintains information about itself and provides the mechanism for containing and logically organizing OPC items for data read and write. The OPC Groups provide a way for clients to organize data.

OPC Items are connections to data sources within the OPC Server. All read and write access to OPC Items is via an OPC Group object that “contains” the OPC item. The same OPC item can be contained by several groups.

(OLE for Process Control) is an open system interface standard which allows simple, standardized data exchange between automation/PLC applications, field devices, and PC-based applications like HMI or office applications.

The OPC server is the middleware between the applications for handling process data, the various network protocols, and the interfaces for accessing these data.


EU High Command (View > Item View Menu)

Select the View > Item View > EU High sub-menu command to show or hide the highest possible range of the item 's value . The default for this entry is unchecked. This command is only selectable in the Item View, the upper right window area where folders and items are entered and listed.

See Also:

Window Components

Item View Details

When a variable is queried, the corresponding value is obtained from the latest process data and returned. This might be the value of a sensor, control parameter, status information, or the status of the network connection.

OPC Items are connections to data sources within the OPC Server. All read and write access to OPC Items is via an OPC Group object that “contains” the OPC item. The same OPC item can be contained by several groups.


EU Low Command (View > Item View Menu)

Select the View > Item View > EU Low sub-menu command to show or hide the lowest possible range of the item 's value . The default for this entry is unchecked. This command is only selectable in the Item View, the upper right window area where folders and items are entered and listed.

See Also:

Window Components

Item View Details

When a variable is queried, the corresponding value is obtained from the latest process data and returned. This might be the value of a sensor, control parameter, status information, or the status of the network connection.

OPC Items are connections to data sources within the OPC Server. All read and write access to OPC Items is via an OPC Group object that “contains” the OPC item. The same OPC item can be contained by several groups.


Format Command (View > Test Client Menu)

Select the View > Test Client > Format sub-menu command to show or hide the client selectable display format. The default for this entry is checked. This command is only selectable in the Status (Test Client) View, the lower window area where item server connections are viewed and tested.

See Also:

Window Components

Status (Test Client) View Details

The OPC client is an application which accesses process data, messages, and archives of an OPC server.

(OLE for Process Control) is an open system interface standard which allows simple, standardized data exchange between automation/PLC applications, field devices, and PC-based applications like HMI or office applications.

The OPC server is the middleware between the applications for handling process data, the various network protocols, and the interfaces for accessing these data.

The OPC Group object maintains information about itself and provides the mechanism for containing and logically organizing OPC items for data read and write. The OPC Groups provide a way for clients to organize data.

OPC Items are connections to data sources within the OPC Server. All read and write access to OPC Items is via an OPC Group object that “contains” the OPC item. The same OPC item can be contained by several groups.


Item ID Command (View > Test Client Menu)

Use the View > Test Client > Item ID sub-menu command to show or hide the fully-qualified item name. The default for this entry is unchecked. This command is only selectable in the Status (Test Client ) View, the lower window area where item server connections are viewed and tested.

See Also:

Window Components

Status (Test Client) View Details

The OPC Group object maintains information about itself and provides the mechanism for containing and logically organizing OPC items for data read and write. The OPC Groups provide a way for clients to organize data.

OPC Items are connections to data sources within the OPC Server. All read and write access to OPC Items is via an OPC Group object that “contains” the OPC item. The same OPC item can be contained by several groups.

(OLE for Process Control) is an open system interface standard which allows simple, standardized data exchange between automation/PLC applications, field devices, and PC-based applications like HMI or office applications.

The OPC server is the middleware between the applications for handling process data, the various network protocols, and the interfaces for accessing these data.

The OPC client is an application which accesses process data, messages, and archives of an OPC server.


Item ID Command (View > Item View Menu)

Use the View > Item View > Item ID sub-menu command to show or hide the fully-qualified item name. The default for this entry is unchecked. This command is only selectable in the Item View, the upper right window area where folders and items are entered and listed.

See Also:

Window Components

Item View Details

The OPC Group object maintains information about itself and provides the mechanism for containing and logically organizing OPC items for data read and write. The OPC Groups provide a way for clients to organize data.

OPC Items are connections to data sources within the OPC Server. All read and write access to OPC Items is via an OPC Group object that “contains” the OPC item. The same OPC item can be contained by several groups.

(OLE for Process Control) is an open system interface standard which allows simple, standardized data exchange between automation/PLC applications, field devices, and PC-based applications like HMI or office applications.

The OPC server is the middleware between the applications for handling process data, the various network protocols, and the interfaces for accessing these data.


Item View Command (View Menu)

Select the View > Item View command to show or hide columns within the Item View. This command is only selectable in the Item View, the upper right window area where folders and items are entered and listed.

See Also:

Window Components

Item View Details

The OPC Group object maintains information about itself and provides the mechanism for containing and logically organizing OPC items for data read and write. The OPC Groups provide a way for clients to organize data.

OPC Items are connections to data sources within the OPC Server. All read and write access to OPC Items is via an OPC Group object that “contains” the OPC item. The same OPC item can be contained by several groups.

(OLE for Process Control) is an open system interface standard which allows simple, standardized data exchange between automation/PLC applications, field devices, and PC-based applications like HMI or office applications.

The OPC server is the middleware between the applications for handling process data, the various network protocols, and the interfaces for accessing these data.


Name Command (View > Item View Menu)

Use the View > Item View > Name sub-menu command to show or hide the Name of the folder or item . This entry is always checked and grayed. This command is only selectable in the Item View, the upper right window area where folders and items are entered and listed.

See Also:

Window Components

Item View Details

A folder allows you to organize, in the address space of the OPC server, your OPC items into logical groupings that fit the need of your application.

(OLE for Process Control) is an open system interface standard which allows simple, standardized data exchange between automation/PLC applications, field devices, and PC-based applications like HMI or office applications.

The OPC server is the middleware between the applications for handling process data, the various network protocols, and the interfaces for accessing these data.

The OPC Group object maintains information about itself and provides the mechanism for containing and logically organizing OPC items for data read and write. The OPC Groups provide a way for clients to organize data.

OPC Items are connections to data sources within the OPC Server. All read and write access to OPC Items is via an OPC Group object that “contains” the OPC item. The same OPC item can be contained by several groups.


Quality Command (View > Test Client Menu)

Select the View > Test Client > Quality sub-menu command to show or hide the status of the collected data point. The default for this entry is checked. This command is only selectable in the Status (Test Client ) View, the lower window area where item server connections are viewed and tested.

See Also:

Window Components

Status (Test Client) View Details

The OPC client is an application which accesses process data, messages, and archives of an OPC server.

(OLE for Process Control) is an open system interface standard which allows simple, standardized data exchange between automation/PLC applications, field devices, and PC-based applications like HMI or office applications.

The OPC server is the middleware between the applications for handling process data, the various network protocols, and the interfaces for accessing these data.

The OPC Group object maintains information about itself and provides the mechanism for containing and logically organizing OPC items for data read and write. The OPC Groups provide a way for clients to organize data.

OPC Items are connections to data sources within the OPC Server. All read and write access to OPC Items is via an OPC Group object that “contains” the OPC item. The same OPC item can be contained by several groups.


Run-Time Name Command (View > Item View Menu)

Select the View > Item View > Run-Time Name sub-menu command to show or hide the dynamic item syntax. The default for this entry is unchecked. This command is only selectable in the Item View, the upper right window area where folders and items are entered and listed.

See Also:

Window Components

Item View Details

The OPC Group object maintains information about itself and provides the mechanism for containing and logically organizing OPC items for data read and write. The OPC Groups provide a way for clients to organize data.

OPC Items are connections to data sources within the OPC Server. All read and write access to OPC Items is via an OPC Group object that “contains” the OPC item. The same OPC item can be contained by several groups.

(OLE for Process Control) is an open system interface standard which allows simple, standardized data exchange between automation/PLC applications, field devices, and PC-based applications like HMI or office applications.

The OPC server is the middleware between the applications for handling process data, the various network protocols, and the interfaces for accessing these data.


Status Bar Command (View Menu)

Select the View > Status Bar menu command to enable or disable the Status Bar.

See Also:

Window Components


Test Client Command (View Menu)

Select the View > Test Client command to show or hide columns within the Status (Test Client ) View. This command is only selectable in the Status (Test Client) View, the lower window area where item server connections are viewed and tested.

See Also:

Window Components

Status (Test Client) View Details

The OPC client is an application which accesses process data, messages, and archives of an OPC server.

(OLE for Process Control) is an open system interface standard which allows simple, standardized data exchange between automation/PLC applications, field devices, and PC-based applications like HMI or office applications.

The OPC server is the middleware between the applications for handling process data, the various network protocols, and the interfaces for accessing these data.

The OPC Group object maintains information about itself and provides the mechanism for containing and logically organizing OPC items for data read and write. The OPC Groups provide a way for clients to organize data.

OPC Items are connections to data sources within the OPC Server. All read and write access to OPC Items is via an OPC Group object that “contains” the OPC item. The same OPC item can be contained by several groups.


Time Stamp Command (View > Test Client Menu)

Select the View > Test Client > Time Stamp sub-menu command to show or hide the time and date of the last value access. The default for this entry is checked. This command is only selectable in the Status (Test Client ) View, the lower window area where item server connections are viewed and tested.

See Also:

Window Components

Status (Test Client) View Details

When a variable is queried, the corresponding value is obtained from the latest process data and returned. This might be the value of a sensor, control parameter, status information, or the status of the network connection.

The OPC client is an application which accesses process data, messages, and archives of an OPC server.

(OLE for Process Control) is an open system interface standard which allows simple, standardized data exchange between automation/PLC applications, field devices, and PC-based applications like HMI or office applications.

The OPC server is the middleware between the applications for handling process data, the various network protocols, and the interfaces for accessing these data.

The OPC Group object maintains information about itself and provides the mechanism for containing and logically organizing OPC items for data read and write. The OPC Groups provide a way for clients to organize data.

OPC Items are connections to data sources within the OPC Server. All read and write access to OPC Items is via an OPC Group object that “contains” the OPC item. The same OPC item can be contained by several groups.


Toolbar Command (View Menu)

Select the View > Toolbar menu command to enable or disable the toolbar.

See Also:

Window Components


User Reference View Menu

View Menu

Toolbar

Status Bar

--------------------

Item View

Name

Item ID

Run-Time Name

Address

Data Type

EU Low

EU High

Access

Comment

Test Client

Item ID

Data Type

Format

Value

Time Stamp

Quality


Value Command (View > Test Client Menu)

Use the View > Test Client > Value sub-menu command to show or hide the value of the returned data. The default for this entry is checked. This command is only selectable in the Status (Test Client ) View, the lower window area where item server connections are viewed and tested.

See Also:

Window Components

Status (Test Client) View Details

When a variable is queried, the corresponding value is obtained from the latest process data and returned. This might be the value of a sensor, control parameter, status information, or the status of the network connection.

The OPC client is an application which accesses process data, messages, and archives of an OPC server.

(OLE for Process Control) is an open system interface standard which allows simple, standardized data exchange between automation/PLC applications, field devices, and PC-based applications like HMI or office applications.

The OPC server is the middleware between the applications for handling process data, the various network protocols, and the interfaces for accessing these data.

The OPC Group object maintains information about itself and provides the mechanism for containing and logically organizing OPC items for data read and write. The OPC Groups provide a way for clients to organize data.

OPC Items are connections to data sources within the OPC Server. All read and write access to OPC Items is via an OPC Group object that “contains” the OPC item. The same OPC item can be contained by several groups.


CPU Memory Address Ranges for 21x Series

Accessed by: | Memory Type | CPU 210 | CPU 212 | CPU 214 | CPU 215 | CPU 216
Bit (Byte.bit) | V |  | 0.0 - 1023.7 | 0.0 - 4095.7 | 0.0 - 5119.7 | 0.0 - 5119.7
 | I | 0.0 - 0.3 | 0.0 - 7.7 | 0.0 - 7.7 | 0.0 - 7.7 | 0.0 - 7.7
 | Q | 0.0 - 0.3 | 0.0 - 7.7 | 0.0 - 7.7 | 0.0 - 7.7 | 0.0 - 7.7
 | M | 0.0 - 5.7 | 0.0 - 15.7 | 0.0 - 31.7 | 0.0 - 31.7 | 0.0 - 31.7
 | SM | 0.0 - 1.7 | 0.0 - 45.7 | 0.0 - 94.7 | 0.0 - 194.7 | 0.0 - 194.7
 | T |  | 0 - 63 | 0 - 127 | 0 - 255 | 0 - 255
 | C |  | 0 - 63 | 0 - 127 | 0 - 255 | 0 - 255
 | S |  | 0.0 - 7.7 | 0.0 - 15.7 | 0.0 - 31.7 | 0.0 - 31.7
Byte | VB |  | 0 - 1023 | 0 - 4095 | 0 - 5119 | 0 - 5119
 | IB |  | 0 - 7 | 0 - 7 | 0 - 7 | 0 - 7
 | QB |  | 0 - 7 | 0 - 7 | 0 - 7 | 0 - 7
 | MB |  | 0 - 15 | 0 - 31 | 0 - 31 | 0 - 31
 | SMB |  | 0 - 45 | 0 - 94 | 0 - 194 | 0 - 194
 | AC |  | 0 - 3 | 0 - 3 | 0 - 3 | 0 - 3
 | SB |  | 0 - 7 | 0 - 15 | 0 - 31 | 0 - 31
Word | VW |  | 0 - 1022 | 0 - 4094 | 0 - 5118 | 0 - 5118
 | IW |  | 0 - 6 | 0 - 6 | 0 - 6 | 0 - 6
 | QW |  | 0 - 6 | 0 - 6 | 0 - 6 | 0 - 6
 | MW | 0 - 4 | 0 - 14 | 0 - 30 | 0 - 30 | 0 - 30
 | SMW | 0 - 2 | 0 - 44 | 0 - 93 | 0 - 193 | 0 - 193
 | T | 0 - 3 | 0 - 63 | 0 - 127 | 0 - 255 | 0 - 255
 | C | 0 - 3 | 0 - 63 | 0 - 127 | 0 - 255 | 0 - 255
 | AC |  | 0 - 3 | 0 - 3 | 0 - 3 | 0 - 3
 | AIW |  | 0 - 30 | 0 - 30 | 0 - 30 | 0 - 30
 | AQW |  | 0 - 30 | 0 - 30 | 0 - 30 | 0 - 30
 | SW |  | 0 - 6 | 0 - 14 | 0 - 30 | 0 - 30
Double Word | VD |  | 0 - 1020 | 0 - 4092 | 0 - 5116 | 0 - 5116
 | ID |  | 0 - 4 | 0 - 4 | 0 - 4 | 0 - 4
 | QD |  | 0 - 4 | 0 - 4 | 0 - 4 | 0 - 4
 | MD |  | 0 - 12 | 0 - 28 | 0 - 28 | 0 - 28
 | SMD |  | 0 - 42 | 0 - 91 | 0 - 191 | 0 - 191
 | AC |  | 0 - 3 | 0 - 3 | 0 - 3 | 0 - 3
 | HC |  |  | 0 - 2 | 0 - 2 | 0 - 2


Modem Troubleshooting

Siemens M20 and TC35 Cell Phone Modem Troubleshooting

The Siemens M20 and TC35 cell phone modems do not auto-baud. As a result, if the local modem is set to a different baud rate than the Windows settings, dialing fails. These modems can be programmed as a local modem with the modem wizard. The wizard searches for the currently configured baud rate and programs the modem appropriately.

The Siemens M20 modem has a default setting &D0. This ignores the DTR signal, causing the modem not to hang-up properly when used as a local modem. The modem must be configured to &D1. The modem wizard programs this command with the local M20 settings.

These modems do not provide a specific Windows driver. Either the standard 9600 and standard 19200 Windows driver should be used when these modems are used as local modems.

These modems require a PIN authorization to be sent to the modem before dialing can occur. If an invalid PIN number is sent three consecutive times, the modem becomes disabled and must be unlocked by a special AT command. Any error returned by the modem during PIN authorization is reported.

These modems report a PIN authorization failure if any authorization is attempted while the modem is already authorized. A PIN authorization is sent each time dialing is attempted. If the modem is authorized, an error is shown in the Modem Connection status window, but the error does not prevent dialing to establish a connection.

Telephony API Modem Troubleshooting

Microsoft Windows provides the ability to automatically detect the addition of an internal or external modem. Once the modem is found, Windows interrogates the modem to attempt to determine relevant information. Windows sometimes detects this modem as a Plug-and-Play type of device. As a result, if the modem is turned off, Windows may determine that the hardware is no longer present and may remove the modem from the installed modems list.

The Microsoft TAPI implementation for Windows 2000 and Windows XP is slightly different than other Windows operating systems. Extra modem command settings can only be configured from the Control Panel modem configuration dialogs for Windows 2000 and Windows XP.

Windows 2000 and Windows XP exhibit a problem when configuring the Wait for dial tone before dialing setting. If this setting is disabled, which indicates that no dial tone is present, Windows does not configure the modem properly to ignore dial tone. The appropriate modem command can be placed in the Extra Settings field to ignore dial tone.

Several modems can provide support for either 10-bit or 11-bit communication. Each of these modems are factory configured for default 10-bit communication. To configure a local modem for 11-bit communication, two configuration changes must be made:

  • First, the specific 11-bit modem command must be placed in the Extra Settings field in the Windows modem dialog. For example, the MultiTech modem’s 11-bit command is $EB1.

  • Second, even parity must be selected for the Windows serial port configuration. Once a local modem is configured for 11-bit communication, they typically can not be programmed back to 10-bit communication through Windows. This is because the modems do not auto-parity once in 11-bit mode. The easiest way to reset the modem back to 10-bit is by cycling power to the modem.

It is not sufficient to configure the Connection Preferences for 11-bit operation. The modem must be commanded into 11-bit mode through the use of an AT command. The specific AT command varies depending upon the modem type.

EM 241 Modem Module Troubleshooting

The EM-241 modem module permits configuration of a Callback and/or Password security option. When these options are configured, the EM-241 module requests information from the connection partner. Windows 2000 and Windows XP provide the selection of a Post Dial-Up screen to examine the transmission and reception of communication information after a connection has been established. If the Post Dial-Up is activated, the EM 241 Callback or Password option may not be successfully validated. If this occurs, disable the Post Dial-Up option.

Some modems, such as the MultiTech 1932 and 2834, exhibit problems where garbage characters are sent out the modem serial port during re-negotiation of the telephony baud rate. If the EM 241 is configured for the Callback and/or Password security option, these garbage characters may interfere with the information requested from the connection partner. If this occurs, auto-negotiation of the telephony baud rate should be disabled within the local modem.

The Bausch Induline 14K4 modem exhibits dialing problems when it has received the *W=9600,8,N,1 baud rate and parity command. The software can send this command to configure a remote Bausch modem. If this modem is inadvertently used as a local modem, dialing may not successfully work. This modem must be returned to the default factory settings to alleviate this problem.


Window Components Item View

(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).

Item View

This upper right window area is where items are entered and listed. Configured items for a given PLC or folder are shown here. An item's Name, Item ID, Run-Time Name, Address, Data Type, EU (Engineering Units) Low, EU High, Access (read/write), and Comments can be viewed in this area. A right-click on a folder or item displays a context-sensitive menu which includes: Cut; Copy; Paste; New; Delete Folder or Item, respectively; Rename; and Properties (item only). Click to see Item View Details.

A folder allows you to organize, in the address space of the OPC server, your OPC items into logical groupings that fit the need of your application.

(OLE for Process Control) is an open system interface standard which allows simple, standardized data exchange between automation/PLC applications, field devices, and PC-based applications like HMI or office applications.

The OPC server is the middleware between the applications for handling process data, the various network protocols, and the interfaces for accessing these data.

The OPC Group object maintains information about itself and provides the mechanism for containing and logically organizing OPC items for data read and write. The OPC Groups provide a way for clients to organize data.

OPC Items are connections to data sources within the OPC Server. All read and write access to OPC Items is via an OPC Group object that “contains” the OPC item. The same OPC item can be contained by several groups.


Window Components Menu Bar

Menu Bar

Allows you to perform operations using either a mouse or keystrokes.


Window Components Status (Test Client) View

An object which establishes a communications network using the required protocol between two communication partners.

A Protocol is a set of rules agreed to between two communication partners to allow them to communicate with each other.

A folder allows you to organize, in the address space of the OPC server, your OPC items into logical groupings that fit the need of your application.

When a variable is queried, the corresponding value is obtained from the latest process data and returned. This might be the value of a sensor, control parameter, status information, or the status of the network connection.

From the time stamp, you can see when the value of the queried variable was acquired.

Quality is information indicating whether or not the value of a variable could be obtained reliably. From this, you can draw conclusions about the validity of the value.

Status (Test Client) View

The lower window area is the Test Client . Using the items that are automatically configured by dragging and dropping items from the above server view, Test Client provides a quick and easy test tool for your server item connections. An item's ID (server's access point, PLC, folder, and item name path or hierarchy), Data Type, Format, Value, Time Stamp, and Quality can be viewed in this area. A right-click on an item displays a context-sensitive menu which includes: Cut, Copy, Paste, Delete Item(s), and Hexadecimal. Click to see Status (Test Client) View Details.


Window Components Status Bar

Status Bar

Provides information about the status of the online operations that you perform in S7-200 PC Access.


Window Components Toolbar

Toolbar

Provides easy mouse access to the most commonly used S7-200 PC Access operations.


Window Components Tree View

(OLE for Process Control) is an open system interface standard which allows simple, standardized data exchange between automation/PLC applications, field devices, and PC-based applications like HMI or office applications.

Tree View

The upper left window area provides a tree hierarchy view of all the server access point, PLCs, and folders that are available in your current project. Here, the PLC (s) and item folders are configured. At the access point level, a right-click displays a context-sensitive menu which includes: Modem, PG/PC Interface, and New PLC. A right-click on a PLC produces a context-sensitive menu which includes: Cut, Copy, Paste, New, Delete PLC, Rename, and Properties. A right-click on a folder produces a context-sensitive menu which includes: Cut, Copy, Paste, New, Delete Folder, and Rename. Click to see Tree View Details.

The OPC server is the middleware between the applications for handling process data, the various network protocols, and the interfaces for accessing these data.

(Programmable logic controller) is an industrial-hardened computer with a microprocessor-packed CPU with various input and output capabilities. PLCs are used to automate a variety of applications (for example, conveyor systems, gate controls, pump control, and packaging systems).

The OPC Group object maintains information about itself and provides the mechanism for containing and logically organizing OPC items for data read and write. The OPC Groups provide a way for clients to organize data.

OPC Items are connections to data sources within the OPC Server. All read and write access to OPC Items is via an OPC Group object that “contains” the OPC item. The same OPC item can be contained by several groups.

A folder allows you to organize, in the address space of the OPC server, your OPC items into logical groupings that fit the need of your application.

An object which establishes a communications network using the required protocol between two communication partners.